NE Software Management

This section describes how to back up NE data and upgrade the NE software using NE Software Management (DC). NE Software Management is used for data and software management of network element (NE). In addition, NE logs and licenses can also be managed. For upgrade or downgrade scheme of NE software, perform operations by strictly following the upgrade guide or patch release notes of the products.

  • About This Help
    This Help provides you with the basic contents of the Help and the skills of using the Help. Thus, you can conveniently obtain the information you need.
  • Quick Start
    NE Software Management is used for backing up or recovering NE data and upgrade or downgrade NE software, managing NE logs and licenses. This section describes the main processes of upgrading an NE by using the NE Software Management and the basic concepts of NE Software Management.
  • Preparations
    This section describes the preparations for NE routine maintenance or NE upgrade by using the NE Software Management .
  • Managing Software
    NE software can be uploaded to the NE Software Management computer and managed in a centralized manner through a software library. In this manner, the process of loading software is simple and fast.
  • Managing Upgrade/Downgrade Tasks
    The NE Software Management encapsulates all operations performed during an upgrade or a downgrade of an NE into a task. An NE is upgraded or downgraded according to the created task and the operations configured for the task.
  • Comparing the Files Before and After Upgrade
    When you compare configuration files and the routing information before and after upgrade, the NE Software Management can identify the differences. You can realize the effect of upgrade by the comparing data.
  • Managing Board-Level Software
    This topic describes how to load software and patches to certain boards on an NE. And how to do an automatic upgrade of the new boards to match the NE version after being online.
  • Data Backup and Restoration
    This topic describes how to backup NE data immediately, and how to restore the NE data from the backup files. NE data may be lost upon an NE malfunction, upgrade, or downgrade. To prevent data loss, you need to back up NE data to the computer that runs a NE Software Management. In this manner, you can restore NE data from the backup files if required.
  • Managing Patch Files
    The patch management function includes checking patch information and activating, deactivating, verifying, rolling back, filtering, and deleting patches.
  • NE Managing Logs
    This topic describes how to view and delete logs recording the operations performed on NEs through the NE Software Management, and how to back up security logs and operation logs of NEs.
  • NE License Management
    After applying for and installing an NE License, you can use the NE functions specified in the NE License. In NE License management, you can query, apply for, install, and change an NE License. In addition, you can adjust the capacities defined in the License. The License controls the validity period or functions of an NE. Therefore, you need to view the License state and change the expired License. Otherwise, services will be affected.
  • Terminal Tool
    This topic describes how to log in to an NE by using the terminal tool.
  • TL1 Terminal
    You can use the TL1 command lines of the NE Software Management to manage SONET NEs.
  • Managing NEs
    On the NE Software Management, an NE is the basic operation object.Before operating an NE, you need to add the NE to the NE list.This topic describes which operations can be performed on an NE and how to manage the NE information by using the NE Software Management.
  • Appendix
    You can refer to the reference information related to the NE Software Management.
Huawei Proprietary and Confidential
Copyright © Huawei Technologies Co., Ltd.


About This Help

This Help provides you with the basic contents of the Help and the skills of using the Help. Thus, you can conveniently obtain the information you need.

  • Intended Audience
    The help is intended for NE Software Management administrators, and system maintenance engineers.
Parent topic: NE Software Management


Intended Audience

The help is intended for NE Software Management administrators, and system maintenance engineers.

Parent topic: About This Help


Quick Start

NE Software Management is used for backing up or recovering NE data and upgrade or downgrade NE software, managing NE logs and licenses. This section describes the main processes of upgrading an NE by using the NE Software Management and the basic concepts of NE Software Management.

  • Upgrade Process
    This topic describes the upgrade process for NE software. You can use NE Software Management to upgrade or downgrade NE software. The downgrade process is the same as the upgrade process.
  • Basic Concepts
    This topic describes the basic concepts, such as save, backup, load, recover, and task.
  • Customizing the GUI Effect
    You can customize the GUI effect of the NE Software Management as required.
Parent topic: NE Software Management


Upgrade Process

This topic describes the upgrade process for NE software. You can use NE Software Management to upgrade or downgrade NE software. The downgrade process is the same as the upgrade process.

NOTE:

Exercise caution when you upgrade or downgrade NE software because this may interrupt services on the NE. For upgrade or downgrade scheme of NE software, perform operations by strictly following the upgrade guide or patch release notes of the products. It is recommended that you ask Huawei customer service engineers to upgrade or downgrade NE software.

Figure 1 Upgrade Process

Figure 1 shows the upgrade processes.
Parent topic: Quick Start


Basic Concepts

This topic describes the basic concepts, such as save, backup, load, recover, and task.

Save

After you configure an NE, the configuration data is saved in the NE memory. You can save the configuration data in the flash of an NE in case of data loss when the NE is restarted. You can save data in the following ways:
  • Save immediately by performing a save operation.
  • Save automatically by means of creating a task.
  • Save periodically by means of a save policy.

The Transmission/PTN NE does not support the save operation.

Backup

The backup operation saves configuration data in other storage space (such as client) instead of on NEs for the NE configuration recovery.

When no other operations such as load, backup, or recover are performed on NEs, you can back up the NE data. By using a transfer protocol, you can transfer data to the file transfer directory of the that runs the NE Software Management.

During data backup, the NE Software Management collects the backup progress information about NEs and displays the backup progress and result in real time. You can back up data in the following ways:
  • Back up immediately by performing a backup operation.
  • Back up automatically by means of creating a task.
  • Back up periodically by means of backup policy.

Load

The load operation transfers patches or the software of a target version to NEs by using a transfer protocol.

When no other operations such as load, backup, or recover are performed on NEs, you can load patches or software of a target version on the NEs. The NE Software Management transfers patches or the software of a target version on NEs by using a transfer protocol.

In the load process, the NE Software Management collects the loading progress information about NEs and displays the loading progress and result in real time. You can load patches or software on NEs in the following ways:
  • Load automatically by means of creating a task.
  • Load automatically by means of board-level software and patch management.

Recover

The recover operation recovers NE configuration by using the backup data.

When no other operations such as load, back up, or recover are performed on NEs, you can recover the configuration data of an NE. TheNE Software Management transfers the configuration data to NEs by using a transfer protocol

In the recover process, the NE Software Management collects the progress information of NEs and displays the recovering progress and result in real time. You can recover NE configuration in the following ways:
  • Recover immediately by performing a recover operation.
  • Recover automatically by means of creating a task for the Transmission/PTN NE.

Task

By creating a task, you can preset some conditions to upgrade NE software and update NE patches in a one-click manner.

After creating an upgrade task, you can select the NEs to be upgraded in batches and specify the steps required in the upgrade. The one-click upgrade substantially decreases manual operations and enhances upgrade efficiency.

Tasks for upgrading NE software and updating NE patches are classified as follows:
  • Software upgrade/downgrade task
  • Application scenario:
    • When a software error occurs on a running NE, or when software codes are expanded for new services, the NE software needs to be upgraded.
    • When there are errors in the upgraded software or the NE version is later than what the live network requires, the NE software needs to be downgraded.
    • The software upgrade/downgrade task is used to upgrade and downgrade the software of the Access NE and Router/Switch.
  • Patch update task

    Application scenario: When you rectify the faults in the NE program and modify the program for new services, you need to update patches for the software. You can upgrade software by updating patches without affecting the running of an NE.

  • Simulation package upgrade task

    A package is a collection of software to be loaded on NEs. The loading attributes of each software are defined by a package description file. The NE Software Management loads the software on relevant boards according to the loading attributes defined in the description file.

    Application scenario:
    • When a software error occurs on a running NE, or when software codes are expanded for new services, the NE software needs to be upgraded.
    • The Transmission/PTN NE software needs to be upgraded.
    • Before you load software on NEs, all software is saved on the computer that runs the NE Software Management. After you load the software to NEs, the simulation package is not saved on the NEs. Therefore, the simulation package upgrade task is applicable to the NEs that have only small memory size and no CF cards.
  • Package upgrade/downgrade task

    Software package is a collection of software to be loaded on NEs, which is a file package encapsulated by certain definition. The NE Software Management first load the software package on the control board of an NE, and then the control board allocates each software to boards according to the encapsulation definition.

    Application Scenario:
    • When a software error occurs on a running NE, or when software codes are expanded for new services, the software needs to be upgraded.
    • When there are errors in the upgraded software or the NE version is later than what the live network requires, the NE software needs to be downgraded.
    • Before you load software on each NE board, the software package is loaded on the control board. After the loading, the software package remains on the control board. Therefore, the package upgrade/downgrade task is applicable to the NEs that have CF cards and a large memory size, and support package upgrade.
    • Package upgrade/downgrade tasks can be used to upgrade or downgrade the Transmission/PTN NE software.
  • Package diffusion upgrade/downgrade task
    • The NE Software Management calculates the diffusion trails of the software package based on the routing relationships of NEs, and then sets the diffusion relationships on these NEs. The NE Software Management loads all the software of the package on the first node on trails at one time. According to the diffusion relationships specified by the NE Software Management, the first node on the diffusion trails transfers the software package to next nodes on the trails for upgrade or downgrade.
    • Package diffusion consists of the two activating ways.

      Type

      Characteristics

      Application Scope

      NE-level
      • By default, the non-gateway NEs that are distant from the gateway NE are first activated and the gateway NE is last activated.
      • Not all NEs on the diffusion trails need to be upgraded or downgraded.

      NEs of the same type that have CF cards on the network

      Board-level
      • NEs that do not need to be upgraded or downgraded transparently transfer the software package to NEs that need to be upgraded or downgraded.
      • Not all NEs on the diffusion trails need to be upgraded or downgraded.

      NEs that do not have CF cards, need to be loaded with software packages, and support board-level activation
    Application scenario:
    • When a software error occurs on a running NE, or when software codes are expanded for new services, the software needs to be upgraded.
    • When there are errors in the upgraded software or the NE version is later than what the live network requires, the NE software needs to be downgraded.
    • The Transmission/PTN NE software needs to be upgraded or downgraded.
Parent topic: Quick Start


Customizing the GUI Effect

You can customize the GUI effect of the NE Software Management as required.

  • Setting the Skin
    You can set the skin of the standalone software as required.
  • Setting the Time and Date Formats of the Standalone Software
    You can set the time format, time mode, and date format that are displayed on the standalone software.
Parent topic: Quick Start


Setting the Skin

You can set the skin of the standalone software as required.

Context

  • The skin of the NE Software Management standalone software supports two colors: gray and bottle green.
  • After setting the skin color, you need to restart the NE Software Management standalone software for the setting to take effect.

Procedure

  1. Select Administrator > Preferences in the Main Menu.
  2. In the Preferences window, choose Skin in the navigation tree on the left.
  3. In Skin Settings, select a skin color for the standalone software.
  4. Click OK.
Parent topic: Customizing the GUI Effect


Setting the Time and Date Formats of the Standalone Software

You can set the time format, time mode, and date format that are displayed on the standalone software.

  • Setting the Time Format of the standalone software
    This topic describes how to set the time format of the standalone software.
  • Setting the Date Format of the Standalone Software
    This topic describes how to set the date format of the standalone software.
Parent topic: Customizing the GUI Effect


Setting the Time Format of the standalone software

This topic describes how to set the time format of the standalone software.

Context

  • After you set the time format, you need to log in to the standalone software again for the settings to take effect.

  • Next time when you log in to the standalone software, the NE Software Management standalone software automatically uses the settings that you set last time.

  • The time display effect that you set is displayed in the Time Format Notation area.

Procedure

  1. Select Administrator > Preferences in the Main Menu.
  2. From the navigation tree on the left of the Preferences window, expand the Region Settings node and choose Time.

  3. In the Time Settings group box, set the time format.
  4. Click OK.
Parent topic: Setting the Time and Date Formats of the Standalone Software


Setting the Date Format of the Standalone Software

This topic describes how to set the date format of the standalone software.

Context

  • After you set the date format, you need to restart the NE Software Management standalone software again for the settings to take effect.

  • Next time when you log in to the standalone software, the NE Software Management standalone software automatically uses the settings that you used last time.

  • The date display effect that you set is displayed in Appearance Example.

Procedure

  1. Select Administrator > Preferences in the Main Menu.
  2. In the navigation tree on the left of the Preferences window, expand the Region Setting node and select Date.

  3. In the Date group box, set the date format.

    NOTE:
    • Date Separator: symbol to separate the date. There are three symbols for you to select: "/", "-", and ".". The default is "/".
    • Date Format: display format of the date. It can be set to "yyyy/MM/dd", "dd/MM/yyyy", or "MM/dd/yyyy". The default is "MM/dd/yyyy".

  4. Click OK.
Parent topic: Setting the Time and Date Formats of the Standalone Software


Preparations

This section describes the preparations for NE routine maintenance or NE upgrade by using the NE Software Management .

  • Login
    Need to log in NE Software Management, before using NE Software Management.
  • Importing NE Type Description Files
    This topic describes how to import the type description file for a new type of MxU NE before creating the NE. This function enables you to perform operations on new types of MxU NEs without installing a later-version NE Software Management.
  • Creating NEs
    Before you manage an NE by using the NE Software Management, you need to create the NE in the Navigation Tree.
  • Configuring Communication Parameters
    Before operating an NE by using the NE Software Management, you need to log in to the network management system (NMS) server, and then configure the NMS server and transmission protocols.
  • Applying for a NE Software Upgrade Capability Management License
    This topic describes how to authenticate a NE Software Management license to get high software upgrade ability and more function of NE Software Management. You can use NE Software Management efficiently by standardizing the usage of NE Software Management after the authentication.
Parent topic: NE Software Management


Login

Need to log in NE Software Management, before using NE Software Management.

Procedure

  1. After unzipping the standalone installation package, double click dc_StandAlone.exe.
  2. Set the Password.

    NOTE:
    The length of the Password must be 6 to 16.

  3. Select the domain according to the NE type.
  4. Click OK.
  5. Optional: To ensure the security of the system, recommend to change passwords regularly.
    1. After logging in the NE Software Management, select the System > Modify User Password in the main menu.
    2. Enter Old password,New password,Confirm password in the dialog box.

      NOTE:
      A password must contain at least two types of the following characters: digits, small letters, capital letters, and special characters. Such as +, @, #, %, * etc.

    3. Click OK.
Parent topic: Preparations


Importing NE Type Description Files

This topic describes how to import the type description file for a new type of MxU NE before creating the NE. This function enables you to perform operations on new types of MxU NEs without installing a later-version NE Software Management.

Prerequisites

  • This function applies only to MxU NEs in the access domain.
  • You have obtained the description files of the new NE types and copied the files to the computer where the NE Software Management is installed.

Context

  • NE type description files are released with NE software.
  • An MxU NE type corresponds to an NE type description file in XML format.

Procedure

  1. Administrator > Export Check Item Model。
  2. In the dialog box that is displayed, click [image] .
  3. Select files to be imported and click OK.
  4. In the dialog box that is displayed, click OK. Then you can create MxU NEs of the new type and perform related operations on the NE Software Management.
Parent topic: Preparations


Creating NEs

Before you manage an NE by using the NE Software Management, you need to create the NE in the Navigation Tree.

  • Creating an NE (Transmission/PTN)
    This topic describes how to create a Transmission/PTN NE on the NE Software Management.
  • Creating an NE (Router/Switch)
    This topic describes how to create a Router/Switch (exculding HGMP NE) on the NE Software Management.
  • Creating an NE (Access Domain/HGMP NE)
    This topic describes how to create Access NE and HGMP NE on the NE Software Management.
  • Bulk Creating NEs by Importing the NEs
    This topic describes how to import NEs in batches by using the file that saves specific NE information during the creation in the importing mode. This operation facilitates the NE creation.
  • Creating NEs Automatically After Searching for NEs
    This topic describes how to search for NEs and then add the gateway NEs and non-gateway NEs on the network to the NE list at a time.
  • Setting SNMP v1/v2/v3 Parameters on the NE Software Management
    If an NE communicates with the NE Software Management by using the SNMP protocol, you need to set the SNMP parameters of the NE on the NE Software Management.
  • Modifying NE Parameters
    This topic describes how to change the parameters of an existing NE.
Parent topic: Preparations


Creating an NE (Transmission/PTN)

This topic describes how to create a Transmission/PTN NE on the NE Software Management.

Prerequisites

The NE Software Management must communicate with NEs successfully.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Right-click in the NE list, and then choose NE Explorer > Create NE.
  3. Set the NE parameters in Create NE(s) dialog. The mandatory parameters are with *

    NOTE:
    • When Gateway Type is set to IP Gateway, click [image] behind Gateway Address to search for gateway NEs in the network.
    • If the NE to be created is a non-gateway NE, the IP or NASP address of the corresponding gateway NE must be entered in the Gateway Address field.

    Gateway Type Field

    Description

    Setting

    IP Gateway

    Applicable to the scenario in which the NE Software Management and gateway NE communicates with each other through the IP communication protocol.

    • Enter the IP address of the gateway NE in the Gateway Address field.
    • Retain the default value of Port.

    OSI Gateway

    Applicable to the scenario in which the NE Software Management and gateway NE communicates with each other through the OSI communication protocol.

    • Enter the NSAP address of the gateway NE in the Gateway Address field.
    • Retain the default value of Port.
    NOTE:

    The NSAP address consists of hexadecimal digits with a maximum of 20 bytes, and is in the following format: domain address+08003e+NE ID+NSEL. The domain address consists of a maximum of 13 bytes and is entered by a user. NSEL is the port number of the network-layer protocol and its value is always 1d (one byte).

  4. Click Configuration link in the Password columns. Set the NE Password in the dialog box. Do not need to set the NE password again, when setting Password Mode in the Stelnet Configuration.
  5. Click Option link in the Option columns and set SFTP password and Stelnet parameter.

    • In the SFTP Configuration area, click [image] behind the Pass Phrase, set the SFTP key protection password in the dialog.
    • In the Stelnet Configuration area, select Stelnet Configuration check box.
      • The Password Mode radio button is default setting. Because the password is set in 4, so do not need to set password in the step.
      • If select Key Mode radio button.
        1. Click Import to import key password file in the dialog.
        2. Click [image] behind the Pass Phrase, set the SFTP key protection password in the dialog.

  6. Optional: When multiple NEs to be created is required, click Insert New Row, and then do 3 repeatedly.
  7. In the NE list, select the required NE and click Create NE.

    NOTE:
    You can create multiple NEs at a time.

  8. Click OK to close the dialog box.

Result

The NEs are created successfully to the NE list.

Parent topic: Creating NEs
Related tasks
Bulk Creating NEs by Importing the NEs


Creating an NE (Router/Switch)

This topic describes how to create a Router/Switch (exculding HGMP NE) on the NE Software Management.

Context

You can create the Router/Switch (exculding HGMP NE) offline.
NOTE:

Generally, you can upgrade NEs from 0:00 to 6:00 in the early morning. To save upgrade time, you need to make preparations beforehand, such as creating an NE and upgrade task.

Creating NEs offline solves the problem wherein NEs fail to be created because they are not connected to the network.

HGMP NE communicate with the NE Software Management based on the SNMP protocol. For information about how to create HGMP NE, see Creating an NE (Access Domain/HGMP NE).

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In the NE list, right-click and choose NE Explorer > Create NE from the shortcut menu.
  3. Set NE parameters.

    NOTE:

    The mandatory attributes of an NE to be created include NE IP/LAN/Gateway IP, Proxy Type, Proxy NE Type, Protocol Type, and Port. Other attributes of the NE are set according to the actual information about the NE and correspond to NE attributes. You can set VPN Name only when Protocol Type is set to Direct Connection on NEs. Click Configuration link in the Password and Super3 Password column, set the parameter in the dialog.

    The NE type of the NEs that are created offline cannot be recognized automatically. Therefore, you need to manually select the NE type of the NEs and ensure that the correct NE type is selected.

    Proxy Type Option

    Description

    Operation

    Direct Connection

    The NE Software Management is directly connected to the target NE A for upgrade.

    Perform the operation in Viewing NE Version to check whether NE A can communicate with the NE Software Management successfully.

    Automatic Proxy

    If the NE Software Management cannot be connected to the target NE A but can be connected to NE B (whose proxy type is NSM-UNIX, Cisco, Telent.huawei.com, or Huawei), and NE B can be connected to NE A, NE B can function as a proxy of the NE Software Management to upgrade NE A.

    After the proxy NE B is created, do as follows to create target NE A:
    1. Right-click the automatic proxy NE B and choose New Sub Node from the shortcut menu.
    2. Set the parameters of NE A by following 3.
    NOTE:

    The subnode of the proxy NE B is an Automatic Proxy NE (of level-2 proxy). You can create a maximum of six levels of proxy NEs following the level-1 proxy of NE B. The level-7 proxy NE must be of Direct Connection proxy type.

    The target NE A must be of Direct Connection proxy type.

    Perform the operation in Viewing NE Version to check whether NE A can communicate with the NE Software Management successfully.

Parent topic: Creating NEs


Creating an NE (Access Domain/HGMP NE)

This topic describes how to create Access NE and HGMP NE on the NE Software Management.

Prerequisites

The NE Software Management must communicate with NEs successfully.

Before creating a new type of MxU NE, import the type description file by referring to Importing NE Type Description Files.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Right-click in the NE list, and then choose NE Explorer > Create NE.

    NOTE:

    When HGMP NE to be created is required, click HGMP NE View tab, and then perform this step.

  3. Set the NE parameters in Create NE(s) dialog. The mandatory parameters are with *

    NOTE:

    The get and set community name of SNMP Parameters must be the same as that specified on the NE. Click [image] behind SNMP Parameters, and query whether the values of the parameters are available. If not, you need to reset the parameters according to the information specified on the NE. For detail information on how to configure the SNMP Parameters, see Setting SNMP v1/v2/v3 Parameters on the NE Software Management.

  4. Optional: When multiple NEs to be created is required, click Insert New Row, and then do 3 repeatedly.
  5. Select an NE in the NE list and click Create NE to start creating an NE.

    NOTE:
    You can create multiple NEs at a time.

  6. After the NE creation is complete, click Close to close the Create NE window.

Result

The NEs are created successfully to the NE list.

Parent topic: Creating NEs
Related tasks
Bulk Creating NEs by Importing the NEs
Setting SNMP v1/v2/v3 Parameters on the NE Software Management


Bulk Creating NEs by Importing the NEs

This topic describes how to import NEs in batches by using the file that saves specific NE information during the creation in the importing mode. This operation facilitates the NE creation.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.

  • HGMP NE do not support this function.
NOTE:

Router/Switch (exculding HGMP NE) can be created in offline mode. Therefore, this restriction is not applicable to these types of NEs.

Context

You can obtain the imported files by either of the following means:
  1. Export NEs to obtain the imported files. For information on how to export NEs, see Exporting NEs.
  2. Edit a template and import a customized file. For information on how to obtain the template, see Exporting an NE Template.

It does not support importing an agent NE and an NE that communicates with the NE Software Management via an agent NE.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select one of the following import modes according to the type of the to-be-imported NE.
    • Transmission/PTN NE/Access NE:
      1. Right-click in the NE list and choose NE Explorer > Create NE from the shortcut menu.
      2. Click [image] in the upper pane, select the file to be imported, and then click OK. The Create NE dialog box is displayed.
      3. Click Import.
      4. Close the Import NE dialog box. The NE is created successfully.
    • Router/Switch (exculding HGMP NE):
      1. Right-click in the NE list and choose NE Explorer > Import NE from the shortcut menu.
      2. In the Import NE dialog box, click [image] to select files. Then, click OK. The Import NE dialog box is displayed.
      3. Click OK. The progress bar is displayed.
      4. Close the dialog box of the progress bar. NEs are created successfully.

Result

The operation is performed successfully and the NE list displays the imported NEs.

Parent topic: Creating NEs
Related tasks
Exporting NEs
Exporting an NE Template


Creating NEs Automatically After Searching for NEs

This topic describes how to search for NEs and then add the gateway NEs and non-gateway NEs on the network to the NE list at a time.

NOTE:
Only the Transmission/PTN NE supports this operation.
  • Searching for Gateway NEs
    This topic describes how to search for a gateway NE and how to create the gateway NE in the NE Software Management NE list.
  • Searching for Non-Gateway NEs
    This topic describes how to search for non-gateway NEs and how to create non-gateway NEs in batches in the NE Software Management NE list.
Parent topic: Creating NEs


Searching for Gateway NEs

This topic describes how to search for a gateway NE and how to create the gateway NE in the NE Software Management NE list.

Prerequisites

The NE Software Management must communicate with NEs successfully.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In the NE View, right-click and then choose NE Explorer > Search NE to display the Search NE(s) dialog box.
  3. Click Search Gateway, and the NE Software Management then searches for the gateway NEs on the network.
  4. When the search is successful, the search result is displayed.

    NOTE:

    In the search process, you can click Stop to stop the search.

    1. Optional: When the operation is successful, click Details to view the detailed information about the gateway NE in the search result. For example, gateway type and gateway IP address.
    2. Click Close to return to the Search NE(s) dialog box.
  5. Optional: To delete one of the gateway NEs displayed in the search result, select the NE and then click Delete.
  6. To add the gateway NEs to the NE list, select one of them and then click Add Gateway. A dialog box is displayed as shown below.

    NOTE:
    In this step, the TL1 gateway NE is not supported.

    1. Modify the information of the gateway NE as required. By default, the Create the NE check box is selected. Retain the default setting.

      NOTE:

      • If you clear the Create the NE check box, the gateway NE is displayed only in the Search NE(s) dialog box and cannot be created in the NE View after you perform the next step.

      • You can clear the Create the NE check box if you have performed the following operation: search for the gateway NE first, then search for the non-gateway NE under the gateway NE, and then perform the add operation.

    2. Click OK, and the progress bar is displayed.
    3. When the process is complete, the operation result is displayed. Click Close.

Result

If the operation result indicates that the operation is successful, the gateway NE is displayed in the OptiX/PTN NE View.

Parent topic: Creating NEs Automatically After Searching for NEs


Searching for Non-Gateway NEs

This topic describes how to search for non-gateway NEs and how to create non-gateway NEs in batches in the NE Software Management NE list.

Prerequisites

The Search Gateway operation must have been performed or the non-gateway NE information must exist in the Search NE(s) list.

Context

For details on how to search for a gateway NE, see Searching for Gateway NEs.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In the NE View, right-click and then choose NE Explorer > Search NE to display the Search NE(s) dialog box.
  3. In the gateway NE list, select one of the NEs, and then click Search Non-Gateway. The NE Software Management then searches for the non-gateway NEs connected to this gateway NE on the network.

    NOTE:
    • In the search process, you can click Stop to stop the search.
    • When the search is complete, all non-gateway NEs that meet the search conditions are listed in the search result.

  4. To add one or all of the non-gateway NEs to the NE list, select the NE or all the NEs and then click Add NE to DC.
    1. Set the NE information in the displayed dialog box. The value of the parameters with * cannot be blank.
    2. Click OK, and the progress bar is displayed.
    3. When the process is complete, the operation result is displayed. Click Close.

Result

If the operation result indicates that the operation is successful, all the selected non-gateway NEs are displayed in the OptiX/PTN NE View.

Parent topic: Creating NEs Automatically After Searching for NEs


Setting SNMP v1/v2/v3 Parameters on the NE Software Management

If an NE communicates with the NE Software Management by using the SNMP protocol, you need to set the SNMP parameters of the NE on the NE Software Management.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The setting of the SNMP parameters on the NE must have been obtained.

Context

  • After the SNMP parameters are set, the NE Software Management can configure and manage the NE remotely through the SNMP protocol.
  • This topic describes how to set the SNMPv1, SNMPv1 and SNMPv3 parameters only on the NE Software Management. The setting of certain parameters on the NE Software Management must be the same as the setting of the parameters on the NE.
  • For Access NE, you can set SNMP parameters on the NE Software Management in the following two ways:
    • During NE creation, to set SNMP parameters for NE(s), see 1.
    • When NEs are created, to configure or modify SNMP parameter for one or more NEs, see 2.
  • For HGMP NE, you can set SNMP parameters on the NE Software Management refer to 1.

Procedure

  1. During NE creation, do as follows to set SNMP parameters for NE(s).
    1. Perform 1 to 3 in Creating an NE (Access Domain/HGMP NE).
    2. Click [image] behind SNMP Parameter. A dialog box is displayed as shown below.

    3. The method of setting SNMPv1 Parameters is the same as the method of setting SNMPv2 Parameters. Click the SNMPv1 Parameters or SNMPv2 Parameters tab page as required. Then, do as follows to set the parameters.

      1. Click Add to create an SNMP template.

      2. Set the SNMP parameters in the displayed dialog box. The mandatory parameters are with *.
        NOTE:

        The values of Get Community and Set Community must be the same as the values of these parameters set on the NE. Otherwise, the read and write operation cannot be performed.

      3. Click OK.
      4. In the Operation Result dialog box, click OK.

    4. Optional: Click the SNMPv3 Parameters tab page as required. Then, do as follows to set the parameters.

      1. Click Add to create new SNMP template.

      2. Set the SNMP parameters in the dialog. The mandatory parameters are with *.
        NOTE:

        The setting of certain parameters on the NE Software Management must be the same as the setting of the parameters on the NE. Otherwise not be able to read and write on the NE.

      3. Click OK.
      4. Click OK in the Operation Result dialog.

    5. Optional: To delete an existing SNMP template, do as follows:

      1. Select the SNMP template, and then click Delete.
      2. Click Yes to delete the SNMP template.
      NOTE:

      The default SNMP template cannot be deleted.

    6. Click OK. The setting of the SNMP parameters is complete.
  2. When NEs are created, do as follows to configure or modify SNMP parameter for one or more NEs.
    1. Choose System > NE Access Protocol from the main menu. A dialog box is displayed, as shown below. Then, click the SNMPv1 Parameters, SNMPv2 Parametersor SNMPv3 Parameters tab as required.

    2. In the upper pane, select one or more NE records and set SNMP parameters as required in the lower pane. The mandatory parameters are with *.

      NOTE:
      • When you select multiple NEs, NE Name cannot be modified.
      • The values of Get Community and Set Community must be the same as the values of these parameters set on the NE. Otherwise, the read and write operation cannot be performed.

    3. Click OK. The setting of the SNMP parameters is complete.
Parent topic: Creating NEs
Related tasks
Creating an NE (Access Domain/HGMP NE)


Modifying NE Parameters

This topic describes how to change the parameters of an existing NE.

Prerequisites

  • The NE must be created on the NE Software Management.
  • No other operation is performed on the NE.

Context

The parameters of only one NE can be changed at a time.

In the case of the Router/Switch (exculding HGMP NE), change the parameter values in the Router/Shelf-shape Switch NE View area.

This operation is applicable to only the Transmission/PTN NE, Access NE, HGMP NE.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Right-click in the NE list, and then choose NE Explorer > Modify NE(s).
  3. Change the NE parameters as required in the text box in the window as shown below.

    Figure 1 Changing NE parameters-Transmission/PTN NE

    NOTE:

    The value of the parameters with * cannot be blank.

    Figure 2 Changing NE parameters-Access NE

    NOTE:
    When modifying the Access NE and the HGMP NE, do not modify the IP address.

  4. After the change, click OK.
  5. In the operation result dialog box, click Close.

Result

After the NE parameters are changed successfully, the NE information on the NE list is updated synchronously.

Parent topic: Creating NEs


Configuring Communication Parameters

Before operating an NE by using the NE Software Management, you need to log in to the network management system (NMS) server, and then configure the NMS server and transmission protocols.

  • Single NICs Configured with Single IP Addresses
    An NE Software Management communicates with NEs on the corresponding network segment by using a network interface card. When the computer where the NE Software Management is installed communicates with NEs using a single NIC (the NIC has a unique IP address), please refer this chapter for details.
  • Multiple NICs Configured with Multiple IP Addresses
    An NE Software Management communicates with NEs on the corresponding network segment by using a network interface card. Hence, before the NE Software Management is used to manage the NE data and software, the information of the network interface card must be configured. When the computer where the NE Software Management is installed communicates with NEs using multiple NICs(the NIC has a unique IP address), please refer this chapter for details.
  • Single NICs Configured with Multiple IP Addresses
    An NE Software Management communicates with NEs on the corresponding network segment by using a network interface card. Hence, before the NE Software Management is used to manage the NE data and software, the information of the network interface card must be configured. When the computer where the NE Software Management is installed communicates with NEs using an NIC and the NIC is configured with multiple IP addresses, please refer this chapter for details.
  • Configuring Transfer Service Parameters
    Before backing up, loading, or restoring NE software by using the NE Software Management, ensure that the file transfer service (FTP/SFTP) is running in the normal state between the NE and server.NE Software Management through multiple protocol files. NEs of different types may support different file transfer protocols. Thus, before the NE Software Management is used to backup, recover the NE data or load the NE software, the file transfer protocol must be configured for an NE on the NE Software Management.
  • Setting a Third-Party xFTP Server
    When an NE cannot communicate with the NE Software Management through SFTP/FTP but can communicate with another computer through SFTP/FTP, you can set the third-party SFTP/FTP server on the NE Software Management. Then, perform operations on the NE. For the system stabilization when NE have fault, NE Software Management can backup the NE data file to one or more third-party SFTP/FTP server to restore the NE date. With this function of the NE Software Management, you need to configure the third-party SFTP/FTP server parameter.
Parent topic: Preparations


Single NICs Configured with Single IP Addresses

An NE Software Management communicates with NEs on the corresponding network segment by using a network interface card. When the computer where the NE Software Management is installed communicates with NEs using a single NIC (the NIC has a unique IP address), please refer this chapter for details.

Context

  • When failing to communicate with NEs on the Internet directly, NE Software Management performs NAT conversion. That is, the NE Software Management uses another IP address to communicate with NEs. You can set the IP address in NAT IP in this section.
  • The NAT is used for converting IP addresses of a network. It can convert the IP address of a private network. For example, any IP address in the range of 192.168.0.0 into one or more public IP addresses of the Internet. When a message packet is received from the Internet, inverse translation of the packet is performed.

Procedure

  1. Choose System > FTP Settings from the Main Menu.
  2. By default, the System Information tab page is displayed.

  3. When the computer where the NE Software Management is installed communicates with NEs using a single NIC (the NIC has a unique IP address), select the Single NIC Configuration radio button and set the IP address (for communication with NEs) of the local computer in the System IP Address field.

  4. Click Apply to apply the settings to the system, and the Operation Result dialog box is displayed.
  5. Click OK. The system information is configured successfully.
Parent topic: Configuring Communication Parameters


Multiple NICs Configured with Multiple IP Addresses

An NE Software Management communicates with NEs on the corresponding network segment by using a network interface card. Hence, before the NE Software Management is used to manage the NE data and software, the information of the network interface card must be configured. When the computer where the NE Software Management is installed communicates with NEs using multiple NICs(the NIC has a unique IP address), please refer this chapter for details.

Context

  • An NE Software Management can be configured with multiple network interface cards to achieve communication with NEs on different networks.
  • When failing to communicate with NEs on the Internet directly, NE Software Management performs NAT conversion. That is, the NE Software Management uses another IP address to communicate with NEs. You can set the IP address in System IP Address in this section.
  • The NAT is used for converting IP addresses of a network. It can convert the IP address of a private network. For example, any IP address in the range of 192.168.0.0 into one or more public IP addresses of the Internet. When a message packet is received from the Internet, inverse translation of the packet is performed.

Procedure

  1. Choose System > FTP Settings from the Main Menu.
  2. By default, the System Information tab page is displayed.
  3. When the computer where the NE Software Management is installed communicates with NEs using multiple NICs, select the Multiple NIC Configuration radio button (each NIC has a unique IP address). Because NEs in different network segments require different NICs for connection to the NE Software Management computer, configure the settings as follows:

    1. Click Add to display the Add System IP dialog box. In the System IP Address column, set the IP address of one NIC for communication with NEs of a specific network segment.
    2. In the NAT IP/Segment column, set the network segment of NEs.
      NOTE:

      For example, if IP address is 10.78.220.9 , the network segment is 10.78.220.0/24 (it indicates that the last 8 bits in binary of the IP address are changeable) . Thus, the IP address of NEs that can be connected to this network interface card is in the 10.78.220.0-10.78.220.255 range.

    3. Click OK to establish connection between the NE Software Management and NEs of a specific network segment.
    4. Optional:Repeat 3.a through 3.c to configure other NIC settings.
    5. Optional:Click Modify to modify existing configurations in similar steps as those from 3.a to 3.c.
    6. Optional:Click Delete to delete existing configurations.

  4. Click Apply to apply the settings to the system, and the Operation Result dialog box is displayed.
  5. Click OK. The system information is configured successfully.
Parent topic: Configuring Communication Parameters


Single NICs Configured with Multiple IP Addresses

An NE Software Management communicates with NEs on the corresponding network segment by using a network interface card. Hence, before the NE Software Management is used to manage the NE data and software, the information of the network interface card must be configured. When the computer where the NE Software Management is installed communicates with NEs using an NIC and the NIC is configured with multiple IP addresses, please refer this chapter for details.

Context

  • When failing to communicate with NEs on the Internet directly, NE Software Management performs NAT conversion. That is, the NE Software Management uses another IP address to communicate with NEs. You can set the IP address in System IP Address in this section.
  • The NAT is used for converting IP addresses of a network. It can convert the IP address of a private network. For example, any IP address in the range of 192.168.0.0 into one or more public IP addresses of the Internet. When a message packet is received from the Internet, inverse translation of the packet is performed.

Procedure

  1. Choose System > FTP Settings from the Main Menu.
  2. By default, the System Information tab page is displayed.

  3. When the computer where the NE Software Management is installed communicates with NEs using an NIC and the NIC is configured with multiple IP addresses, select Multiple NIC Configuration.

    If the computer uses some IP addresses configured for an NIC and converted by NAT to communicate with NEs in other networks, select Multiple NIC Configuration too.

    For example, the computer where the NE Software Management is installed uses an NIC to communicate with NEs. The computer communicates with NEs in network segment1 using IP address 10.88.20.21. After the IP address is converted by NAT1, the computer communicates with NEs in network segment2 using IP address 209.211.10.2.

    1. In the System IP Address column, enter an IP address. In this example, enter 10.88.20.21.
    2. In the NAT IP/Segment column, enter the IP address and IP mask of the network segment where the target NEs are in. In this example, enter 192.168.11.0/24.
      NOTE:

      In the System IP Address column, enter 10.88.20.21. set the network segment to 192.168.11.0/24 which indicates that the last eight digits of the binary IP address can be changed. The IP address of the NE ranges from 10.168.11.0 to 10.168.11.255.

    3. Click Add.
    4. Enter the IP address converted by the NAT, and the IP address and IP mask of the network segment. In this example, enter 209.211.10.2 as the converted IP address and 192.168.12.0/24 as the IP address and IP mask of the network segment2.
    5. Enter another IP address converted by the NAT, and the IP address and IP mask of the network segment. In this example, enter 209.211.20.3 as the converted IP address and 192.168.10.0/24 as the IP address and IP mask of the network segment3.
      Figure 1 Multiple NIC configuration

  4. Click Apply to apply the settings to the system, and the Operation Result dialog box is displayed.
  5. Click OK. The system information is configured successfully.
Parent topic: Configuring Communication Parameters


Configuring Transfer Service Parameters

Before backing up, loading, or restoring NE software by using the NE Software Management, ensure that the file transfer service (FTP/SFTP) is running in the normal state between the NE and server.NE Software Management through multiple protocol files. NEs of different types may support different file transfer protocols. Thus, before the NE Software Management is used to backup, recover the NE data or load the NE software, the file transfer protocol must be configured for an NE on the NE Software Management.

Prerequisites

  • Already start the file transfer service software and finish to set the parameters.

  • You must be a user with "NE Software Management Operator" authority or higher.

Context

NOTE:
For security, recommend to use SFTP.
  • If the NE Software Management server and the third-party FTP or SFTP server are installed on the same computer:
    • Stop the FTP or SFTP service if it has been started.
    • Use the FTP or SFTP server configuration functions provided by the NE Software Management if the third-party FTP or SFTP service has not been started. The parameters such as File Transfer Service Root Directory, User Name, and Password on the NE Software Management are automatically the same as those that are set when the SFTP/FTP server is configured. You do not need to set the parameters but need to click Test SFTP or Test FTP and check whether the SFTP/FTP protocol can be used.
  • If the NE Software Management server and the third-party FTP or SFTP server are installed on different computers, configure FTP or SFTP parameters by following the steps provided in this section to use the third-party FTP or SFTP service.

For Transmission/PTN NE, in the case of the TL1 and MML NEs, you need to configure the SFTP/FTP user name and password when performing the backup, recovery, and loading operations. In the case of the NEs of other types, you need to set the SFTP/FTP user name and password only if you select Force to load selected GNE through SFTP/FTP during the process of creating the upgrade task.

Before upgrading gateway NEs with SFTP (transfer domain), the NMS needs to configure the NE SFTP Key. Make sure the SFTP is normal.

Procedure

  1. Configure FTP or SFTP parameters on the NMS.

    Configure the local FTP or SFTP parameters.

    1. Choose System > FTP Server Configuration from the main menu.
    2. In the page that is displayed, configure protocol parameters.

      NOTE:
      • Ensure that Work Directory are the same as those in the FTP or SFTP software.
      • The default user name is ftpuser. The default password is Changeme_123, To ensure the security of the system, change the default password in time and subsequently change the non-default password at regular intervals.
      • To ensure the security of the system, passwords must be complex enough. For example, a password cannot be short. A password is recommended containing eight or more characters and at least two types of the following characters: digits, letters, and special characters. Remember to change passwords regularly.

    Configure the third-party FTP or SFTP parameters, please see the Setting a Third-Party xFTP Server.

  2. Configuring NE Transfer Protocols

    Files can be transferred between an NE and the NE Software Management through multiple protocol files. NEs of different types may support different file transfer protocols. Thus, before the NE Software Management is used to backup, recover the NE data or load the NE software, the file transfer protocol must be configured for an NE on the NE Software Management.

    Files can be transferred successfully between an NE and the NE Software Management only when the following requirements are met:
    • The NE Protocol Configuration parameter must be set. In the case of Transmission/PTN NE, you need not set this parameter.
    • The file transfer service that corresponds to the file transfer protocol supported by the NE must be enabled and run in the normal state.

    1. Choose System > FTP Settings from the main menu.
    2. Click the Transfer Protocol tab.
    3. Set the parameter in File Transfer Protocol between client and server area. According to the value of NE Type, set Protocol properly for the NE.
    4. Click Apply to make the settings valid.
    5. Click OK in the Operation Result dialog box.
    6. Click OK to close the FTP Settings dialog box.
Parent topic: Configuring Communication Parameters
Related concepts
Configuring the SFTP Server
Related tasks
Configuring FTP Server


Setting a Third-Party xFTP Server

When an NE cannot communicate with the NE Software Management through SFTP/FTP but can communicate with another computer through SFTP/FTP, you can set the third-party SFTP/FTP server on the NE Software Management. Then, perform operations on the NE. For the system stabilization when NE have fault, NE Software Management can backup the NE data file to one or more third-party SFTP/FTP server to restore the NE date. With this function of the NE Software Management, you need to configure the third-party SFTP/FTP server parameter.

Prerequisites

The NE need to support the SFTP/FTP server, and NE can connect to the third-party SFTP/FTP server.Only support IP domain NE and transport domain NE.

Context

NOTE:
For security, recommend to use SFTP.
  • An NE cannot communicate with the NE Software Management through SFTP/FTP but can communicate with another computer through SFTP/FTP. In this case, the connectivity between the NE Software Management and the NE is normal but they cannot communicate with each other through SFTP/FTP.
  • If you enable this function during task creation, the backup and loading operations are performed between the NE and the third-party SFTP/FTP server.

Procedure

  1. Choose System > FTP Settings from the main menu.
  2. Click the Third-party FTP server settings tab.
  3. On the Third-Party xFTP Information page, perform the following operations.

    Options

    Operation

    Test third-party xFTP server information

    Select the required xFTP server and click Test to test the xFTP function of the third-party xFTP server.

    If the test fails, reset parameters as prompted.

    Add third-party xFTP server information
    1. Click Add.
    2. On the Add Third-Party xFTP Information page, set the parameters.
      NOTE:
      If Type is set to SFTP, set Authentication mode as required.
    3. Optional: Click Test to test the xFTP function of the third-party xFTP server.

      If the test fails, reset parameters as prompted.

    4. Click OK.
      NOTE:
      After you click OK, the xFTP function is automatically tested.

    Delete third-party xFTP server information
    1. Select the required xFTP server and click Delete.
    2. In the Confirm dialog box, click Yes.

    Modify third-party xFTP server information
    1. Select the required xFTP server and click Modify.
    2. On the Modify Third-Party xFTP Information page, set related parameters.
      NOTE:
      To modify authentication information, select Modify authentication information and modify the information.
    3. Optional: Click Test to test the xFTP function of the third-party xFTP server.

      If the test fails, reset parameters as prompted.

    4. Click OK.
      NOTE:
      After you click OK, the xFTP function is automatically tested.

Parent topic: Configuring Communication Parameters


Applying for a NE Software Upgrade Capability Management License

This topic describes how to authenticate a NE Software Management license to get high software upgrade ability and more function of NE Software Management. You can use NE Software Management efficiently by standardizing the usage of NE Software Management after the authentication.

Context

When the NE Software Management license is not loaded, it has the following affects.
  • The software upgrade ability is limited and depend on the device type. (For the access and router/switch device type concurrency is 10, the transport/PTN device type is not limited.)
  • Some function of NE Software Management is limited. Such as :OLT agent upgrade task of access domain can not be created.

A NE Software Management license can be authenticated in any of the following three modes:

  • Network mode: The NE Software Management license can be authenticated after you enter the account and password for support.huawei.com or w3.huawei.com. The license is valid within 180 days after the successful authentication in network mode.
  • License file mode: Select the license file authorized in NE Software Management.
  • Temporary mode:
    • The temporary authentication is available when the existing license is about to expire. This provides enough time for users to apply for a new NE Software Management license before the license expires.
    • If there is no NE Software Management license, users can apply for a temporary NE Software Management license.
    NOTE:

    The temporary mode is based on the following rules:

    • The temporary authentication mode is available only once when the existing license is about to expire. The Temporary option button is dimmed after the temporary mode is used, indicating that it cannot be selected again.
    • The temporary license is valid only within 7 days after the successful authentication in temporary mode.
    • The Temporary option button is available only after you apply for a new NE Software Management license.
    • If you need a temporary license at another time after a successful authentication, apply for the temporary license within three days before the existing license expires. If you apply for a temporary license after the existing license expires, a message will be displayed indicating an authentication failure.

Procedure

  1. Choose Administration > NE Software Management > NE Software Upgrade Capability License (traditional style) from the main menu. ,the dialog box is displayed as shown in following figure.

    NOTE:
    In the NE Software License Management dialog box, check the NE software version and validity period of the license. Users will be prompted to apply for a new license when the license is about to expire three days later.

  2. Click Apply.

    Figure 1 Network

    Figure 2 License File

    Figure 3 Temporary

  3. In the License Authentication dialog box, select an authentication mode for applying for the license. Assume that network authentication mode is selected. Enter you account and password for logging in to w3.huawei.com and click OK. If the authentication succeeds, the NE Software License Management dialog box will be displayed indicating the validity period of the license, as shown in the following figure.

    NOTE:
    • If you need a temporary license at another time after a successful authentication, apply for the temporary license within three days before the existing license expires. If you apply for a temporary license after the existing license expires, a message will be displayed indicating an authentication failure.
    • The network authenticated mode can be used within the validity period of the license. The license will be valid for another 60 days starting from the authentication date. Note that the 60 days are not added to the original validity period of the license.

Parent topic: Preparations


Managing Software

NE software can be uploaded to the NE Software Management computer and managed in a centralized manner through a software library. In this manner, the process of loading software is simple and fast.

  • Updating Software Files
    This topic describes how to update the version information and description of the software files saved in the software library.
  • Deleting Software Files
    Clearing the useless software files in time so that sufficient space is available on the NE Software Management to storage new data.
  • Backing Up the NE Image Program File to the Software Library
    This topic describes how to back up the image program file of an NE to the directory of the NE corresponding to the software library management.
Parent topic: NE Software Management


Updating Software Files

This topic describes how to update the version information and description of the software files saved in the software library.

Prerequisites

  • The software files must be imported to the software library.

Procedure

  1. Choose NE Software Management > NE Software Library Management from the Main Menu.
  2. Right-click the desired software file, and then choose Modify.

    NOTE:

    In the process of updating a software file, only the version number and descriptive information of the software file can be changed.

  3. Optional: Select the Use Existing Version check box. Select the software version running on the current NE from the Version drop-down list.
  4. In the Version field, change the software version number.
  5. In the Description field, update the description of the software.
  6. Click OK.
  7. Click OK to close the Operation Result dialog box.
Parent topic: Managing Software


Deleting Software Files

Clearing the useless software files in time so that sufficient space is available on the NE Software Management to storage new data.

Prerequisites

  • The software file must be imported to the software library.

Context

  • Select a certain NE type or version in the NE type tree, and the NE Software Library Management list displays the software version of the NE.
  • Right-click the NE type in the NE type tree, and then choose Delete All Files. All the software files of this NE type in the software library will be deleted.
  • The number of software imported to the software library depends on the space size of the disk where the he file transfer root is located. So clearing the useless software files from the library in time is required.

Procedure

  1. Choose NE Software Management > NE Software Library Management from the Main Menu.
  2. Right-click one or more software files and then choose Delete.
  3. In the Operation Confirmation dialog box, click Yes.
  4. In the dialog box that is displayed, view the detailed operation result and click Close to close the dialog box.
Parent topic: Managing Software


Backing Up the NE Image Program File to the Software Library

This topic describes how to back up the image program file of an NE to the directory of the NE corresponding to the software library management.

Prerequisites

  • The selected NE(s) must support this function.

Context

  • Before upgrade, do as follows to obtain the upgrade software:
    • Download the upgrade software at http://support.huawei.com.
    • After you back up the image program file of an NE, the required upgrade software required is saved in the software library. You can select this upgrade software to upgrade the NE of the same type. For information on how to select the software to be loaded during the creation of an upgrade task, see Managing Upgrade/Downgrade Tasks.
  • Only one image program file can be backed up at a time.
  • Only the Router/Switch supports this function.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In NE View, select an NE and click the Image Program Information tab in the lower pane.
  3. Click Query. The progress of the query is displayed in Operation Status of the certain NE.
  4. Right-click an image program file in the displayed list, and then choose Backup from the shortcut menu. A dialog box is displayed.

  5. Enter the version number of the mirrored program in the Version text box.

    NOTE:
    • If the program version is displayed in the Program Version column on the Image Program Information tab page and the version number is correct, proceed to 6.
    • If the program version is not displayed in the Program Version column on the Image Program Information tab page, right-click the image program file and choose Backup from the shortcut menu. In the dialog box that is displayed, enter the correct version number of the image program file according to the NE information. Ensure the version must be entered in capital letter.

  6. In the Description area, enter the description of the mirrored program.
  7. Click OK.

Result

The information about the image program file is displayed on the NE Software Management tab page.

Parent topic: Managing Software


Managing Upgrade/Downgrade Tasks

The NE Software Management encapsulates all operations performed during an upgrade or a downgrade of an NE into a task. An NE is upgraded or downgraded according to the created task and the operations configured for the task.

NOTE:

Exercise caution when you upgrade or downgrade NE software because this may interrupt services on the NE. For upgrade or downgrade scheme of NE software, perform operations by strictly following the upgrade guide or patch release notes of the products. It is recommended that you ask Huawei customer service engineers to upgrade or downgrade NE software.

The upgrade process is similar to the downgrade process. This topic uses the upgrade process as an example. Figure 1 shows the upgrade process.

Figure 1 Upgrade Process

  • Editing a Task
    After creating an upgrade or a downgrade task, you can view or modify the configuration of the task. You can copy an existing task to quickly create a task that is the same as or similar to the existing task. In addition, you can delete performed tasks or unrequired tasks from the task list.
  • Performing a Task
    This topic describes start an upgrade or a downgrade task to perform the upgrade or downgrade after creating the task. During the upgrade or downgrade, you can pause the task if you need to perform manual operations other than the operations in the task or view the check report to determine whether to continue the upgrade or downgrade. After you complete the manual operations or view the check report, you can resume the task.
  • Viewing Configuration Comparison Result
    For a Switch NE, you can learn the changes of the parameter configuration of the NE by comparing the configurations before and after an upgrade.
  • Viewing Task Statistics
    This topic describes how to view the statistics about a task before, after, or during the upgrade to know the number of NEs in the task, the NE running status, and the operation result of the task performed on the NE.
  • NE-Level Operation
    The operations for controlling the process of a task are classified into task-level operations and NE-level operations. To perform an NE-level operation, click [image] to expand the task list, right-click an NE in the task list, and then choose a right-click menu.
  • Isolation Room Management
    In a package loading or package diffusion upgrade task for transport NEs, you can manage an NE and its cards involved in the task in the isolation room independently if software fails to be distributed to or activated on the cards of the NE. In this manner, other cards of the NE that do not run and other NEs can still be upgraded. In the isolation room, you can perform operations including refreshing the software package status, retrying a failed operation, rolling back software, resuming a task, canceling card isolation, and deleting isolation data.
  • Viewing Task Reports
    This topic describes how to view a task report, logs and the display information, through which you can know how the task is implemented.
Parent topic: NE Software Management


Editing a Task

After creating an upgrade or a downgrade task, you can view or modify the configuration of the task. You can copy an existing task to quickly create a task that is the same as or similar to the existing task. In addition, you can delete performed tasks or unrequired tasks from the task list.

  • Viewing Task Information
    This topic describes how to view the information of a task.
  • Modifying Tasks
    After a task is created, modifications of the task can be made as required.
  • Copying a Task
    When the operation steps of a task to be created are the same or similar to the operation steps of an existing task, you can create the task quickly by duplicating the existing task.
  • Deleting Tasks
    This topic describes how to delete one or more multiple tasks from a task list.
Parent topic: Managing Upgrade/Downgrade Tasks


Viewing Task Information

This topic describes how to view the information of a task.

Prerequisites

  • The task must be created.

Context

  • Only the information of one task can be viewed at a time.
  • This operation is available for all task types.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Right-click the desired task in the right pane of the window, and then choose View Task.

    NOTE:

    The required operations vary according to the task type and NE type. In addition, the tab pages in the View Task window is determined by the selected task.

  3. Click the specific tab in the View Task window as required to view the task information.
Parent topic: Editing a Task


Modifying Tasks

After a task is created, modifications of the task can be made as required.

Prerequisites

  • The task must be created and it cannot be in running state.
  • The task cannot be modified when it is in running state except the simulation package upgrade task.
    • When the simulation package upgrade task is paused before backuping , loading , activating , you can modify the task (you can only modify the activating group and activating time).
    • When NE is being activated or task did not configured activating step , you can not modify the simulation package upgrade task.

Context

  • Only one task can be modified at a time.
  • The task type and NE type cannot be changed.
  • The methods and precautions for modifying a task are similar to the methods and precautions for creating a task. Thus, for information on how to modify a configuration according to the task type.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Right-click the task and then choose Modify Task. The Modify Task dialog box is displayed.
  3. Modify the configurations on a tab page if required.

    NOTE:
    When the activation groups set in the package diffusion task (board level ) do not match those on NEs, and the possible cause of the mismatch is that the information of the boards on the NE is changed after creating the task, a prompt must be displayed indicating that the activation operation failed, and then the task is paused. You need to modify the information of the activation group in the task. The procedures are as follows:
    1. Click the Activate tab in the Modify Task dialog box.
    2. Click [image] , a progress dialog box is displayed. In this period, the system checks whether the activation groups set on NE Software Management match those on NEs, and can modify the incorrect ones automatically.

  4. After the modification, click OK.
Parent topic: Editing a Task


Copying a Task

When the operation steps of a task to be created are the same or similar to the operation steps of an existing task, you can create the task quickly by duplicating the existing task.

Context

  • When a task fails and the upgrade or downgrade task that is the same as or similar to the failed task is required, you can perform this operation to quickly create a task.
  • Only one task can be duplicated at a time.
  • All types of tasks can be duplicated.
  • In the process of duplicating a task, certain configurations can be modified. The methods and precautions for configuring operations when a task is duplicated are similar to methods and precautions for configuring operations when a task is created. Thus, for information on how to modify a configuration, refer to the corresponding topics according to the task type.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Right-click the existing task, and then choose Copy Task.
  3. In the Task Name field, enter a name for the new task.
  4. In the case of the Router/Switch, if a task is performed but the task fails to be performed on certain NEs. When duplicating the task on the failed NEs, you need to make a choice from the following options :

    NOTE:

    In the case of a successful task, you do not need to make a choice from the following options. You can skip this step.

    Option | Description
    All NEs | The target task includes all the NEs in the original task no matter whether the original task is performed successfully on the NEs or not.
    Failed NEs The target task includes only the NEs on which the original task fails to be performed.

    This option is applicable to the scenario wherein the original task is successfully performed on certain NEs, and the upgrade/downgrade task needs to be performed on the NEs on which the original task fails to be performed.
  5. Click OK.
  6. Modify the configurations on a tab page if required. After the modification is complete, click OK.
Parent topic: Editing a Task


Deleting Tasks

This topic describes how to delete one or more multiple tasks from a task list.

Prerequisites

  • The task cannot be in running state.

Context

  • All types of tasks can be deleted.
  • Multiple tasks can be deleted at the same time.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Right-click one or more tasks and then choose Delete Task.
  3. In the dialog box that is displayed, click Yes.
  4. In the Operation Result dialog box, click OK.
Parent topic: Editing a Task


Performing a Task

This topic describes start an upgrade or a downgrade task to perform the upgrade or downgrade after creating the task. During the upgrade or downgrade, you can pause the task if you need to perform manual operations other than the operations in the task or view the check report to determine whether to continue the upgrade or downgrade. After you complete the manual operations or view the check report, you can resume the task.

  • Pausing a Task (Task-Level Operation)
    This topic describes how to give a pause to a task before the next step is performed.
  • Continuing a Task (Task-Level Operation)
    This topic describes how to resume task that has been stopped.
  • Moving Failed Tasks to the List of Performed Tasks
    After a task fails, it can be moved to the list of tasks that have been performed.
  • Retrying Task
    In the patch package diffusion upgrade task(more than 10 NEs),if the task fault,you can retry the task.Task will start on the all NE.
Parent topic: Managing Upgrade/Downgrade Tasks


Pausing a Task (Task-Level Operation)

This topic describes how to give a pause to a task before the next step is performed.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The task must be in running state.

Context

  • After a pause is given to a task, the task stops before the next step is performed.
  • It takes a long time to pause a task after all check items are checked, because there are a large number of upgrade and downgrade check items on the Router NE. Therefore, if you pause the task that performs pre-check or post-check, the task stops after the current check items are checked instead of after all check items are checked.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Right-click the task that needs to be suspended, and then choose Pause Task.

    NOTE:
    You can perform this operation on many task at the same time.

  3. In the confirmation dialog box displayed, click Yes.

    NOTE:

    If the next step is unavailable, after Pause Task is selected, a dialog box is displayed, prompting why the operation fails. Click Close.

  4. In the Operation Result dialog box, click OK.

Result

When the operation is successful, the task is in stopped state before the next step is performed.

Parent topic: Performing a Task


Continuing a Task (Task-Level Operation)

This topic describes how to resume task that has been stopped.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The task must be stopped,

Context

  • This operation is available for all types of tasks.
  • This operation can be performed at the same time to multiple tasks that have been stopped.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Right-click the stopped task that needs to be resumed, and then choose Continue Task.

Result

When the operation is successful, the operation status shows the implementation progress.

  • If the task failed and a dialog prompted. The reason will display in the Detail. If there is a link in the reason, you can click the link to see the detail information.
  • If task failed and dialog do not prompt. The reason will display in the Detail. If there is a link in the reason, you can click the link to see the detail information.
Parent topic: Performing a Task


Moving Failed Tasks to the List of Performed Tasks

After a task fails, it can be moved to the list of tasks that have been performed.

Prerequisites

  • The task fails.

Context

  • This operation is available for all task types.
  • This operation can be performed at the same time to multiple tasks.
  • For Trans NE, if an upgrade task that fails to be run exists on the NE but you need to run a new task on the NE, move the failed task under the Completed node. Otherwise, the new task fails to be run.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Right-click the task and then choose Move To Completed.
  3. In the dialog box that is displayed, click Yes.
  4. In the Operation Result dialog box, click OK.

Result

If the operation is successful, the task is moved to the list of tasks that have been performed.

Parent topic: Performing a Task


Retrying Task

In the patch package diffusion upgrade task(more than 10 NEs),if the task fault,you can retry the task.Task will start on the all NE.

Prerequisites

  • You have created a package diffusion upgrade task.
  • All the task is fault.

Context

In the patch package diffusion upgrade task(more than 10 NEs), and all the task is fault, you can use this function. If one NE is fault, you can Refer to Performing Retry Operations.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Select the required task in the right frame, right-click, and then choose Retry task.

    NOTE:
    See the state in the right down window.

Result

  • If the task failed and a dialog prompted. The reason will display in the Detail. If there is a link in the reason, you can click the link to see the detail information.
  • If task failed and dialog do not prompt. The reason will display in the Detail. If there is a link in the reason, you can click the link to see the detail information.
Parent topic: Performing a Task


Viewing Configuration Comparison Result

For a Switch NE, you can learn the changes of the parameter configuration of the NE by comparing the configurations before and after an upgrade.

Prerequisites

  • The upgrade task includes pre-check and post-check operations. In addition, when you configure the pre-check and post-check parameters, the current configuration information option must be selected.
  • You can compare the configuration only for the same Switch NE. Comparison of multiple Switch NEs or comparison between a Switch NE and an NE of another type is not supported.

Procedure

  1. After the upgrade tasks performs the pre-check and post-check, right-click in the task list, and then choose View Configuration Compare Result.
  2. In the dialog box that is displayed, view the comparison result. You can click the View link next to the NE to view its details.

    NOTE:

    You can locate the previous or next difference between the two files by clicking the up or down button on the upper left of the window.

    If the contents of the two files are different, they are highlighted in different colors.

Parent topic: Managing Upgrade/Downgrade Tasks


Viewing Task Statistics

This topic describes how to view the statistics about a task before, after, or during the upgrade to know the number of NEs in the task, the NE running status, and the operation result of the task performed on the NE.

Prerequisites

  • The task must be created.

Context

  • A task statistics report can be saved as a file in the *.html, *.txt, or *.csv format. In addition, the task statistics report can be previewed or printed.
  • The operation of viewing a statistics report is available for all types of tasks.
  • The statistics reports of different tasks can be viewed at the same time.
  • A statistics report contains the following information: number of NEs/slots, NEs in running state, NEs not in running state, and running status of NEs (success or fail).

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Right-click one or more NEs in the right pane of the window, and then choose Task Statistics. The Task Statistics window is then displayed.
  3. The Task Statistics window displays the statistics data of the selected task.

  4. Optional: Click the three buttons sequentially on the upper left of the Task Statistics window to save, preview, and print the statistics report.
Parent topic: Managing Upgrade/Downgrade Tasks


NE-Level Operation

The operations for controlling the process of a task are classified into task-level operations and NE-level operations. To perform an NE-level operation, click [image] to expand the task list, right-click an NE in the task list, and then choose a right-click menu.

  • For task-based operations, select a task from the list and perform operations on the task by choosing the required item in the shortcut menu. Do not click [image] to expand the tasks.
  • This topic describes the following NE-based operations: If the operation failed, the reason will display in the operation result. If there is link in the reason, you can click the link to see the detail information.
  • Performing Retry Operations
    After an NE starts performing a task, if the task fails due to a failure to perform a certain operation in the process, a retry operation is available for re-performing the failed operation.
  • Pausing Tasks (NE-Level Operation)
    This topic describes how to perform a Pause operation to stop a task that is running on an NE so that the task is paused before the next step.
  • Continuing Tasks (NE-Level Operation)
    When the task for an NE is suspended, perform the Continue operation to resume the task.
  • Next Step
    To ensure a successful and efficient upgrade for S9300 , CX600 and transmit domain NE , skip the current NE step and perform the next step during an upgrade task.
  • Performing Software Rollback
    In the upgrade process, a rollback operation can be performed to restore the NE to the state prior to the upgrade.
  • Rechecking NE Information
    If the upgrade checks are performed in the task, you can use the function described in this topic to check the status information of the NE again to ensure the collected information is accurate.
  • Refreshing NE Information
    After a task is created, you can know the process in which an NE performs a task in real time by performing a refreshing operation.
  • Cancelling an Operation
    When an NE is performing a loading or backup operation, a cancel operation can be performed. Then, the system returns to the state before the loading or backup operation is performed.
  • Manual Activation (Board-Level Operation)
    During a simulation package task, you can use the manual activation function to activate the boards that are inactive or failed to be activated.
  • Ignore (Error Tolerance of Activation Failure)
    For software package loading tasks and software package diffusion tasks (network element), if certain boards of the NE(s) fail to be activated, you can perform the operation of ignoring the boards of such NE(s). Then, you can continue to activate other boards that are not activated.
  • Querying the Boards That Fail to Be Activated
    For software package loading tasks and software package diffusion (network element) tasks, if certain boards of NE fail to be activated, you can query the board information about such NEs.
  • Removing NEs from an Upgrade Task
    When some NEs in an upgrade task fail to be upgraded, you can delete them from the task.
Parent topic: Managing Upgrade/Downgrade Tasks


Performing Retry Operations

After an NE starts performing a task, if the task fails due to a failure to perform a certain operation in the process, a retry operation is available for re-performing the failed operation.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The NE must have failed to perform a task.

Context

  • A retry operation is available for all types of tasks.
  • The retry operation can be performed only to the NEs on which a task fails.
  • When a task fails, the system automatically performs a rollback operation. When a retry operation is performed to an NE that is upgraded through a package loading or package diffusion task, the system automatically checks the operations to be performed on the NE (including the operations that failed initially or the operations that need to be performed again after a rollback operation), and then performs the operations again.
    NOTE:

    If the retry operation is successful, the NE continues to perform the operations of the task sequentially.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the Task Management list, click [image] to expand the failed tasks.
  3. Right-click the NE on which the task failed, and then choose Retry.

    NOTE:

    After the retry operation is performed, the implementation status of the retry operation is displayed in Status.

Parent topic: NE-Level Operation


Pausing Tasks (NE-Level Operation)

This topic describes how to perform a Pause operation to stop a task that is running on an NE so that the task is paused before the next step.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The task must be running on the NE.

Context

  • After you pause a task, the NE does not immediately stop the task but continues performing the current upgrade or downgrade operation and stops the task before the next operation is performed.
  • It takes a long time to pause a task after all check items are checked, because there are a large number of upgrade and downgrade check items on the Router NE. Therefore, if you pause the task of an NE that performs pre-check or post-check, the NE stops the task after the current check items are checked instead of after all check items are checked.
  • This operation is applicable to the following condition: Multiple NEs are involved in a task and you need to pause the task of only certain NEs. If you need to pause the task of all NEs involved in the task, see Pausing a Task (Task-Level Operation).
  • The Transmission/PTN NE does not support the Pause operation.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the task list, click [image] to expand the task nodes. Right-click one or more NEs under the task node, and then choose Pause.

    NOTE:

    You can perform this operation on multiple NEs involved in a task at the same time.

  3. Click Yes in the Operation Result dialog box that is displayed.

    NOTE:
    • If the next operation is unavailable when the task running on the selected NEs is stopped, the Operation Result dialog box is displayed, indicating that Operation is unsuccessful for the following resource(s)/task(s).
    • In this case, click Details in the Operation Result dialog box to view the causes.

Result

After the Pause operation is performed, the operation statuses of the NE(s) and the task node are changed.

Parent topic: NE-Level Operation


Continuing Tasks (NE-Level Operation)

When the task for an NE is suspended, perform the Continue operation to resume the task.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The task is Simulation Package Upgrade Task or Software Upgrade/Downgrade Task.
  • The operation on the NE is suspended.
    NOTE:
    During a simulation package upgrade task, the Continue operation is unavailable in the following situations:
    • When the next step is activating NEs, the operation is suspended.
    • When the next step is activating another board group, the operation is suspended.
    • When the next steps for all NEs are the same, the operation is suspended.

Context

  • The Continue operation is independent of task types of the NE.
  • This operation can be performed at the same time to multiple NEs under a task node.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the right pane of the window, click [image] to expand the task nodes. Right-click one or more NEs under the task node, and then choose Continue.
  3. In the Operation Result dialog box, click Yes.

Result

After the Continue operation is performed, the operation status of the NE and the task node are changed.

Parent topic: NE-Level Operation


Next Step

To ensure a successful and efficient upgrade for S9300 , CX600 and transmit domain NE , skip the current NE step and perform the next step during an upgrade task.

Prerequisites

  • It is not the last step.
  • The NE Software Management must communicate with NEs successfully.
  • The task is a simulation package upgrade task.
  • Activating is failed on the S9300 , you can perform this function.
  • In software upgrade/downgrade task , the CX6000 NE active fault, you can perform this function
  • This operation can be performed only in the following situations for transmit domain NE:
    • Pre-check operation fails.
    • Backup operation fails.
    • Load operation fails.
    • The operation before activating the NE is suspended.
    • Activation fails.

Context

The skip the operation will not affect the task .

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Click [image] in the right pane to expand the task node.
  3. Right-click an NE and choose Next from the shortcut menu. The next step will be performed for the NE.
Parent topic: NE-Level Operation


Performing Software Rollback

In the upgrade process, a rollback operation can be performed to restore the NE to the state prior to the upgrade.

Prerequisites

  • When the NE is upgraded through package loading or package diffusion, the following requirements must be met:
    • The software package of a version earlier than the upgrade version exists on the NE.
    • A rollback operation can be performed only in the following three situations:
      • After the software package is loaded but before the software package is distributed
      • After the software package is distributed but before the activation is performed
      • After the activation is performed but before the software package is submitted to the relevant NEs
  • For NEs of the router and switch domains, patch rollback and software rollback are included.
    • For patch rollback, the following requirements must be met:
      • The patch must be loaded successfully.
      • The upgrade task run successfully.
      • If a patch is running on the NE before upgrade, the patch file for startup before upgrade must exist on the NE during rollback.
    • For software rollback, the following requirements must be met:
      • The software must be loaded. The software include program file.
      • The software must be activated.
      • The task must be successfully performed.
      • The software file for startup before upgrade must exist on the NE.
  • The selected NE(s) must support this function.
  • The NE Software Management must communicate with NEs successfully.

Context

NOTICE:
The rollback operation will result in NE service interruption or NE unreachability, please use caution when operating.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the right pane of the window, click [image] to expand the task nodes.
  3. Right-click the NE and then choose Rollback.

Result

When the operation is successful, the operation status shows the implementation progress.

Parent topic: NE-Level Operation


Rechecking NE Information

If the upgrade checks are performed in the task, you can use the function described in this topic to check the status information of the NE again to ensure the collected information is accurate.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The selected NE(s) must support this function.
  • For Router NE, the pre- and post-upgrade checks must be performed.
  • For Transmission NE, the post-upgrade checks must be performed and in failed or successful state.
  • The type of Simulation Upgrade Task or Software Upgrade/Downgrade Task supports this function.
  • The task that the NE is performing cannot be moved to completed.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the right pane of the window, click [image] to expand the task nodes. Right-click the desired NE under the task node, and then choose Recheck.
  3. In the displayed dialog box, click OK. The NE is performing the check operation.

Result

For Router NE, when the recheck is successful, the information in the pre-check report and the post-check report is updated automatically according to the recheck result.

Parent topic: NE-Level Operation


Refreshing NE Information

After a task is created, you can know the process in which an NE performs a task in real time by performing a refreshing operation.

Prerequisites

  • The task must be created and the task type must be package upgrade or downgrade, or package diffusion upgrade or downgrade.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the right pane of the window, click [image] to expand the task nodes. Right-click the desired NE under the task node, and then choose Refresh.

  3. In the dialog box displayed, view the Status, and then click Close.
Parent topic: NE-Level Operation


Cancelling an Operation

When an NE is performing a loading or backup operation, a cancel operation can be performed. Then, the system returns to the state before the loading or backup operation is performed.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The selected NE(s) must support this function.
  • The task must be started, and the desired NE(s) must be running the task.
  • The NE must be performing the loading or backup operation configured for a task.

Context

When the cancel operation is successful, Operation Status of the task is displayed as failed. In this case, a Retry operation is available to re-perform the operation that has been cancelled.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the right pane of the window, click [image] to expand the task nodes.
  3. Right-click the NE(s) and then choose Cancel.

Result

When the operation is successful, the state of the operation is Cancel operation successful, and the state of the task is failed.

Parent topic: NE-Level Operation


Manual Activation (Board-Level Operation)

During a simulation package task, you can use the manual activation function to activate the boards that are inactive or failed to be activated.

Prerequisites

  • The task is a simulation package upgrade task.
  • The boards to be activated are inactive or failed to be activated.
    NOTE:

    Manual activation operation is unavailable if the NE where the boards are located is under the task-level activation.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the task list, click [image] to expand the tasks. And then click [image] to expand the NE.
  3. Right-click the required board and choose Manually Activate from the shortcut menu.

    NOTE:
    Manual activation operation is unavailable if the boards are not located in the same NE at the same time.

Result

The Operation parameter value of the board is displayed as Activate. The activation progress is displayed in the Operation Status dialog box.

Parent topic: NE-Level Operation


Ignore (Error Tolerance of Activation Failure)

For software package loading tasks and software package diffusion tasks (network element), if certain boards of the NE(s) fail to be activated, you can perform the operation of ignoring the boards of such NE(s). Then, you can continue to activate other boards that are not activated.

Prerequisites

  • The task must be paused before submission.
  • The NEs must fail to be activated.
  • The NEs must be in the same activation group in the case of selecting multiple MEs.
  • The type of upgrade task is classified into package upload and package diffusion (network element).

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the right pane, click [image] to expand task nodes.
  3. Select the required NE under the task node, right-click, and then choose Ignore.

Result

The task continues to perform the activation operation after you ignore an NE. The NE status shows that error tolerance is partial successful after the activation operation successfully completed.

Parent topic: NE-Level Operation


Querying the Boards That Fail to Be Activated

For software package loading tasks and software package diffusion (network element) tasks, if certain boards of NE fail to be activated, you can query the board information about such NEs.

Prerequisites

The type of upgrade task is classified into package loading and package diffusion (network element).

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the right pane, click [image] to expand task nodes.
  3. Select the required NE under the task node, right-click, and then choose Query.
  4. After the query is complete, click Show Result to query the information of the ignored boards.
  5. Click Close to finish the configuration.
Parent topic: NE-Level Operation


Removing NEs from an Upgrade Task

When some NEs in an upgrade task fail to be upgraded, you can delete them from the task.

Prerequisites

  • This function is applicable to only simulation package upgrade tasks.
  • The NEs must be failed to perform an operation of the task.
  • The task that the NE is performing cannot be moved to completed.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the task list, click [image] to expand the task nodes. Right-click one or more NEs under the task node, and then choose Remove from the shortcut menu.
  3. Click Yes in the Operation Result dialog box that is displayed.
Parent topic: NE-Level Operation


Isolation Room Management

In a package loading or package diffusion upgrade task for transport NEs, you can manage an NE and its cards involved in the task in the isolation room independently if software fails to be distributed to or activated on the cards of the NE. In this manner, other cards of the NE that do not run and other NEs can still be upgraded. In the isolation room, you can perform operations including refreshing the software package status, retrying a failed operation, rolling back software, resuming a task, canceling card isolation, and deleting isolation data.

After software fails to be distributed to or activated on the cards of NEs, the task is paused and the NEs that support error tolerance are placed in the isolation room automatically. On the Task View tab page, the NEs that support error tolerance are grayed out and messages are displayed in Operation Status indicating that certain cards of the NEs are isolated. You can click links to navigate to the isolation room.

The NEs in the isolation room are in the operation success state, and only the cards involved in operation failures are isolated. In the isolation room, you can perform operations on NEs or the cards involved in operation failures. For example, query the cards involved in operation failures and retry the failed operations on these cards. When the operation failures of cards do not affect the upgrade of the NE or after the faults of the cards are rectified, you can resume upgrading the NE.

You can query the status of each upgrade operation of an NE that supports error tolerance by viewing logs. To open the logs, click [image] at the bottom of the isolation room. The logs record the information, including start time and operation results, about performed operations.

  • Refreshing the SWDL Status
    This topic describes how to refresh the current status of a software package in Isolation Room to determine the next operation for an NE or card.
  • Resuming Upgrading an NE
    The task is paused each time an operation is complete in the isolation room. When the operation failure of a card does not affect the upgrade of the NE or after the fault of a card is rectified, you can resume upgrading the NE.
  • Retrying a Failed Operation
    After an operation fails to be performed on a card, retry the operation on the card or the NE that the card belongs to. If the operation still fails, it is recommended that you rectify the fault of the card.
  • Rolling Back Software
    This topic describes how to roll back software. If an error occurs on the new software during the upgrade, you need to roll back the software of the related NE or card.
  • Viewing an Error Tolerance Report
    This topic describes how to view an error tolerance report. You can obtain the information about the upgrade process and cards of the NEs that support error tolerance in Isolation Room from the report.
  • Deleting Data
    This topic describes how to delete the data of an NE that does not require any operation in Isolation Room.
  • Canceling Isolation
    After the fault of an isolated card is rectified or after the software is submitted for an NE but the card involved in the operation failure is still isolated, you can cancel the isolation of such a card manually.
Parent topic: Managing Upgrade/Downgrade Tasks


Refreshing the SWDL Status

This topic describes how to refresh the current status of a software package in Isolation Room to determine the next operation for an NE or card.

Prerequisites

NEs that support error tolerance must exist in Isolation Room.

Procedure

  1. In Isolation Room, right-click the required NE and choose Refresh SWDL Status from the shortcut menu.

    NOTE:

    You can perform this operation on the NEs involved in the same task and cannot perform this operation on the NEs involved in different tasks.

Result

After the SWDL status is refreshed, the status of the software package is also refreshed.

Parent topic: Isolation Room Management


Resuming Upgrading an NE

The task is paused each time an operation is complete in the isolation room. When the operation failure of a card does not affect the upgrade of the NE or after the fault of a card is rectified, you can resume upgrading the NE.

Prerequisites

The NEs that support error tolerance must exist in Isolation Room and must be in the operation success state.

Procedure

  1. In Isolation Room, right-click the required NE and choose Continue from the shortcut menu.

    NOTE:

    You can perform this operation on the NEs involved in the same task and cannot perform this operation on the NEs involved in different tasks.

Result

After you choose Continue from the shortcut menu, the current operation of the NE and the operation status of the NE and cards are refreshed.

In the NE activating, the NEs with the activation fails board are placed in the isolation room, network element status is Halt, then you can do the followings.
  • After you choose Continue from the shortcut menu, the system will skip the activation step, the next step task operation.
  • After you choose Retry from the shortcut menu, the system will activating the rest of the board.
  • If you want to re-execute the board failed to activate activation, selecting the activation fails boards, then choose Retry from the shortcut menu.
Parent topic: Isolation Room Management


Retrying a Failed Operation

After an operation fails to be performed on a card, retry the operation on the card or the NE that the card belongs to. If the operation still fails, it is recommended that you rectify the fault of the card.

Prerequisites

  • The NEs that support error tolerance must exist in Isolation Room.
  • After the software is activated for an NE that supports error tolerance, the card where the operation is retried must be in the isolated state.

Procedure

  1. In Isolation Room, right-click the required card or NE and choose Retry from the shortcut menu.

    NOTE:
    • You can retry the operation on the isolated card or the NE that the isolated card belongs to.
    • You can retry the operation on multiple cards where the operation fails to be performed and that are involved in the same task. You cannot retry the operation on the cards that are involved in different tasks.
    • You can retry the operation on multiple NEs where the operation fails to be performed and that are involved in the same task. You cannot retry the operation on the NEs that are involved in different tasks.

Result

After you choose Retry from the shortcut menu, the progress and result of retrying the operation on the card or NE are displayed in Operation Status.

In the NE activating, the NEs with the activation fails board are placed in the isolation room, network element status is Halt, then you can do the followings.
  • After you choose Continue from the shortcut menu, the system will skip the activation step, the next step task operation.
  • After you choose Retry from the shortcut menu, the system will activating the rest of the board.
  • If you want to re-execute the board failed to activate activation, selecting the activation fails boards, then choose Retry from the shortcut menu.
Parent topic: Isolation Room Management


Rolling Back Software

This topic describes how to roll back software. If an error occurs on the new software during the upgrade, you need to roll back the software of the related NE or card.

Prerequisites

  • The NEs that support error tolerance must exist in Isolation Room.
  • Software must not be submitted for the NEs that support error tolerance.
  • The task of an NE or a card must fail to be performed.

Context

After the rollback is complete, the NE or card runs on the software of the source version.

Procedure

  1. In Isolation Room, right-click the required NE or card and choose Rollback from the shortcut menu.

    NOTE:
    • You can roll back the software of only one NE at a time.
    • You can roll back the software of multiple cards of an NE at a time. You cannot roll back the software of the cards of different NEs.

Result

After you choose Rollback from the shortcut menu, the progress and result of rolling back the software of the NE or card are displayed in Operation State.

Parent topic: Isolation Room Management


Viewing an Error Tolerance Report

This topic describes how to view an error tolerance report. You can obtain the information about the upgrade process and cards of the NEs that support error tolerance in Isolation Room from the report.

Prerequisites

The NEs that support error tolerance must exist in Isolation Room.

Context

Save an error tolerance report to a local directory before viewing it. the report can be saved only in .XLS format.

Procedure

  1. In Isolation Room, click Export. The dialog box as shown below is displayed.

  2. In the File Path column, click [image] to set the path for saving the report.

    NOTE:
    • The default path for saving the report is \client\report.
    • The error tolerance reports of all tasks in Isolation Room are exported at the same time.
    • To change a customized file path to the default path, click Restore default.

  3. Optional: To save reports in the same format and to the same path when multiple tasks exist in Isolation Room, click Same as first Line Configure.
  4. Click OK.
  5. In the dialog box as shown below, select the required report and click Open.

Parent topic: Isolation Room Management


Deleting Data

This topic describes how to delete the data of an NE that does not require any operation in Isolation Room.

Prerequisites

  • The NEs that support error tolerance must exist in Isolation Room.
  • The NEs do not run any task or no task is running.

Context

If the data of all NEs involved in a task needs to be deleted, you can delete the task directly.

Procedure

  1. In Isolation Room, right-click the required task or NE and choose Delete from the shortcut menu.

    NOTE:

    You can delete multiple NEs involved in a task or multiple tasks at a time.

  2. In the confirmation dialog box, click Yes. The progress of deleting the task or NE is displayed.
  3. View the operation result after the progress reaches 100% and click Close.
Parent topic: Isolation Room Management


Canceling Isolation

After the fault of an isolated card is rectified or after the software is submitted for an NE but the card involved in the operation failure is still isolated, you can cancel the isolation of such a card manually.

Prerequisites

  • NEs that support error tolerance must exist in Isolation Room.
  • Isolated cards must exist.
  • Software must be submitted for the isolated card.

Procedure

  1. In Isolation Room, right-click the required card and choose Free Isolation from the shortcut menu.

    The progress of canceling the isolation is displayed.

    NOTE:

    You can cancel the isolation of multiple cards of an NE at the same time.

Result

After the operation is successful, the status displayed in Whether Isolated of the certain card changes to NO.

The card cannot be operated after it is canceled isolation in the Isolation Room.

Parent topic: Isolation Room Management


Viewing Task Reports

This topic describes how to view a task report, logs and the display information, through which you can know how the task is implemented.

After a task is started, you can click [image] at the bottom of the interface to open the logs that record the process information of the task.

  • Generating a Task Report
    You can know the configuration information and implementation status of a task through the task report. This topic describes how to generate a task report.
  • Viewing Display Information
    You can know the status of an NE in real time by viewing the display information after the feasibility check or pre-/post- check is performed for a task.
  • Viewing the Pre-Check Report
    This topic describes how to view a pre-check report to know the basic status information of an NE before the upgrade.
  • Viewing the Post-Check Report
    This topic describes how to view a post-check report to know the basic status information of an NE after the upgrade.
  • Viewing Comparison Report
    This topic describes how to view a comparison report to obtain the NE data before and after an upgrade.
Parent topic: Managing Upgrade/Downgrade Tasks


Generating a Task Report

You can know the configuration information and implementation status of a task through the task report. This topic describes how to generate a task report.

Prerequisites

  • The task must be started.
  • The task cannot be in running state.

Context

  • A task report can be generated regardless whether the task is in stopped, failed, or success state.
  • All task types support generation of a task report.
  • A task report cannot be viewed unless it is saved in a local directory. the report must be saved as the *.XLS file.
  • This operation can be performed at the same time to multiple tasks.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the right pane of the window, select the desired task and then choose Generate Report. A dialog box is displayed as shown below.

  3. In File Path, click [image] to set the path for saving the report.

    NOTE:
    • The default path for saving the report is \client\report.
    • To restore the customized setting of File Path to the default setting, click Restore default.

  4. Optional: If this operation is performed to multiple tasks at the same time and the reports need to be saved on the same path, click Same as first Line Configure.
  5. Click OK.
  6. A dialog box is displayed as shown below. Click Open to view the report.

Parent topic: Viewing Task Reports


Viewing Display Information

You can know the status of an NE in real time by viewing the display information after the feasibility check or pre-/post- check is performed for a task.

Prerequisites

  • The task must be started and the operation of which the display information needs to be viewed must have been performed.
  • The selected NE(s) must support this function.

Context

  • Viewing display information is an NE-level operation for a task.
  • This operation can be performed only to one NE at a time.
  • In the case of a pre-/post check, the display information can be viewed only when the pre-/post check is completed.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. In the task list, right-click [image] to expand the task nodes, and then select the desired NE.

  3. Click the operation that has been performed, and then click View in the sub-operation list on the right of the window. The View command result dialog is displayed.
  4. Optional: Click Save to save the display information to a local directory.
  5. Click OK to close the dialog box.
Parent topic: Viewing Task Reports


Viewing the Pre-Check Report

This topic describes how to view a pre-check report to know the basic status information of an NE before the upgrade.

Prerequisites

  • The task must be in running state and the pre-check must be complete.
  • The selected NE(s) must support this function.

Context

  • The items in the pre-check report are according to the check items as configured when the task is created.
  • The pre-check report can be saved, and you can choose to view only the check items that have failed.
  • In the pre-check report, you can view the display information of a task performed for an NE. For details, see Viewing Display Information.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Click [image] to expand the task nodes. Right-click one or more NEs under the task node, and then choose View Check Reports > View PreCheck Report

    NOTE:

    For the Access NE of the MA series, you can also select the desired task, and choose the View Check Reports > View PreCheck Report to view the report of all the NEs on the task.

  3. Optional: Select the View failed check items check box to view only the failed check items if required.

    NOTE:

    Select the View all check items check box to view all the check items.

  4. Optional: Click View behind the check item to view the display information of the task as required.

    NOTE:

    Only the Router/Switch supports this function.

  5. Optional: Click Save As to save the check report as required.
  6. After viewing the check items, click Close.
Parent topic: Viewing Task Reports


Viewing the Post-Check Report

This topic describes how to view a post-check report to know the basic status information of an NE after the upgrade.

Prerequisites

  • The task must be in running state and the post-check must be complete.
  • The selected NE(s) must support this function.

Context

  • The items in the post-check report are the same with the check items as configured when the task is created.
  • The post-check report can be saved, and you can choose to view only the check items that have failed.
  • In the post-check report, you can view the display information of a task performed for an NE. For details, see Viewing Display Information.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Click [image] to expand the task nodes. Right-click one or more NEs under the task node, and then choose View Check Reports > View PostCheck Report.
  3. Optional: Select the View failed check items check box to view only the failed check items if required.

    NOTE:

    Select the View all check items check box to view all the check items.

  4. Optional: Click View behind the check item to view the display information of the task as required.

    NOTE:

    Only the Router/Switch supports this function.

  5. Optional: Click Save As to save the check report as required.
  6. After viewing the check items, click Close.
Parent topic: Viewing Task Reports


Viewing Comparison Report

This topic describes how to view a comparison report to obtain the NE data before and after an upgrade.

Prerequisites

  • The task must be in running state and pre- and post-check operations must be complete.
  • The selected NE(s) must support this function.

Context

  • A comparison report can be saved and you can choose to view only the differentiated information in the report.
  • In the comparison report, you can view the display information of a task performed for an NE. For details, see Viewing Display Information.

Procedure

  1. Choose NE Software Management > NE Upgrade Task Management from the Main Menu.
  2. Click [image] to expand the task nodes. Right-click one or more NEs under the task node, and then choose View Check Reports > Compare Check Reports..
  3. Optional: If only the differentiated information in the comparison report needs to be checked, select the View different and failed check items check box.

    NOTE:

    Select the View all check items check box to view all the check items.

  4. Optional: Click View behind the check item to view the display information of the task as required.

    NOTE:

    Only the Router/Switch supports this function.

  5. Optional: Click Save As to save the check report as required.
  6. After viewing the check items, click Close.
Parent topic: Viewing Task Reports


Comparing the Files Before and After Upgrade

When you compare configuration files and the routing information before and after upgrade, the NE Software Management can identify the differences. You can realize the effect of upgrade by the comparing data.

  • Comparing Configuration Files
    This topic describes how to compare the configuration files before and after the upgrade to locate the differences in the configuration file before and after the upgrade.
  • Comparing Route Files
    This topic describes how to compare route files before and after the upgrade to confirm the affected range of the upgrade and whether the route is changed.
Parent topic: NE Software Management


Comparing Configuration Files

This topic describes how to compare the configuration files before and after the upgrade to locate the differences in the configuration file before and after the upgrade.

Prerequisites

  • Only the router and switch NE support this function.
  • The configuration files before and after the upgrade must be saved to the local computer.

Context

Only the configuration files in the format of .txt, .cfg and .log can be compared.

Procedure

  1. Choose System > Compare File > Compare Configuration Files from the main menu.
  2. In the Compare Configuration Files dialog box, click Choose in the left pane.

  3. In the Choose File dialog box, select the configuration file before the upgrade and click OK.

  4. In the Compare Configuration Files dialog box, click Choose in the right pane.
  5. In the Choose File dialog box, select the configuration file after the upgrade and click OK.
  6. In the Compare Configuration Files dialog box, click Compare. A progress bar is displayed indicating the comparison progress.

    NOTE:

    During the comparison, do not delete the files that are being compared. Otherwise, a message is displayed indicating that the files do not exist and the comparison has to be stopped.

  7. After the comparison is complete, query the information about the differences between the configuration files before and after the upgrade in the left and right panes in the Compare Configuration Files dialog box.

    NOTE:
    • The words in pink indicate the differences.
    • The words in blue indicate the additional information.

  8. Optional: Click [image] or [image] to move the cursor to the next or previous difference record. The differences between the two configuration files are displayed in the two text boxes in the lower pane of the Compare Configuration Files dialog box.
Parent topic: Comparing the Files Before and After Upgrade


Comparing Route Files

This topic describes how to compare route files before and after the upgrade to confirm the affected range of the upgrade and whether the route is changed.

Prerequisites

  • Only the router and switch NE support this function.
  • The route files before and after the upgrade must be saved in the local computer.

Context

  • Before and after the upgrade, run the disp ip routing-table command in the CLI and save the response messages as route files for comparison.
  • Only the route files in the format of .txt, .cfg and .log can be compared.

Procedure

  1. Choose System > Compare File > Compare Route Files from the main menu.
  2. In the Compare Route Files dialog box, click Choose in the left pane.

  3. In the Choose File dialog box, select the route file before the upgrade and click OK.

  4. In the Compare Route Files dialog box, click Choose in the right pane.
  5. In the Choose File dialog box, select the route file after the upgrade and click OK.
  6. In the Compare Route Files dialog box, click Compare. A progress bar is displayed indicating the comparison progress.

    NOTE:

    During the comparison, do not delete the files that are being compared. Otherwise, a message is displayed indicating that the file does not exist and the comparison has to be stopped.

  7. After the comparison is complete, query the information about the differences between route files before and after the upgrade in the left and right panes in the Compare Route Files dialog box.

  8. Click Close. The comparison of route files is complete.
Parent topic: Comparing the Files Before and After Upgrade


Managing Board-Level Software

This topic describes how to load software and patches to certain boards on an NE. And how to do an automatic upgrade of the new boards to match the NE version after being online.

  • Loading Board Software
    To load software to only a part of boards on an NE, you can use the function of loading board software.
  • Loading Board Patch Software
    The patch software is a supplement to the NE software or other board software. You can use the patch software to fix bugs of the mentioned software or to enhance the performance of an NE.
Parent topic: NE Software Management


Loading Board Software

To load software to only a part of boards on an NE, you can use the function of loading board software.

Prerequisites

  • NEs must be created.
  • The NE Software Management must communicate with NEs successfully.
  • The selected NE(s) must support this function.

Context

This operation is applicable to the Transmission/PTN NE.
NOTE:
The RTN device don't support this function by default.

Before you load the software to an SCC board, pay attention to the following:

  • For the SCC boards that have two sets of software, the newly loaded software can reside on the SCC board only as the standby software. It functions as the active software only after being activated.
  • Activating the Fpga software may result in the hard reset of the NE and interrupt the services. Hence, if you need to load the same Fpga file to two different areas of the same SCC board, do not activate the Fpga file when the file is loaded at the second time.
  • For NEs that have double SCC boards, if you directly load and activate the software on the active SCC board, services may be interrupted. Therefore, load and activate the software on the standby SCC board first, and then load the software on the active SCC board.
  • When you load the software for multiple NEs at the same time, you must activate the software on each NE one by one after all the loading tasks are complete.
  • When the software is successfully loaded but not activated, you need to reload and activate the software if you restarts the NE Software Management.
  • You cannot perform multiple operations on the same NE at the same time, such as software loading, data backup and restoration.
  • Do not load software to the SCC board and other boards on the same NE at the same time.
NOTE:

Delete NE database manually in NE Software Management, refer to Deleting Database.

Procedure

  1. Choose Board Software Management > Board Software Upgrade from the Main Menu. The NEs that have been added to the Navigation Tree are displayed.
  2. Click [image] to refresh the NE list. If an NE is not in the NE list, create NE and it is shown in the Navigation Tree.
  3. Log in to the NE(s).
  4. Right click NE(s), select Query Board, query the board information about NE(s).

    NOTE:

    When querying the board, you must wait for a period for its display. This is a normal situation for NEs.

  5. Click [image] to expand the board list.
  6. Check the check box before the board to be loaded, and unfold the board list. Click [image] to add the board to the operation list.
  7. In the Upgrade Version field, click [image] . The Board software setting window is displayed.
  8. Select a type of software loading, and click Add Software. The Choose File window is displayed.

    NOTE:

    If you click Add Software, you can add multiple files at a time.

  9. Select the file to be loaded in the Choose File window.

    NOTE:
    • If the file path contains non-alphanumeric characters, you may fail to access the file.
    • Enter the correct IP address of the SFTP/FTP server, user name, password, and port. Then, click [image] . After the successful connection, you can access the files on the FTP server. If use FTP protocol, set port as 21. If use SFTP protocol, set port as 22.
      NOTE:
      For security, recommend to use SFTP.

  10. In the Board software setting window, click OK.
  11. In the operation list, select a board, and click Start.

    NOTE:

    During the process, you can click Stop to stop the loading.

  12. When the loading is complete, click Activate. The Warning dialog box is displayed. Confirm whether to activate the software.
  13. Click Yes to start activating the software.
  14. After the activation, the Operation Result dialog box is displayed indicating that the activation is successful. Click Close.
Parent topic: Managing Board-Level Software


Loading Board Patch Software

The patch software is a supplement to the NE software or other board software. You can use the patch software to fix bugs of the mentioned software or to enhance the performance of an NE.

Prerequisites

  • NEs must be created.
  • The NE Software Management must communicate with NEs successfully.
  • The patch software to be loaded must match the target NE.

Context

indicates that the NE supports loading only patch packages.

indicates that the NE supports loading only board patches.

You can learn whether an NE supports loading board patches only after logging in to the NE.

The patch software supports upgrade loading only, instead of repeated loading or downgrade loading.

Procedure

  1. Choose Board Software Management > Board Patch Software Upgrade from the Main Menu. The function tree shows the additive NEs.
  2. Click [image] to refresh the NE list. If an NE is not in the NE list, create NE and it is shown in the Navigation Tree.
  3. Log in to the NE(s).
  4. In the NE list, right-click an NE and choose Query Board from the shortcut menu.
  5. Expand all boards of the NE, select the board to be loaded, and click [image] . The information about the desired NE is displayed in the operation list.

    NOTE:

    When querying the board, you must wait for a period for its display. This is a normal situation for NEs.

  6. In the operation list, select a board and click [image] in the Patch File field. The Choose File dialog box is displayed. Select the software that you want to load. The path to be accessed cannot contain non-alphanumeric characters.

    NOTE:
    • If the file path contains non-alphanumeric characters, you may fail to access the file.
    • When you back up the NE configuration data to the root directory of the xFTP service in the NMS server, do not select File on FTP/SFTP Server.
    • If you select File on FTP/SFTP Server, the NE configuration data is backed up to a remote server. If use FTP protocol, set port as 21. If use SFTP protocol, set port as 22.
      NOTE:
      For security, recommend to use SFTP.

  7. Click Start to begin to load a patch.

    NOTE:
    • After the loading starts, a progress bar is displayed indicating the loading progress. The status is Loading. When the status changes to Loaded and Unactivated, the loading is complete.
    • During the process, you can click Stop to stop the loading.
    • During the process, you can click Rollback to roll back the NE to the status before the loading.

  8. After the loading is complete, click Activate to activate the patch software.

    NOTE:

    You can click Rollback to perform a rollback operation.

    During activating, the board state display Activating. If finish, the board state display Activated.

  9. Click Finish to complete the patch upgrade.

    NOTE:

    After you click Finish, the NE rolls back to the status before the loading if the upgrade fails.

    After you click Finish, you cannot perform the rollback operation if the upgrade succeeds. The NE status is Normal.

Parent topic: Managing Board-Level Software


Data Backup and Restoration

This topic describes how to backup NE data immediately, and how to restore the NE data from the backup files. NE data may be lost upon an NE malfunction, upgrade, or downgrade. To prevent data loss, you need to back up NE data to the computer that runs a NE Software Management. In this manner, you can restore NE data from the backup files if required.

  • Backing Up NE Data
    This topic describes how to manually back up NE data. When maintaining, upgrading, or downgrading an NE, you need to back up the data of the NE to the computer where the NE Software Management is installed to prevent loss of or damage to the NE data due to upgrade or downgrade or exceptions.
  • Recovering NE Data
    This topic describes how to recover NE data from the backup database file when the database file is lost due to the fault of an NE or when an NE is maintained.
  • Saving NE Data
    The process of saving NE data is to save the new NE data from the memory of the new NE to the flash memory or CF card.
  • Backup File Management
    This topic describes how to view, compare, and delete the backup information and save the NE data files to local directories.
Parent topic: NE Software Management


Backing Up NE Data

This topic describes how to manually back up NE data. When maintaining, upgrading, or downgrading an NE, you need to back up the data of the NE to the computer where the NE Software Management is installed to prevent loss of or damage to the NE data due to upgrade or downgrade or exceptions.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The selected NE(s) must support this function.
  • Telnet parameters have been configured on NEs. For details, see Setting the Parameters for the Communication Between the NMS and NEs under Working with the NMS.
  • The same write community name is configured on both the NMS and NEs.. For details, see Setting the Parameters for the Communication Between the NMS and NEs under Working with the NMS.
  • The FTP/SFTP service must be configured and started. For details, see Configuring Transfer Service Parameters.
    NOTE:
    • For security, recommend to use SFTP.
  • When an agent NE is used to back up data of the target NE, ensure that files can be transferred between the third-party FTP server and the target NE.
  • Datacom network often configured VPN, data communication network element at this time also need to configure VPN parameters.

Context

  • If you back up NE data to the computer where the NE Software Management is installed, the backup directory is created automatically in the file transfer root directory. The backup NE data is transferred to the backup directory using the FTP/SFTP.

  • If an NE whose data needs to be backed up cannot communicate with the NE Software Management, use an agent NE to back up the data of the NE. Before performing this operation, however, you must ensure that a third-party FTP server is configured and files can be transferred between it and the NE successfully. During data backup, NE data is backed up to the third-party FTP server using the FTP.

  • The data of the NEs of different types can be backed up at the same time. Symbol - indicates that the NE does not support the function.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select the required NE and click Backup.
  3. Set File Type for backing up the data.

    NOTE:

    The backup file type vary with the NE type. When selecting the mismatched file type, NMS will prompt error message.

    Option Description

    Startup Configuration File

    Indicates a data file of Router/Switch. A startup configuration file is generated from the data saved in the flash memory of an NE.

    Running Configuration File

    Indicates a data file of Router/Switch. A running configuration file is generated from the running data saved in the memory of an NE.

    Data File

    Indicates a data file of Access NE. A data file is in binary file format. Upgrade NEs that do not support internal database upgrade using an upgrade tool.

    Configuration File

    Indicates a configuration file of Access NE. You can view commands in a configuration file. The configuration file does not need to be upgraded during an upgrade. It is recommended that you use the data file for an upgrade because the service data may be lost if the prior-upgrade configuration file may does not support all data of the target version.

    Data file/Configuration File
    • Indicates a data/configuration file of Transmission NE. Most NEs support only the data file. Only NEs of earlier versions support the configuration file.
    • The backup file type vary with the NE type. When selecting the mismatched file type, NMS will prompt error message.
  4. Optional: To enable automatic saving of the configuration file before the backup, select the Save Before Backup check box.

    NOTE:

    If you select the Save Before Backup check box, the running data in the memory of the NE is saved to the flash memory to ensure that the backup NE data in the flash memory is the latest data (that is the current running data of the NE).

  5. Click Start.

Result

The operation progress is displayed. After the operation is complete, the operation result is displayed.

Follow-up Procedure

  • To query the backup information of a certain NE, select the NE in NE View, and click Backup Information tab to view the required information.
  • You can manage the backup files in Backup Information tab. For details, see Backup File Management.
Parent topic: Data Backup and Restoration


Recovering NE Data

This topic describes how to recover NE data from the backup database file when the database file is lost due to the fault of an NE or when an NE is maintained.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The selected NE(s) must support this function.
  • NE data must be backed up to the NE Software Management.
  • The FTP/SFTP service must be started and configured. For the details, see Configuring Transfer Service Parameters.
    NOTE:
    • For security, recommend to use SFTP.
  • When using the third-party SFTP server to recover, NE Software Management communicate to SFTP server as a client. Note the following information.
    1. NE Software Management as a client, must install in the following OS.
      • Windows 2000, 2003, XP
      • Solaris 8/10
      • Linux (SuSE 10)
    2. Support the following third-party SFTP server.
      • OpenSSH 4.3p2 Server for Linux(V4.3p2)
      • SSH Tectia Server for Windows XP/2003(V5.0.1.79)
      • OpenSSH 3.8p1 Server for Linux(V3.8p1)
      • OpenSSH 4.3p2 Server for Solaris(V4.3p2)
  • When an agent NE is used to back up the data of the target NE, ensure that files can be transferred between the third-party FTP server and the target NE.

Context

The NE Software Management transfers the backup file to be recovered to the NE by using the FTP/SFTP protocol and then activates the backup file for the file to take effect on the NE. Finally, the NE data is recovered.

If the NE whose data needs to be recovered cannot communicate with the NE Software Management, you can use an agent NE to recover the data of the NE. Before performing this operation, however, you must ensure that a third-party FTP server is configured and files can be transferred between it and the NE successfully. During data recovery, the data backed up on the third-party FTP server is recovered to the NE by means of the FTP protocol.

The data of the NEs of different types can be recovered at the same time. Symbol - indicates that the NE does not support the function.

NOTICE:

Before recovering the database file of an NE to the NE, ensure that the database file for data recovery is correct. Otherwise, services are interrupted.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select the required NE and click Recover.
  3. In the case of the Access NE, select the type of the SCC board to be recovered from the Board drop-down list.

    NOTE:

    This operation is applicable only to Access NE.

    If the involved NEs are not Access NE, the Board drop-down is not displayed.

  4. Select the type of the configuration file to recover from the File Type drop-down list.

    NOTE:

    This operation is applicable only to certain types of Router/Switch.

    For the NEs that support the recovery of only one type of configuration files, you do not need to set File Type.

    If all involved NEs support the recovery of only one type of configuration files, File Type is not displayed in the window.

    If the involved NEs are not Router/Switch, File Type is not displayed in the window

  5. Select the required backup file from the File Name drop-down list.

    NOTE:

    By default, the latest backup file of the NE is selected.

    If no file name is available in the File Name drop-down list, select Browse from the drop-down list to select the backup file on the specified path.

    If an NE communicates with the NE Software Management via an agent NE, you must recover the data of the target NE from the third-party FTP server. In that case, you need to input the File Name in the text box manually. When entering a file name, pay attention to the following points:
    • During backup, the backed up data is generated in a folder named by time. You need enter the path of this folder and the whole file name to restore the backed up data. For example, the parameter is 20101216111922\vrpcfg.cfg.
    • The File Name must include the filename extension.
    • A file name consists of up to 64 characters.

  6. Select the required activation mode from the Activation Type drop-down list.

    NOTE:
    The selected activation mode does not take effect in this step.
    NOTICE:

    After you select an activation type, such as Immediate Reboot, and With Service Interruption, the NE will be restarted. During NE restart, services are interrupted. Therefore, exercise caution when you select the preceding activation type.

    Option Description

    No Reboot

    NE is not restarted automatically. The configuration file takes effect when the NE is restarted next time.

    Immediate Reboot

    The NE is restarted immediately after the NE data is restored. The configuration file takes effect after the NE is restarted.

    Router and switch domain NE can select this activation type.

    With Service Interruption

    The NE is restarted in the process of activation, and the services on the NE are interrupted.

    Access domain NE can select this activation type.
  7. Optional: Select Deliver To Board Activate if the latest backup configuration needs to be restored for service cards.

    NOTE:

    If you do not select Deliver To Board Activate, only the configuration of the control card of the NE is restored. You need to determine whether to restore the backup configuration for service cards because the current configuration of the cards of the NE may be different from the configuration in the configuration file.

    This operation is applicable only to certain types of Transmission/PTN NE. Clear Deliver To Board Activate for the NEs that this operation is not applicable to.

  8. Click Start.
  9. In the dialog box that is displayed, click Yes to confirm the restoration operation.

Result

The operation status displays the restoration progress. It displays either succeed or fail when the restoration is complete.

Follow-up Procedure

In the case of Transmission/PTN NE, select the configuration file to be recovered and then activate the database. For information on how to activate the database, see Activating a Database.

Parent topic: Data Backup and Restoration


Saving NE Data

The process of saving NE data is to save the new NE data from the memory of the new NE to the flash memory or CF card.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The selected NE(s) must support this function.

Context

The Transmission/PTN NE does not support the operation of saving NE data.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select one or more NEs, right-click and choose Save.
  3. In the displayed dialog box, click Start.

Result

The Operation Status field displays the progress. When the operation is complete, the operation status is displayed as succeed or fail. If the operation failed, the reason will display in the operation result. If there is link in the reason, you can click the link to see the detail information.

Parent topic: Data Backup and Restoration


Backup File Management

This topic describes how to view, compare, and delete the backup information and save the NE data files to local directories.

  • Viewing Backup Files
    This topic describes how to view the backup files of an NE that are saved on the server.
  • Comparing Backup Files
    When the data in the NE is changed or after NE has been upgraded ,you need to compare two backup files in one NE or backup files in different NEs.
  • Comparing a Backup File to the NE File
    This topic describes how to compare the running configuration file with the backup configuration file of an NE.
  • Deleting a Backup File
    When excessive backup data exists on the server, the running efficiency of the server is affected. In this case, clearing the old backup data automatically or manually from the server is required.
Parent topic: Data Backup and Restoration


Viewing Backup Files

This topic describes how to view the backup files of an NE that are saved on the server.

Prerequisites

  • The selected NE(s) must support this function.
  • The NE files must be backed up by using the NE Software Management.

Context

This operation is not applicable to the Transmission/PTN NE.

In the case of the Access NE, only the configuration files can be viewed; the data files cannot be viewed.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select an NE from NE View, and then click the Backup Information tab.

    NOTE:

    The operation can be performed only to one NE at a time. The Backup Information tab is unavailable when multiple NEs are selected.

  3. Right-click the desired file, and then choose View File.
Parent topic: Backup File Management


Comparing Backup Files

When the data in the NE is changed or after NE has been upgraded ,you need to compare two backup files in one NE or backup files in different NEs.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In NE View, select the desired NE.

    NOTE:

    The Backup Information tab is unavailable when multiple NEs are selected.

  3. Right-click the selected backup file. Choose Select Left Side to Compare from the shortcut menu.
  4. Right-click another backup file for comparison .The backup file can in one NE or different NE.

    NOTE:

    The backup files that need to be compared must be in the .zip or .cfg format. The backup files in the .zip format can be compared with the backup files in the .cfg format.

  5. Choose Compare to NE File from the shortcut menu.

    NOTE:
    • If the operation is successful, when the compare process is complete, the pop-up dialog box displays the comparison result of the two backup files.
      • You can locate the previous or next difference between the two files by clicking the up or down button on the upper left of the window.
      • If the contents of the two files are different, they are highlighted in different colors.
    • If the operation is not successful, system give the fault information.

Parent topic: Backup File Management


Comparing a Backup File to the NE File

This topic describes how to compare the running configuration file with the backup configuration file of an NE.

Prerequisites

  • The backup configuration file must exist on the server.

Context

Only the backup configuration files in the .cfg or .zip format can be compared.

The Transmission/PTN NE does not support this function.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select the desired NE from the NE View table, and then click the Backup Information tab to view the backup files for the selected NE.

    NOTE:
    The Backup Information tab is unavailable when multiple NEs are selected.

  3. Right-click the backup files which you need to compare, and then choose Compare to NE File from the shortcut menu.

    The Getting Backup File dialog box displays the progress bar. If the operation is successful, the result dialog box is displayed.

    NOTE:

    You can locate the previous or next difference between the two files by clicking the up or down button on the upper left of the window.

    If the contents of the two files are different, they are highlighted in different colors.

Parent topic: Backup File Management


Deleting a Backup File

When excessive backup data exists on the server, the running efficiency of the server is affected. In this case, clearing the old backup data automatically or manually from the server is required.

Context

The number that the backup files stored on the NE Software Management computer depends on the space size of the disk where the file transfer root is located. It is suggested to delete the excessive or out-dated files periodically.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In the NE View pane, select an NE and then click the Backup Information tab in the pane below.

    NOTE:

    The Backup Information tab is unavailable when multiple NEs are selected.

  3. On the Backup Information tab page, select one or more backup files.
  4. Right-click the selected backup file(s), and then choose Delete File.
  5. In the displayed Delete Confirmation dialog box, click Yes to delete the backup file(s).
  6. Click Close.
Parent topic: Backup File Management


Managing Patch Files

The patch management function includes checking patch information and activating, deactivating, verifying, rolling back, filtering, and deleting patches.

Patches include cold and hot patches. Patch status can be to-be-activated, activated, and deactivated.

The operation results can be success or failure.If the operation failed, the reason will display in the operation result. If there is link in the reason, you can click the link to see the detail information.

  • Getting Patches
    This topic describes how to get patch from one or more NEs.
  • Activating a Patch
    This topic describes how to activate a software patch that is loaded on an NE.
  • Deactivating a Patch
    This topic describes how to deactivate the patch that is activated on the NE.
  • Confirming a Patch
    After being activated, a patch is in test running state. The patch is in real running state only after a confirmation operation is performed.
  • Performing Patch Rollback
    After a patch is upgraded, if the current patch on the NE is faulty, you can roll back the patch to the previous version to restore the NE to the state prior to the upgrade.
  • Filtering Patches
    This topic describes how to filter the obtained patch files according to the filtering conditions.
  • Removing a Patch
    When a patch is in running state, a rollback operation is not allowed. If an exception occurs when the patch is running, the patch needs to be removed so that the NE is restored to the state prior to the patch upgrade.
Parent topic: NE Software Management


Getting Patches

This topic describes how to get patch from one or more NEs.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.

Context

This operation can be performed to multiple NEs of the same type at the same time.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. On the NE View, right-click one or more NEs of the same type, and then choose Get Patch. The Get Patch dialog box is displayed as shown below.

  3. Optional: Click Details to view the operation result.

    NOTE:

    In the case of the Transmission/PTN NE, you cannot make any setting but only view the patch information on the Patch View tab page.

Parent topic: Managing Patch Files


Activating a Patch

This topic describes how to activate a software patch that is loaded on an NE.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The patch must be in deactivated (load successful) state.

Context

  • The patch is in deactivated (load successful) state in default.
  • Transmission/PTN NE does not support activating of a patch.

  • There are dependency relationships between patches for an Access NE, that is, a patch with a greater patch ID relies on patches with smaller patch ID(s). Therefore, you need to activate and confirm the patches with smaller patch ID(s) before loading a patch with a greater patch ID. Otherwise, patch loading fails.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In NE View, select the NE and then click Get Patch. For details, see Getting Patches.
  3. On the Patch View tab page, select a single or multiple patches, right-click the selected patch(es), and then choose Activate Patch.
  4. Click Yes in the displayed dialog box to activate the selected patch(es). The patch status is displayed in the Patch View list.

    NOTE:

    If the patch of Access NE is a cold patch, the system prompts whether you want to restart the NE. If you select No, the patch state changes to To be active. The patch state changes to Activate after the NE is restarted.

Parent topic: Managing Patch Files


Deactivating a Patch

This topic describes how to deactivate the patch that is activated on the NE.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • The patch(es) on the NE must be in activated state.

Context

There are dependency relationships between patches for an Access NE, that is, a patch with a greater patch ID relies on patches with smaller patch ID(s). Therefore, you need to activate and confirm the patches with smaller patch ID(s) before loading a patch with a greater patch ID. Otherwise, patch loading fails.

Transmission/PTN NE does not support deactivating of a patch.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In NE View, select the NE and then click Get Patch. For details, see Getting Patches.
  3. On the Patch View tab page, select a single or multiple patches, right-click the selected patch(es), and then choose Deactivate.
  4. Click Yes in the displayed dialog box to activate the selected patch(es). The patch status is displayed in the Patch View list.
Parent topic: Managing Patch Files


Confirming a Patch

After being activated, a patch is in test running state. The patch is in real running state only after a confirmation operation is performed.

Prerequisites

  • The patch must be in Activate state.
  • The NE Software Management must communicate with NEs successfully.

Context

In the case of the Access NE, patches are classified into hot patches and cold patches. A cold patch can be activated only after the NE is restarted.

There are dependency relationships between patches for an Access NE, that is, a patch with a greater patch ID relies on patches with smaller patch ID(s). Therefore, you need to activate and confirm the patches with smaller patch ID(s) before loading a patch with a greater patch ID. Otherwise, patch loading fails.

The Transmission/PTN NE does not support this function.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select the NE and then click Get Patch. For details, see Getting Patches.
  3. On the Patch View tab page, select a single or multiple patches, right-click the selected patch(es), and then choose Confirm.
  4. In the displayed dialog box, click Yes to confirm the information of the selected patches in activated state on the NE.

    • If the confirmation operation fails, the patch state changes to Running, which is displayed in the Patch View list.
    • In the case of a cold patch of Access NE, if the state of the patch is To be active, the system prompts you whether to restart the NE. If you select No, the patch state changes to To be running. After the NE is restarted, the patch is in real running state.

Parent topic: Managing Patch Files


Performing Patch Rollback

After a patch is upgraded, if the current patch on the NE is faulty, you can roll back the patch to the previous version to restore the NE to the state prior to the upgrade.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.
  • For Access NE, no restrict to this operation. For Transmission/PTN NE, if patch is not running , user can execute this operation. Otherwise, user can not execute this operation.

  • The operation of patch rollback is available only to hot patches.

Context

The Transmission/PTN NE and Access NE support patch rollback.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select one or multiple NEs of the same type and then right-click the selected patch(es), choose Rollback Patch.
  3. In the Operation Confirmation dialog box, click Yes to perform the rollback operation.

Result

In the NE View list, the implementation status of the rollback operation is displayed.

Parent topic: Managing Patch Files


Filtering Patches

This topic describes how to filter the obtained patch files according to the filtering conditions.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select the NE and then click Get Patch. For details, see Getting Patches.
  3. In the Patch View list, click Filter.
  4. Optional: In the dialog box that is displayed, select the required boards in Board Tree.
  5. Specify the filter criteria as required as shown below.

  6. Click OK.

Result

The patches that comply with the filter criteria are displayed in the Patch View list.

Parent topic: Managing Patch Files


Removing a Patch

When a patch is in running state, a rollback operation is not allowed. If an exception occurs when the patch is running, the patch needs to be removed so that the NE is restored to the state prior to the patch upgrade.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.

  • For traditional and PTN NEs, you cannot perform the rollback operation after a patch starts to run. If an exception occurs, delete the patch for the NE to restore.

Context

There may be dependency relationships between patches for an Access NE, that is, a patch with a greater patch ID may rely on patches with smaller patch ID(s). In this case, if you remove a patch with a smaller patch ID, the patches that rely on the removed patch will also be removed.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In NE View, select the NE and then click Getting Patch. For details, see Getting Patches.
  3. In the Patch View list, select a single or multiple patches, right-click the selected patch(es), and then choose Delete.

    NOTE:
    • In the case of a hot patch, it is removed directly.
    • In the case of a cold patch, the operation varies according to the state of the patch.
      • When the patch is in activated or running state, in the Confirm Patch Operation dialog box, do as follows:
        • Click NO, the state of the patch changes to To be Deleted state. Then, the patch is removed after the NE is restarted.
        • Click Yes. The NE is restarted immediately and the patch is removed.
      • When the patch is in a state rather than activated or running state, the patch is removed from the Patch View list after you click Delete.Then, the patch is removed after the NE is restarted.

Parent topic: Managing Patch Files


NE Managing Logs

This topic describes how to view and delete logs recording the operations performed on NEs through the NE Software Management, and how to back up security logs and operation logs of NEs.

  • Filtering Log Information
    This topic describes how to filter the log information.
  • Deleting Logs
    Deleting unnecessary logs can release the disk space of the NMS server. This topic describes how to delete a log.
  • Backing Up NE Logs to the Local Server
    This topic describes how to back up NE logs to the local server periodically to ensure the reliability of NE security logs and NE operation logs.
  • Backing Up NE Logs to a Remote Server
    To improve the reliability of NE logs, you should periodically back up the logs on a remote computer.
Parent topic: NE Software Management


Filtering Log Information

This topic describes how to filter the log information.

Procedure

  1. Choose NE Software Management > NE Software Log Management from the Main Menu.
  2. By default, the system displays the log information collected in the recent 24 hours. To query specific log information, perform 3 to 11.
  3. Click Filter to open the Filter Log dialog.

  4. Select an NE type from the NE Type drop-down list.
  5. In the NE Options area, user can filter log information . For details , see Table 1.

    Table 1 Filtering Operation(1)
    Option | Operation
    If the NE Name option is selected | Enter the NE name to filter the log information
    If the IP Address option is selected | Enter the IP address of the NE to filter the log information

  6. In the User Options area, enter the user name of the client machine to filter the log information from the client machine, or enter 127.0.0.1 as the Client IP address to filter the log information.
  7. In the Advanced Options area, select the check box Success or Failure or both to filter the log result.
  8. Select the operation type to be filtered from the Operation Type drop-down list. By default the type of the operation is ALL.
  9. Select the first log from The First Log spin box. Or select the start time from the Start Time spin box. For details , see Table 2.

    Table 2 Filtering Operation(2)
    Option | Operation
    If The First Log is selected | Go to 10
    If the Start Time is selected | Set the user-defined time

  10. Select the last log from The Last Log spin box, or select the end time from the End Time spin box. For details , see Table 3.

    Table 3 Filtering Operation (3)
    Option | Operation
    If The Last Log is selected | Go to 11
    If the End Time is selected | Set the user-defined time

    NOTE:

    The selection of start and end conditions can be cross. For example, you can set a condition as starting From The First Log To End Time.

    Start and end time should be less than the current time.

  11. Click OK to view the filtered log information in the NE Software Log Management table.
Parent topic: NE Managing Logs


Deleting Logs

Deleting unnecessary logs can release the disk space of the NMS server. This topic describes how to delete a log.

Context

  • Multiple logs can be deleted at a time.
  • On the NE Log Management tab page, filtering conditions must be set before a log of the NE is deleted. For details, see Filtering Log Information.

Procedure

  1. Choose NE Software Management > NE Software Log Management from the Main Menu.
  2. Click Filter, enter the filtering conditions, and then view the logs in the specified range.
  3. Right-click one or more logs in the list, and then choose Delete.
  4. In the dialog box that is displayed, click Yes.
Parent topic: NE Managing Logs


Backing Up NE Logs to the Local Server

This topic describes how to back up NE logs to the local server periodically to ensure the reliability of NE security logs and NE operation logs.

Prerequisites

  • The related NE must be created.
  • The computer where the NE Software Management is installed must communicate with the NE correctly.
  • The NE must support this function.

Context

The NE logs record operations such as querying NE login information, deleting an NE user, and forcing an NE user to log out.

This operation is only fit for Transmission/PTN NE.

Procedure

  1. Choose NE Log Backup > NE Log Backup from the Main Menu. The NEs that have been added to the Navigation Tree are displayed.
  2. Click [image] to refresh the NE list. If an NE is not in the NE list, create NE and it is shown in the Navigation Tree.
  3. Log in to the NE(s).
  4. Select an NE, click [image] and the information about the NE is displayed in the operation list.
  5. Select an NE, and select the protocol for backup from the Protocol drop-down list. In the event of ECC networking, select ECC.
  6. Select Security Log or Operation Log for backup from the Log Type drop-down list.
  7. Right-click in the File field and choose Select File from the shortcut menu. A dialog box is displayed. Select the backup path of the files.

    NOTE:
    • If the file path contains non-alphanumeric characters, you may fail to access the file.
    • When you back up the NE configuration data to a local server, do not select File on FTP/SFTP Server. Otherwise, the NE configuration data is backed up to a remote server.

  8. Click Start to begin to back up logs. The NE status is Copying. After the backup is complete, the NE status is Normal.
Parent topic: NE Managing Logs


Backing Up NE Logs to a Remote Server

To improve the reliability of NE logs, you should periodically back up the logs on a remote computer.

Prerequisites

  • The related NE must be created.
  • The NE Software Management must communicate with NEs successfully.
  • The NE must support this function.

Context

The NE logs record operations such as querying NE login information, deleting an NE user, and forcing an NE user to log out.

This operation is applicable only to Transmission/PTN NE.

Procedure

  1. Choose NE Log Backup > NE Log Backup from the Main Menu. The NEs that have been added to the Navigation Tree are displayed.
  2. Click [image] to refresh the NE list. If the NE is not in the NE list, create it and then it is shown in the Navigation Tree.
  3. Log in to the NE.
  4. Select the NE and then click [image] . The information about the NE is displayed in the operation list.
  5. Select the NE, and select the protocol for backup from the Protocol drop-down list.
  6. Select Security Log or Operation Log for backup from the Log Type drop-down list.
  7. Right-click in the File field and choose Select File from the shortcut menu. The Select File dialog box is displayed.
  8. Select File on FTP/SFTP Server. Enter the correct IP address of the FTP server, user name, password, and port. Then, click [image] . After the successful connection, you can access the files on the FTP server.

    NOTE:
    • If the file path contains non-alphanumeric characters, you may fail to access the file.
    • If your computer uses multiple network cards and has multiple IP addresses, ensure that the IP address of the FTP server and the IP address of your computer are in the same network segment. Otherwise, the connection may fail and you may fail to obtain the file list.
    • For security, recommend to use SFTP.

  9. Click Start to begin to back up logs. The NE status is Copying. After the backup is complete, the NE status is Normal.
Parent topic: NE Managing Logs


NE License Management

After applying for and installing an NE License, you can use the NE functions specified in the NE License. In NE License management, you can query, apply for, install, and change an NE License. In addition, you can adjust the capacities defined in the License. The License controls the validity period or functions of an NE. Therefore, you need to view the License state and change the expired License. Otherwise, services will be affected.

  • Getting to Know NE License Management
    This topic describes the scenarios of the NE License management, which helps you to understand the procedure for managing NE Licenses in different scenarios. By viewing NE License states, you can judge whether Licenses meet service requirements.
  • Querying the NE License Information
    By querying the NE License information, you can understand the status of NE Licenses and find out the NE Licenses to be maintained.
  • Applying for an NE License
    This topic describes how to apply for an NE License. When you install an NE, you need to export the NE application information to apply for an NE License, ensuring that NE functions are used properly.
  • Installing an NE License
    Functions are running properly only after you install a valid License for an NE.
  • Synchronize NE Information
    You can upload the ESN and License information of an NE to the NMS Synchronize NE Information is applicable when an NE accesses the NMS or after communications recovery after network disconnection between an NE and the NMS.
  • Adjusting the NE License Capacity
    You can adjust the capacity in an NE License to improve the License usage and reduce the maintenance cost of the carrier.
  • Changing an NE License
    If an NE ESN (Equipment Serial Numbers) changes or the capacity specified in a License is adjusted for the other NE, you need to change the NE License.
  • Backing Up the NE License File
    To prevent a loss of a license in the event of an NE failure, you need to back up the license of the NE that requires a license to manage. It is recommended that you back up the license immediately after the license of the NE is updated.
  • Loading the NE License File
    The License file of the equipment may be lost or unavailable because of the equipment failure. You need to restore the License file that is previously backed up to the equipment. To update the License file of a piece of equipment, you also need to use the function of NE License loading.
Parent topic: NE Software Management


Getting to Know NE License Management

This topic describes the scenarios of the NE License management, which helps you to understand the procedure for managing NE Licenses in different scenarios. By viewing NE License states, you can judge whether Licenses meet service requirements.

NE License Operation Scenarios

When you apply for an NE License, you can query, install, and change the NE License. You can also change the capacities defined in the NE License.

NE License States

An NE License has fivesix states. Before maintaining NE Licenses, you need to familiarize yourself with each state. Table 1 shows the NE License states.

Table 1 NE License states

State

Description

Default

In this state, NEs are running based on the minimum configurations of the license control items. The existing NE license functions can run properly, and new NE license functions cannot be added.

Demo

If an NE License that you apply for during NE Demo, the state of the License is Debugging. In this state, you can use NE functions in a certain period. However, if the License expires, you cannot use the functions. Therefore, you need to apply for a commercial License before the License expires.

Normal

When the NE License obtained from a commercial contract is used, this License is in the Commercial use state. In this state, you can use the resources and functions in the NE License.

Protected

After an NE License expires, it has a protection period. In this period, you can apply for a new License. In the protection period, all control items in the NE License are available.

Emergency

In emergent situations such as a disaster, the NE License state can be set to Emergency. In this state, the NE License control is cancelled, and the device capacity is set to the maximum. This prevents the NE services from being damaged.

NOTE:

If an NE License is in the Critical state, contact Huawei technical support engineers to perform operations.

Trial

In this state, you can continue to use the device resources and functions defined in an NE License. The cause for this state is that verification of the correctness of the NE License file fails. In this case, the NE License keeps valid for 60 days (keep-alive period) by default.
NOTE:

Any operation on more than 5000 NEs or tasks at a time is not supported.

Parent topic: NE License Management


Querying the NE License Information

By querying the NE License information, you can understand the status of NE Licenses and find out the NE Licenses to be maintained.

Prerequisites

You are an NMS user with "Administrators" authority.

Context

  • The state of an NE License affects the use of the functions defined in the NE License.

  • Before performing this operation, you need to synchronize NE information by referring to Synchronize NE Information.

Procedure

  1. Choose Administration > NE License Management (compatibility style) from the main menu or select Fix-Network NE Software Management in Application Center and choose NE Software Management > NE License Management (application style) from the main menu.
  2. On the NE License Management tab, click License Information Query
  3. Click Filter.

    NOTE:
    • When you start the NMS client and then access the NE License Management for the first time, the Filter dialog box is displayed by default. This helps users set the filter criteria.
    • Choose License Information Query in the navigation tree on the left of the NE License Management window, and then click Filter to access the Filter dialog box.

  4. In the Filter dialog box, select the License state to be queried from License Status area. Select the NE software version to be queried from the Version drop-down list.
  5. In the Device area, click Select.
  6. In the Select NE dialog box, select the NE software version to be queried from the Version drop-down list in the Available Devices area. Click [image] , [image] , [image] , or [image] to select or remove devices from Available Devices and Selected Devices. Click OK
  7. In the Filter dialog boxes, click OK.
  8. In the License list, view the related information of the License.

    NOTE:
    • Select an NE License record. In the Details area, view the related information.

    • Select one or more NE License records. Right-click on them and choose Export All Record or Export Selected Record to save the details of the queried NE License(s) to the local computer. User can save the file in .xml format.

Parent topic: NE License Management


Applying for an NE License

This topic describes how to apply for an NE License. When you install an NE, you need to export the NE application information to apply for an NE License, ensuring that NE functions are used properly.

Prerequisites

Before performing this operation, you need to synchronize NE information by referring to Synchronize NE Information.

Procedure

  1. Choose Administration > NE License Management (compatibility style) from the main menu or select Fix-Network NE Software Management in Application Center and choose NE Software Management > NE License Management (application style) from the main menu.
  2. In the NE License Management navigation tree, choose NE License Maintenance. On the NE License Management tab, click Export NE Application Information.
  3. In the Export NE Application Information dialog box click Select.
  4. In the Select NE dialog box, select an NE.
    1. Select the required NE software version from the Version drop-down list in the Available Devices area.
    2. In the Select NE dialog box, click [image] , [image] , [image] , or [image] to select or remove devices from Available Devices and Selected Devices. In the Select NE dialog box, click OK.
  5. Click [image] next to Export path. In the Save dialog box, set the file name and file path that are used to store the application information of an NE License. Then click Save. User can save the file in .xml format.
  6. In the Export NE Application Information dialog box, click OK.

    NOTE:

    If no file is generated after you perform all operations, the possible cause is that some subtasks under the main task fail. The user can expand the node of the main task and view the cause of the failure to execute these subtasks.

    On the NE License Maintenance page, the table displays the record of the Export NE Application Information task.
    NOTE:
    You can perform the following operations on this type of task:
    • Delete: When Execution Status of the main task is 100%, right-click the main task and choose Delete.
    • Retry: When Execution Status of the subtask is Execution failed or Execution timed out, right-click the subtask and choose Retry to execute the task again.
    • Export Result: When Execution Status of the subtask is Execution succeeded or the Execution Status of the main task is 100%, right-click on the subtask or the main task respectively and choose Export Result to export the NE License information in the task to any supported file type.
  7. Send the exported NE application information to NMS to apply for an NE License.
Parent topic: NE License Management


Installing an NE License

Functions are running properly only after you install a valid License for an NE.

Prerequisites

  • The NE file NMS applied for by License exists on the local host.

  • Before performing this operation, you need to synchronize NE information by referring to Synchronize NE Information.

  • In the case of NAT networking, before performing this operation, you need to configure NAT transform information by referring to Configuring the NAT Address Translation in the NAT Networking of NMS online help.

Procedure

  1. Choose Administration > NE License Management (compatibility style) from the main menu or select Fix-Network NE Software Management in Application Center and choose NE Software Management > NE License Management (application style) from the main menu.
  2. In the NE License Management navigation tree, choose NE License Maintenance.
  3. Click Load License File.
  4. In the Load License File dialog box, click [image] .
  5. In the Open dialog box, select the License file based on License file loading method (single or batch), and load the file to the specified NEs.

    License File Format

    Loading Mode

    Operation

    TXT or DAT

    Single
    If the NMS fails to automatically identify the NE matching with a License, do as follows to manually match the License with the NE:
    1. In the Load License File dialog box, click [image] and select a License file in .txt or .dat format. Click Next.
    2. In Select NE, change the version in the Version drop-down list.
      1. Click [image] , [image] , [image] , or [image] to change the devices in Selected Devices. Then click OK.
        NOTE:
        The user can add the description of the new task in the Remarks text box in the Load License File dialog box. The maximum value length of Remarks is 255 characters.
      2. In the Load License File dialog box, click Finish.

    ZIP

    Batch
    1. In the Load License File dialog box, click [image] and select a License file in zip format.
    2. In the Load License File dialog box, select the License file to be loaded, and click Next.
      NOTE:
      The user can add the description of the new task in the Remarks text box in the Load License File dialog box. The maximum value length of Remarks is 255 characters.
    3. Click Finish.
    NOTE:

    In the steps for matching an NE, the matched License file list is displayed on the right of the Load License File dialog box.

Result

  1. On the NE License Maintenance page, the table displays the record of the Load License File task.
    NOTE:
    You can perform the following operations on this type of task:
    • Delete: When Execution Status of the main task is 100%, right-click the main task and choose Delete.
    • Retry: When Execution Status of the subtask is Execution failed or Execution timed out, right-click the subtask and choose Retry to execute the task again.
    • Force: When Execution Status of the subtask is Minor error, right-click the subtask and choose Force to ignore minor errors and execute the task forcibly.
  2. Expand the task record of Load License File.
    • If the Execution Status of the subtask is Execution succeeded or Minor error, the license file is saved in lic_ESN of a device_yyMMddHHmmss_Index.File name extension format on the NE. The file name extension is .dat or .txt. For example, if the equipment serial number (ESN) of a device is 2102112729T9C004297 and the license file was successfully loaded at 10:40:31 on May 15, 2012, the license file was saved as the lic_2102112729T9C004297_120515104031_0.dat or lic_2102112729T9C004297_120515104031_0.txt file on the related NE. If license files for multiple NEs are loaded at the same time, the value of Index starts from 0 and increases by 1 for each license file that is successfully loaded to an NE.
    • If the Execution Status of the subtask is Execution failed or Execution timed out, the license file fails to be loaded. In this case, you should locate and rectify the fault firstly, then you can reload the License file for the NE.
Parent topic: NE License Management


Synchronize NE Information

You can upload the ESN and License information of an NE to the NMS Synchronize NE Information is applicable when an NE accesses the NMS or after communications recovery after network disconnection between an NE and the NMS.

Procedure

  1. Choose Administration > NE License Management (compatibility style) from the main menu or select Fix-Network NE Software Management in Application Center and choose NE Software Management > NE License Management (application style) from the main menu.
  2. In the NE License Management navigation tree, choose NE License Maintenance.
  3. Click Synchronize NE Information.
  4. In the Synchronize NE Information dialog box, click Select.
  5. In the Select NE dialog box, set the device for which you want to synchronize the NE information. Click OK.

    NOTE:
    • Set the selected device: In the Select NE dialog box, click [image] , [image] , [image] , or [image] to modify the NEs in Available Devices.
    • The user can add the description of the new task in the Remarks text box in the Synchronize NE Information dialog box. The maximum value length of Remarks is 255 characters.

  6. In the Synchronize NE Information dialog box, click OK to synchronize the NE information.

Result

On the NE License Maintenance page, the table displays the record of the Synchronize NE Information task.
NOTE:
You can perform the following operations on this type of task:
  • Delete: When Execution Status of the main task is 100%, right-click the main task and choose Delete.
  • Retry: When Execution Status of the subtask is Execution failed or Execution timed out, right-click the subtask and choose Retry to execute the task again.
Parent topic: NE License Management


Adjusting the NE License Capacity

You can adjust the capacity in an NE License to improve the License usage and reduce the maintenance cost of the carrier.

Prerequisites

  • You are an NMS user with "Administrators" authority.

  • The NMS provides a valid NE License.

  • Before performing this operation, you need to synchronize NE information by referring to Synchronize NE Information.

Context

  • The NMS supports the exchange of License capacities among different NEs. For example, a carrier has NE A and NE B. The capacities specified in the Licenses of both NEs are 50. According to the service requirements, the capacity for NE B needs to increase to 80, and that for NE A needs to decrease to 20. In the precondition that the total capacity specified in the Licenses of the carrier is unchanged, you can add the redundant capacity in the License of NE A to the License of NE B by using the NE License capacity exchange function.
  • When you adjust the NE License capacity, it changes the state of the old License to No valid License file, and then applies the new NE License. After that, the adjustment is complete.

Procedure

  1. Choose Administration > NE License Management (compatibility style) from the main menu or select Fix-Network NE Software Management in Application Center and choose NE Software Management > NE License Management (application style) from the main menu.
  2. In the NE License Management navigation tree, choose NE License Maintenance.
  3. Click Adjust License Capacity, then click Yes in the Confirm dialog box.
  4. In the Adjust License Capacity dialog box, click Select. In the Select NE dialog box, move the NE to Selected Devices. This indicates that you have selected the NE whose License you want to adjust. Click OK.
  5. Click [image] next to Export path. In the Save dialog box, set the file name and file path that are used to store the application information of an NE License. Then click Save. User can save the file in .xml format.
  6. In the Adjust License Capacity dialog box, click [image] on the right of Export path, set the name of the file to save the NE License information, and click OK.

    NOTE:
    • If no file is generated after you perform all operations, the possible cause is that some subtasks under the main task fail. The user can expand the node of the main task and view the cause of the failure to execute these subtasks.
    • Export the NE License information that you will use when applying for a new NE License.

    On the NE License Maintenance page, the table displays the record of the Adjust License Capacity task.
    NOTE:
    You can perform the following operations on this type of task:
    • Delete: When Execution Status of the main task is 100%, right-click the main task and choose Delete.
    • Retry: When Execution Status of the subtask is Execution failed or Execution timed out, right-click the subtask and choose Retry to execute the task again.
    • Export Result: When Execution Status of the subtask is Execution succeeded or the Execution Status of the main task is 100%, right-click on the subtask or the main task respectively and choose Export Result to export the NE License information in the task to any supported file type.
  7. In the NE License Management window, click Load License File to add the NE License applied for to the NMS. For details, see Installing an NE License.
Parent topic: NE License Management


Changing an NE License

If an NE ESN (Equipment Serial Numbers) changes or the capacity specified in a License is adjusted for the other NE, you need to change the NE License.

Prerequisites

Before performing this operation, you need to synchronize NE information by referring to Synchronize NE Information.

Procedure

  1. Revoke the old NE License.
    1. Choose Administration > NE License Management (compatibility style) from the main menu or select Fix-Network NE Software Management in Application Center and choose NE Software Management > NE License Management (application style) from the main menu.
    2. In the NE License Management navigation tree, choose NE License Maintenance.
    3. Click Revoke License.
    4. In the Confirm dialog box, confirm that you want to revoke the NE License.ClickYes
    5. In the Revoke License dialog box, click Select. In Select NE dialog box, change the version in the Version drop-down list.
    6. Click [image] , [image] , [image] , or [image] to change the devices in Selected Devices. Then click OK.
    7. Click [image] next to Export path. In the Save dialog box, set the file name and file path that are used to store the application information of an NE License. Then click Save. User can save the file in .xml format.

      The revoked information is exported to the file.

      NOTE:
      The user can add the description of the new task in the Remarks text box in the Revoke License dialog box. The maximum value length of Remarks is 255 characters.

    8. In the Revoke License dialog box, click OK.

      NOTE:

      If no file is generated after you perform all operations, the possible cause is that some subtasks under the main task fail. The user can expand the node of the main task and view the cause of the failure to execute these subtasks.

      On the NE License Maintenance page, the table displays the record of the Revoke License task.
      NOTE:
      You can perform the following operations on this type of task:
      • Delete: When Execution Status of the main task is 100%, right-click the main task and choose Delete.
      • Retry: When Execution Status of the subtask is Execution failed or Execution timed out, right-click the subtask and choose Retry to execute the task again.
      • Export Result: When Execution Status of the subtask is Execution succeeded or the Execution Status of the main task is 100%, right-click on the subtask or the main task respectively and choose Export Result to export the NE License information in the task to any supported file type.
  2. Apply for a new NE License. Send the exported revoke information in the file to License so that NMS can apply for an NE License.

    NOTE:

    The old NE License is revoked. You can apply for an NE License only when the License revoked file of the NE exists.

  3. Install the new NE License. For details, see Installing an NE License.
Parent topic: NE License Management


Backing Up the NE License File

To prevent a loss of a license in the event of an NE failure, you need to back up the license of the NE that requires a license to manage. It is recommended that you back up the license immediately after the license of the NE is updated.

Prerequisites

  • NEs must be created.
  • The selected NE(s) must support this function.
  • The NE Software Management must communicate with NEs successfully.

Procedure

  1. Choose NE License Management > RTN License Management from the Main Menu. The NEs that have been added to the Navigation Tree are displayed.
  2. Click [image] to refresh the NE list. If the NE is not in the NE list, create it and then it is shown in the Navigation Tree.
  3. Log in to the NE.
  4. Select the NE, and click [image] . The information about the NE is displayed in the operation list.
  5. Select Backup from the Backup/Load drop-down list.
  6. Click [image] in the File , Select backup path in the dialog.

    NOTE:
    • If the file path contains non-alphanumeric characters, you may fail to access the file.
    • When you back up the NE configuration data to a local server, do not select File on FTP Server. Otherwise, the NE configuration data is backed up to a remote server.

  7. Click Start. The NE Software Management copies the license file to the specified directory, and creates the NE-Name_License.lcs file. NE-Name represents the name of the NE, for example, NE3500_License.lcs.
Parent topic: NE License Management


Loading the NE License File

The License file of the equipment may be lost or unavailable because of the equipment failure. You need to restore the License file that is previously backed up to the equipment. To update the License file of a piece of equipment, you also need to use the function of NE License loading.

Prerequisites

  • NEs must be created.
  • The License must be ready.
  • The selected NE(s) must support this function.
  • The NE Software Management must communicate with NEs successfully.
  • The ESN in the License file that you want to load must match the NE ESN.

Context

When the load is successfully completed, the NE automatically activates the License file. During the activation, the NE checks the License file to be loaded. If the authority of the License file is lower than that of the currently used License file, the NE reports this event to the Network Management System. The Network Management System then prompts a dialog box, asking you whether to update the License.

If you select to continue the loading, the new License replaces the one currently used on the NE. If you select to cancel the loading or do not make any choice within 15 minutes, the loading stops and the rollback starts. In this case, the License file of the NE is not replaced.

Procedure

  1. Choose NE License Management > RTN License Management from the Main Menu. The NEs that have been added to the Navigation Tree are displayed.
  2. Click [image] to refresh the NE list. If an NE is not in the NE list, create NE and it is shown in the Navigation Tree.
  3. Log in to the NE(s).
  4. Select an NE, click [image] and the information about the NE is displayed in the operation list.
  5. Select Load from the Backup/Load drop-down list.
  6. Click [image] in the File field, and select the License to be loaded in the dialog box displayed.

    NOTE:
    • If the file path contains non-alphanumeric characters, you may fail to access the file.
    • When you load the NE configuration data to a local server, do not select File on FTP Server. Otherwise, the NE configuration data is loaded to a remote server.

  7. Click Start.
  8. Click Yes in the dialog box displayed. The NE Software Management starts to load the License.

    NOTE:
    • When the loading starts, the NE status is switched to Copying. And when the copying is successful, the NE status becomes Normal.
    • If you select to cancel the operation in the dialog box during the loading, the NE Software Management starts to roll back. the NE status becomes Rollback.
    • If the loading or rollback fails, the NE status becomes Abnormal. If the loading fails, you can try to reload the License. If the rollback fails, please contact the technical engineer in HUAWEI.

Parent topic: NE License Management


Terminal Tool

This topic describes how to log in to an NE by using the terminal tool.

Procedure

  1. Choose one of the following methods to log in to an NE:
    • The NE must be added to the NE Software Management, that is, the NE must exist in the NE list.
      1. Select Administrator > NE Software Management > NE Data Backup/Restoration from the Main Menu.
      2. Select the required NE from the NE list, right-click, and then choose Telnet Terminal.
    • The NE is not added to the NE Software Management, that is, the NE does not exist in the NE list.
      1. Select System > Terminal Tool.
      2. In the dialog box that is displayed, enter the IP address and port number of the NE.
      3. Click OK.
      NOTE:
      The NE Software Management does not limit the number of open Telnet terminal windows. However, to reduce the consumption on system resources, it is recommended that the number of Telnet terminal windows be not exceed 10.
  2. In the Telnet terminal window, run commands to perform operations on the NE.

Follow-up Procedure

In the terminal window, to copy a certain command, select the required content by holding down the left mouse key; to paste the command, right-click in the required location.
Parent topic: NE Software Management


TL1 Terminal

You can use the TL1 command lines of the NE Software Management to manage SONET NEs.

  • TL1 Terminal Description
    The NE Software Management provides the capability to manage command lines for SONET NEs. You can issue a command to an NE by using the transaction language 1 (TL1) command line, to enable the NE to perform an operation or to set parameters.
  • Running the TL1 Command
    You can operate and manage SONET NEs by running the TL1 command.
Parent topic: NE Software Management


TL1 Terminal Description

The NE Software Management provides the capability to manage command lines for SONET NEs. You can issue a command to an NE by using the transaction language 1 (TL1) command line, to enable the NE to perform an operation or to set parameters.

TL1 Description

TL1 is a machine-to machine (OS or NE) interface in telecommunications. It is widely used to manage broadband and access products (including SONET and SDH, ATM and ISDN) in North America. As a language, TL1 uses the character stream mode in an OS or NE application. TL1 uses the TCP/IP protocol and supports serial ports, X.25, and network interface connections.

TL1 Terminal

The NE Software Management can be used as a TL1 terminal to manage NEs. The TL1 terminal window consists of three portions: navigation tree, message input area, and message output area.
  • The navigation tree displays the NEs that the NE Software Management manages.
  • The message input area displays the commands that a user enters.
  • The message output area displays the information output by an NE. The information includes three types as follows:
    • Acknowledgement
    • Output response message
    • Autonomous message

Input Message

The input message refers to the commands a user issues in the message input area. The command format is as follows: command_code:staging_parameter_blocks:message_payload_block.
  • Command_code describes the action that an NE should take after receiving an input message.
  • Staging_parameter_blocks identifies an object entity in an NE to be monitored by a remote management system and describes how the command is run in an NE.
  • Message_payload_block is the message payload that describes the main contents of a message. The command field can be empty.

Acknowledgement

The acknowledgment message refers to a simple response to an input message. Usually, a response message that corresponds to an input message follows an acknowledgment message. In certain cases, however, an acknowledgment message is a unique output for a command input. When a response message for an input command cannot be returned in two seconds, an acknowledgment message should be sent. You can run commands to enable or disable an NE to send acknowledgment messages.

Output Response Message

A response message is the feedback information that an NE sends to an input command. Usually, a response message is returned following an acknowledgment message.

Autonomous Message

An autonomous message refers to the information that an NE sends to a management system. Typical spontaneous messages from an NE are as follows:
  • Alarms or non-alarm critical events
  • Preset diagnosis tests for an NE
  • Performance monitoring data
  • Changed data in the NE database
  • Information reported periodically according to NE settings
Parent topic: TL1 Terminal


Running the TL1 Command

You can operate and manage SONET NEs by running the TL1 command.

Prerequisites

  • The related NE must be created.
  • The computer where the NE Software Management is installed must communicate with the NE correctly.

Context

Messages cannot be edited, but you can search, clear or save messages.

If the NE Software Management runs for a long time, there is a large quantity of messages. In the case that messages be overwritten or lost, a dump function is needed to save messages in the output area as file. The NE Software Management automatically saves messages in the \client\log\tklog directory.

Procedure

  1. Choose Board Software Management > TL1 Command Lines Terminal from the main menu.
  2. Click [image] to refresh the NE list. Right-click an NE and choose Login from the shortcut menu to log in to the NE.
  3. Select one or multiple logged-in NEs and click [image] to transfer to the right-hand Tab container (one tab for each NE).
  4. Enter commands in the lower pane. Run the commands and the window shows whether the commands are successfully run.

    NOTE:
    Depending on the ranges of different scripts, perform one of the following operations:
    • Move the cursor to a script and press Enter to run the script.
    • To run some scripts, select the scripts, right-click and choose Run Selected Script.
    • To run all scripts, select the scripts, right-click and choose Run.

Parent topic: TL1 Terminal


Managing NEs

On the NE Software Management, an NE is the basic operation object.Before operating an NE, you need to add the NE to the NE list.This topic describes which operations can be performed on an NE and how to manage the NE information by using the NE Software Management.

  • Viewing NE Version
    Before an upgrade or a downgrade is performed, you can view the NE version to know the current version information of the NE.
  • Viewing Software Statistics Report
    This topic describes how to view the software statistics report. You can also save, print preview, and print the software statistics report.
  • Configuring a Script File
    By using the NE Software Management, you can upload a user-defined script file to an NE. This makes the configuration in the file take effect on the NE.
  • Deleting an NE File
    During routine maintenance, you need to delete useless and out-dated files on NEs to release storage space so that sufficient space is available on NEs to store new data.
  • Deleting Image Programs
    This topic describes how to delete an image program from an NE by using the NE Software Management.
  • Setting the OSPF Status
    In the process of package diffusion upgrade, the NE Software Management calculates the software package diffusion path according to the routing relations of the NEs. Thus, the dynamic routing function on the NEs must be enabled. When the upgrade is complete, the NEs are capable of disabling the dynamic routing function as required. This topic describes how to set the OSPF status on an NE.
  • Rolling Back Software
    After upgrading or degrading the software on the UA5000PVM, you can roll back the NE software to the original state.
  • Exporting NEs
    NEs can be created in batches as required based on an exported NE list.
  • Exporting an NE Template
    When creating NEs in batches, you need to import a file with the specific format. The file contains the information about the NEs. This topic describes how to obtain an NE template, edit it, and import NEs in batches through the template.
  • Saving NE List
    This topic describes how to save the NE list in NE View to the PC that the NE Software Management is located.
  • Export the Use-Define Check Template
    You can define check items for router NEs and switch NEs that support the user-defined check item function. Fill in an exported user-defined check item template with the check items that you define. Next time you create a task, you can import the template and do not need to enter the check items again. This improves upgrade efficiency.
Parent topic: NE Software Management


Viewing NE Version

Before an upgrade or a downgrade is performed, you can view the NE version to know the current version information of the NE.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.

Context

On the NE tree, select the required NE type node, and then the NE View displays all the NEs of the type and the related NE information.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In the NE View, right-click one or more NEs, and then choose Update Version.
  3. View the operation status in the dialog, and then click Close.

Result

  • If the operation is successful, the latest version information is displayed in the NE View and the NE Type tree.

  • If the operation failed, the reason will display in the operation result. If there is link in the reason, you can click the link to see the detail information.
Parent topic: Managing NEs


Viewing Software Statistics Report

This topic describes how to view the software statistics report. You can also save, print preview, and print the software statistics report.

Prerequisites

  • The selected NE(s) must support this function.
  • The NE Software Management must communicate with NEs successfully.

Context

This operation is only fit for Transmission/PTN NE.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Right-click the required NE, and then choose Software Statistics.
  3. After the operation is complete, click Details to query the statistics.

    NOTE:

    You can click the three buttons located in the upper left corner of the Software Statistics dialog box to save, preview, and print the software statistics report.

  4. Click Close.
Parent topic: Managing NEs


Configuring a Script File

By using the NE Software Management, you can upload a user-defined script file to an NE. This makes the configuration in the file take effect on the NE.

Prerequisites

  • The selected NE(s) must support this function.
  • You must have the rights to operate the NE Software Management.
  • The NE Software Management must communicate with NEs successfully.
  • When selecting a script file to be uploaded on the client, ensure that files can be transferred between the client and the server successfully by means of the FTP or SFTP protocol. For security, recommend to use SFTP. Configure the file transfer protocol between the client and the server. For details, see Configuring Transfer Service Parameters.

Context

  • You can upload a script file to an NE through FTP.
  • When a script fails to be run, you can view the commands that fail to be run on the NE Software Management.
  • Only the Transmission/PTN NE support this function.

Procedure

  1. Select the required NE, right-click, and then choose Configuration Script File.
  2. Select Browse from the File Name drop-down list.
  3. In the dialog box that is displayed, select the script file to be uploaded, and click OK.

    NOTICE:

    Ensure that the directory where the script file is located does not contain a file of 0 KB. Otherwise, the file fails to be run.

  4. Click Start. In the operation result dialog box, click Yes.

Result

The operation status of NE View shows the progress of loading and running the script file. 20% of the whole progress is the loading process and the rest 80% is the running process. After the file is successfully run, the result is displayed in the operation status. If the file fails to be run, the NE Software Management prompts the specific commands that fail to be run.

Parent topic: Managing NEs


Deleting an NE File

During routine maintenance, you need to delete useless and out-dated files on NEs to release storage space so that sufficient space is available on NEs to store new data.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.

Context

Only the Router/Switch supports this operation.

The files in memory cards (including CF card and Flash) of both the main board and the standby board can be deleted.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In the NE View window, right-click and choose Delete NE File from the shortcut menu. In the Deleting the files will interrupt NE services. Are you sure you want to continue? dialog box, click Yes. Enter a dialog as shown below.

  3. In the Select File(s) To Delete area, select the files to be deleted and click [image] . The files are automatically moved to the To be deleted file area and the sizes of the files are displayed, as shown below.

    NOTE:
    In the Select File(s) To Delete area, press Ctrl to bulk select multiple files to delete, and then click [image] to bulk move the files to the To be deleted file area.

  4. Click Delete. The Operation Confirmation dialog box is displayed.
  5. Click Yes. The Delete File(s) dialog box is displayed indicating that the files are successfully deleted.
  6. Click Close. The Delete File(s) dialog box is displayed indicating that this operation is complete.
Parent topic: Managing NEs


Deleting Image Programs

This topic describes how to delete an image program from an NE by using the NE Software Management.

Prerequisites

  • The selected NE(s) must support this function.
  • The NE Software Management must communicate with NEs successfully.

Context

Only the Router NE supports this operation.

Only one image program can be deleted at a time.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In NE View, select an NE and click the Image Program Information tab in the lower pane.
  3. Right-click the image program to be deleted, and then choose Delete.
  4. In the dialog box that is displayed, click Yes.

Result

View the progress and result in the operation status.
Parent topic: Managing NEs


Setting the OSPF Status

In the process of package diffusion upgrade, the NE Software Management calculates the software package diffusion path according to the routing relations of the NEs. Thus, the dynamic routing function on the NEs must be enabled. When the upgrade is complete, the NEs are capable of disabling the dynamic routing function as required. This topic describes how to set the OSPF status on an NE.

Prerequisites

  • The selected NE(s) must support this function.
  • The NE Software Management must communicate with NEs successfully.

Context

NOTICE:
Setting the OSPF status interrupts communication between the NMS and the NE. Thus, do not perform this operation unless required.

Only the Transmission/PTN NE supports the operation of setting the OSPF status.

Procedure

  1. Right-click one or more NEs and then choose Set OSPF Status.
  2. In the displayed dialog box, set the status to Open or Close.
  3. Click OK.
  4. In the displayed dialog box, click Close.
Parent topic: Managing NEs


Rolling Back Software

After upgrading or degrading the software on the UA5000PVM, you can roll back the NE software to the original state.

Prerequisites

  • The NE software must be upgraded or degraded.
  • Only the UA5000PVM supports this function.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select the required NE, right-click, and then choose Rollback Software.

Result

The Operation Status shows the progress and then whether the operation is successful or fails.

Parent topic: Managing NEs


Exporting NEs

NEs can be created in batches as required based on an exported NE list.

Prerequisites

  • The NEs must be created on the NE Software Management.

Context

NEs in the same domain can be exported at a time. In order that you can import the NEs instead of creating them manually on the standalone NE Software Management.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select the exporting NE(s), right-click the NE View pane, and then choose NE Explorer > Export NE(s).
  3. In the displayed dialog box, enter the file name.
  4. In the displayed dialog box, enter the file name and then select a directory for saving the file.
  5. Click Export.
  6. The operation result is displayed after the operation. Click OK in the operation result dialog box.
Parent topic: Managing NEs


Exporting an NE Template

When creating NEs in batches, you need to import a file with the specific format. The file contains the information about the NEs. This topic describes how to obtain an NE template, edit it, and import NEs in batches through the template.

Context

  • The exported NE template can be edit. You can enter the information of the required NEs in the template and then import the template to the NE Software Management. By doing so, you can manage the NEs directly on the NE Software Management. This saves the time for creating separate NE on site.
  • The navigation paths for exporting templates vary with the domains that NEs belong to and the information in the templates is different. Therefore, a template cannot be used by NEs in different domains. The settings in a template must be the same as the settings that are specified when an NE is created.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. The methods of exporting templates vary with the domains that NEs belong to.
    Option Description
    Router/Switch (exculding HGMP NE) Procedure:

    In the NE View, right-click and choose NE Explorer > Export NE Template from the shortcut menu.
    Transmission/PTN NE Procedure:
    1. Right-click and choose NE Explorer > Create NE from the shortcut menu.
    2. In the Create NE dialog box, click Export Template.
    Access NE Procedure:
    1. Right-click and choose NE Explorer > Create NE from the shortcut menu.
    2. In the Create NE dialog box, click Export Template.
  3. In the Export Template dialog box, click [image] . In the dialog box that is displayed, select the path for saving the template.
  4. Click Ok. The Export Template dialog box is displayed.
  5. Click OK. In the dialog box that displays the operation result, click OK.

Result

The NE template is exported successfully and you can view the template in the specified path.

Parent topic: Managing NEs
Related tasks
Bulk Creating NEs by Importing the NEs


Saving NE List

This topic describes how to save the NE list in NE View to the PC that the NE Software Management is located.

Context

  • The NE list can be saved to a TXT, CSV or HTML file.

  • When you use a browser to open the exported NE list text file whose encoding format is different from the browser, garbled characters may be displayed. You need to set the encoding format of the browser to be the same as that of the text file.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Click Save NE List.
  3. Click Save after setting the saving path and the list name.
Parent topic: Managing NEs


Export the Use-Define Check Template

You can define check items for router NEs and switch NEs that support the user-defined check item function. Fill in an exported user-defined check item template with the check items that you define. Next time you create a task, you can import the template and do not need to enter the check items again. This improves upgrade efficiency.

Context

  • If Router NE and switch NE support the function, you can see the item in the software.
  • in Windows, the file is *.xls format.
  • No more than 100 item in the file, and no repeat items.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. In the NE View, right-click one or more NEs, and then chooseAdministrator > Export Check Item Model.
  3. Enter the path and file name in the dialog.
  4. Click Save.
  5. Click OK to close the dialog.

Follow-up Procedure

  • Enter the name ,commond, description , import the template ,do not enter the use-define check item.
  • This function is limited by a NE software management license, refor to Applying for a NE Software Upgrade Capability Management License.
Parent topic: Managing NEs


Appendix

You can refer to the reference information related to the NE Software Management.

  • Configuring the SFTP Server
    When files are transferred between a server and an NE or between an NE and a client through the SFTP protocol, you need to configure the SFTP parameters on the server, and keep the service data consistent with the NE Software Management backup and loading directories. This topic describes one method of configuring the SFTP parameters on the server working in different operating systems
  • Legend
    The legend describes the various icons used in NE Software Management and the related description.
Parent topic: NE Software Management


Configuring the SFTP Server

When files are transferred between a server and an NE or between an NE and a client through the SFTP protocol, you need to configure the SFTP parameters on the server, and keep the service data consistent with the NE Software Management backup and loading directories. This topic describes one method of configuring the SFTP parameters on the server working in different operating systems

  • Configuring the SFTP (CYGWIN) Server on Windows
    Users can select a third-party SFTP server instead of the equipped one, but the equipped OpenSSH SFTP server in CYGWIN is recommended because it ensures higher security.
Parent topic: Appendix


Configuring the SFTP (CYGWIN) Server on Windows

Users can select a third-party SFTP server instead of the equipped one, but the equipped OpenSSH SFTP server in CYGWIN is recommended because it ensures higher security.

Context

NOTE:
  • The File Transfer Service Root Directory, User Name, and Password of the SFTP service must be the same as the root directory, username, and password as set on the NE Software Management client.
  • The latest CYGWIN version is 1.7.17-1 and the latest OpenSSH version is Openssh-6.0p1-2.
  • The OpenSSH SFTP server in CYGWIN is automatically installed during NMS installation and automatically creates three operating system user.
    • ftpuser: SFTP server default user, provide SFTP login service.
    • cyg_server: Computer administrator account used to start the OpenSSH service, the initial password is the same with ftpuser, please change the initial password.
    • sshd: System Management ssh service users, disabled by default (if not disabled, it is recommended to disable this user manual).
  • User created for OpenSSH services is ftpuser by default. The ftpuser user is a computer administrator. To ensure the security of the NMS, to set the default password and root path, perform the following steps. This topic uses the NMS installation path D:\oss as an example.
  • If a third-party SFTP server is used, stop the OpenSSH SFTP server in CYGWIN by performing the following two steps:
    1. Navigate to the D:\oss\server\common\dc\3rdTool\cygwin directory.
    2. Double-click StopService.bat.
  • Configuring the SFTP service key method is as follows.
    1. Navigate to the D:\oss\server\common\dc\3rdTool\cygwin directory, double-click Cygwin.bat.
    2. In the run dialog box, change the current directory to the SFTP root directory, for example D: , and the authorized_keys service key file should be here too.
      $ cd d:
    3. Paste the information into the .ssh directory. If .ssh directory does not exist, then execute the following command.
      $ mkdir .ssh
$ cp authorized_keys .ssh
    4. Run the following command to modify the file permissions.
      $ chmod go-w d:/.ssh
$ chmod 600 d:/.ssh/authorized_keys
$ chown  ftpuser d:/.ssh/authorized_keys

Procedure

  1. Navigate to the D:\oss\server\common\dc\3rdTool\cygwin directory.
  2. Double click StartService.bat.

    NOTE:

    The OpenSSH SFTP server in CYGWIN automatically identify whether the password and SFTP root directory have been initialized. If yes, it processes nothing. If no, it displays a message prompting users to enter the password and SFTP root directory.

Follow-up Procedure

When the configuration of the SFTP server is successful, log in to the NE Software Management client to configure the file transfer service. For details, see Configuring Transfer Service Parameters.

If you need to test the xFTP function of the local xFTP server, please go into the Local xFTP Information. For the entrance, please see the Configuring Transfer Service Parameters.

Parent topic: Configuring the SFTP Server


Legend

The legend describes the various icons used in NE Software Management and the related description.

The legend and its related description is shown as Table 1.
Table 1 Legend Description
Legend | Description
 | Gateway
 | Task Node
 | Not Running Tasks
 | Running Tasks
 | Completed Tasks
 | Software Upgrade Task
 | Software Downgrade Task
 | OLT Agent Upgrade Task
 | Patch Upgrade Task
 | Package Upgrade Task
 | Simulation Package Upgrade Task
 | Package Diffusion Upgrade Task
 | Task Closed
 | Task Open
 | Normal File
 | Break Operation Supported File
 | Successfully Broken File
 | Break Operation Failed File
 | NE View
 | NE Tree Node
 | Save
 | Preview
 | Print
 | Export
 | Import
 | Search
 | Filter
 | Common Board
 | Soft Reset Board
 | Hard Reset Board
 | Normal
 | For Collection Only. If comparison result is correct or comparison is not required, a prompt is displayed. User-defined items are of this type.
 | NA
 | Error for Collection. If comparison result is incorrect, an error is displayed regardless of whether analysis is performed.
 | Warning. If commands fail to be issued to NEs or the tool fails to analyze data, a warning instead of an error is displayed.
 | Running


Version

Description

This parameter indicates the current software version of a selected NE. You can obtain or refresh the value of this parameter by obtaining a version.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: MA5600V800R007C01 | N/A


Backup Information

Description

This parameter indicates the backup file information about an NE, such as the backup path and file property.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
File Path, Content Type, Version, File Size (bytes), Last Modified Time | N/A

The following table provides value descriptions.

Value | Description
File Path | Indicates the path that stores the backup file.
Content Type | Indicates the type of the backup file.
Version | Indicates the version of the backup file.
File Size (bytes) | Indicates the size of the backup file.
Last Modified Time | Indicates the latest modification time of the backup file. If the backup file has not been manually modified before, the latest modification time is displayed as the time when the file is backed up successfully.


Board Information

Description

This parameter indicates the board information of an NE, such as the board location, name, and version.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Board Location, Board Name, Board Version | N/A

The following table provides value descriptions.

Value | Description
Board Location | Indicates the ID of the subrack or slot that houses the board.
Board Name | Indicates the actual name of the board.
Board Version | Indicates the software version of the board, including the software, extended BIOS, and FPGA.


Image Program Information

Description

This parameter indicates the image program information of an NE, such as the name, location, size, version, and startup status.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Program File Name, File Location, File Size (bytes), Program Version, Current Startup File, Next Startup File | N/A

The following table provides value descriptions.

Value | Description
Program File Name | Indicates the actual name of the image program.
File Location | Indicates the drive where the image program resides on an NE.
File Size (bytes) | Indicates the size of the image program.
Program Version | Indicates the version of the image program. The system automatically obtains the program version. If the system fails to obtain the version, it will be displayed as NULL.
Current Startup File | Specifies whether the startup image program is being used by an NE.
Next Startup File | Indicates the startup image program that will be used next time the NE is started.


Disk Size Information

Description

This parameter indicates the disk size information of an NE, such as name, type, total space, and available space. Check the available disk space to ensure sufficient space for loading new software or new patches.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Disk Name, Disk Type, Total Size (bytes), Remain Size (bytes) | N/A

The following table provides value descriptions.

Value | Description
Disk Name | Indicates the disk name.
Disk Type | Indicates the disk type.
Total Size (bytes) | Indicates the disk space.
Remain Size (bytes) | Indicates the available space in the disk. Check the available space in the disk to ensure sufficient space for loading new software and new patches. If the space is insufficient, delete some files manually. For details, see Deleting an NE File.


License and PAF Information

Description

This parameter indicates the information about the license file and PAF file of an NE, including the file name, location, and size.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
File Name, File Location, File Size (bytes) | N/A

The following table provides value descriptions.

Value | Description
File Name | Indicates the name of the license file or PAF file in .txt format.
File Location | Indicates the location of the license file or PDF file.
File Size (bytes) | Indicates the size of the license file or PAF file.


Configuration File Information

Description

This parameter indicates the information about the configuration file of an NE, such as the file name, location, and size.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Configuration File Name, File Location, File Size (bytes) | N/A

The following table provides value descriptions.

Value | Description
Configuration File Name | Indicates the name of the configuration file in .cfg format.
File Location | Indicates the location of the configuration file.
File Size (bytes) | Indicates the size of the configuration file.


Operation Status

Description

This parameter specifies whether the dynamic route is enabled on an NE.

Impact on the System

Setting the OSPF status may affect the communication between the NMS and NEs. Exercise caution when you perform this operation.

Values

Value Range | Default Value
Open, Close | Open

Configuration Guidelines

  • Open: Set Operation Status to Open during the upgrade using a diffusion package wherein the NE Software Management calculates the software package diffusion path according to the routes between NEs. Thus, the dynamic route function must be enabled on the NEs.
  • Close: Set Operation Status to Close to disable the dynamic routing function after the preceding upgrade is completed.


File Information

Description

This parameter indicates the storage space on an NE, size and usage of the storage space, and files stored in the space.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: cfcard:/(Free Size:253,493,248 Byte/Total Size:518,520,832 Byte) log.dblg | N/A


System IP Address

Description

This topic describes the converted IP address used by the NMS to communicate with NEs on the Internet after a network address translation (NAT).

Impact on the System

Setting this parameter does not affect the NMS running.

Values

Value Range | Default Value
Public IP addresses of a network | N/A

Configuration Guidelines

Set this parameter when the NMS server on a private network cannot directly communicate with NEs on the Internet.

As shown in Figure 1, NE A is on the Internet, and the NMS server is on a private network. The NMS server can communicate with NE A only after IP 1 (an IP address of the private network) is converted to IP 2 (a public IP address of the Internet) by means of the NAT.
Figure 1 NMS-NE communication by NAT IP


NAT IP/Segment

Description

This parameter indicates the IP address that an NE uses to communicate with the NMS or the network segment of the NE.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: 10.78.220.1/24 | The default value is empty.

Configuration Guidelines

Set this parameter when the NMS communicates with NEs through multiple NICs.

In the Add System IP dialog box, set the IP address for the NMS to communicate with an NE (through one of the NICs), and the network segment of the NE. For example, you can set this parameter to 10.78.220.1/8 which indicates that the last eight digits of the binary IP address can be changed. The IP address of the NE ranges from 10.78.220.0 to 10.78.220.255.

Relationship with Other Parameters

This parameter is available only when the check box next to Multiple NIC Configuration is selected.


Directory Setting

Description

Directory setting refers to the setting of the root directory for file transfer. When you back up, restore NE data, and load software file on the NE Software Management, files are via or stored in the root directory for transfer.

Impact on the System

The preset root directory for file transfer must be the same as that specified on the server. Otherwise, you cannot back up, restore NE data, and load software file on the NE Software Management.

Values

Value Range | Default Value
Disk partitions | D:

Configuration Guidelines

The path only can include characters, letters and underscores, should not include Chinese, blank and special character such as !@#$ %^&*()-+=./*[]{}.


File Transfer Protocol between client and server

Description

This parameter indicates the protocol used for file transfer between the NMS client and server. This protocol is used when you back up NE data to the NMS client, perform operations on files backed up to the server from the client, or select files to be loaded from the NMS client.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
SFTP, FTP | SFTP

Configuration Guidelines

  • SFTP: Set File Transfer Protocol between client and server to this value when the SFTP protocol is used for file transfer between the NMS server and client. Ensure that the SFTP service is available.
  • FTP: Set File Transfer Protocol between client and server to this value when the FTP protocol is used for file transfer between the NMS server and client. Ensure that the FTP service is available.


Protocol

Description

This parameter indicates the protocol used for file transfer between an NE and the NMS server. This protocol is used when you perform operations such as backing up, restoring, and loading files.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
FTP, SFTP, TFTP Select a protocol that the NE supports in the GUI. | For most types of NE, the default value is FTP; for some types such as Access NE, the default value is TFTP.

Configuration Guidelines

  • SFTP : Set Protocol to this value when the SFTP protocol is used for file transfer between the NE and NMS server. Ensure that the SFTP service is available.
  • FTP: Set Protocol to this value when the FTP protocol is used for file transfer between the NE and NMS server. Ensure that the FTP service is available.
  • TFTP: Set Protocol to this value when the TFTP protocol is used for file transfer between the NE and NMS server. Ensure that the TFTP service is available.


FTP Server IP

Description

This parameter indicates the IP address of a third-party FTP server. When an NE connects to the NE Software Management but cannot communicate with it by using the FTP protocol, you can perform file transfer operations for upgrading the NE, such as back up and load files, on a third-party FTP server that supports the FTP protocol. Set this parameter before you use a third-party server for file transfer.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
IP addresses in the network segment of the NE | The default value is empty.

Configuration Guidelines

Set this parameter when you need to use a third-party server to perform file transfer for NE upgrades.


License File

Description

This parameter indicates importing an on-hand license file to improve the efficiency of NE upgrades and downgrades.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: license.dat | The default value is empty.

Configuration Guidelines

  • License files are used to define the number of NEs that can be upgraded or downgraded at a time. Without license files, for the access NE type, the upgraded or downgraded concurrency is 2, otherwise is 5. If you want to improve the efficiency of NE upgrades and downgrades, contact Huawei R&D engineers for service purchase.
  • License files are only used to define the efficiency of NE upgrades and downgrades. Other operations, such as loading patches, backing up NE data, and restoring NE data are not defined by license files.


Import Mode

Description

This topic describes import modes of software.

Impact on the System

Setting this parameter does not affect the NMS running.

Values

Value Range | Default Value
Single Resource and Whole Version | Single Resource

The following table provides the descriptions of each value.

Value | Description
Single Resource | Indicates that the required software files are imported to the software library one by one. In this mode, ensure that the software type and software version are set correctly.
Whole Version | Indicates that all software files of the same version are imported automatically to the software library at one time after you import the software version description file ver_desc.ini.

Configuration Guidelines

  • Single Resource: Set Import Mode to this value when you need to manually import software files one by one.
  • Whole Version: Set Import Mode to this value when you need to automatically import software files by importing a software version description file.


File Type

Description

This topic describes the type of a to-be-imported software file.

Impact on the System

Set this parameter to the actual software type. Otherwise, the import will fail or the imported software cannot be used.

Values

Value Range

Default Value

The supported file types vary with NE types. Set this parameter by referring to the file list provided in the relevant NE upgrade guide.
  • Access NE: Packet Tool
  • Router/Switch: Program
  • Transmission/PTN NE: Software Package

Configuration Guidelines

Set this parameter to a value based on the type of the actual software file to be imported.


Version

Description

This parameter indicates the software version.

Impact on the System

Incorrect software version information will affect verification of loaded versions and cause upgrade failures.

Values

Value Range | Default Value
For example: MA5600 V800R006C02SPC100 | The default value is empty.

Configuration Guidelines

  • Enter version information in upper case.
  • Enter the version information exactly the same as it was released to ensure the entered information is correct.
  • If the software version is automatically displayed, check whether this information is correct. If this information is incorrect, correct it manually.
  • When importing I/O patch packages to MxUs, you must enter the software version related to these I/O patch packages.


Patch Version

Description

This parameter indicates the software version of imported patches (including I/O packages for MxUs).

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: SPC100 | The default value is empty.


Use Existing Version

Description

This parameter specifies whether to use existing versions in the software library. Set this parameter when the patches being imported use the same software version as the imported patches. The software version records in the software library can be used directly to reduce duplicate workload and input mistakes.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Disable

Configuration Guidelines

  • Enable: Set Use Existing Version to this value when the software version of patches being imported is the same as a software version in the software library. You can select this software version from the drop-down list.
  • Disable: Set Use Existing Version to this value when you import patches of a software version for the first time.


Package State

Description

This parameter indicates the loading status of software packages. The loading status of software packages is refreshed only when these packages are loaded or diffused.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Normal, Copying Files Start, Copying Files End, Dispensing Start, Dispensing End, Activating, Activated, Committing, Software Rollbacking, Software Copy File Halt, Activating NE, Activating Slave, Activating Board, Loaded and Unactivated, Normal-Unstable, Software Diffusion Initialized, Software Diffusion Running, Synchronizing Slave NE, Synchronizing Master NE | The default value is empty.


Target Version

Description

This parameter indicates the software version after NEs are upgraded or downgraded.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: MA 5600V800R007C01 | The default value is empty.


Task Name

Description

This parameter indicates the name of a task. Set task names for each task when you create multiple tasks of the same type. Task names are used to distinguish these tasks by operations or start orders.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: Task_091111020255 | Task_yymmddhhmmss

Configuration Guidelines

  • The task name contains no more than 255 characters.
  • You can use characters such as English letters, digits, and underscores.
  • You cannot use spaces or any following characters: ~ ! @ # $ % ^ & * | < > [ ] { } = + ? " \ ; '


File Type

Description

This topic describes the type of a file that is used to restore the configuration data when an NE is restarted.

Impact on the System

None.

Values

Value Range | Default Value
Data File | Data File

The following table provides value descriptions.

Value | Description
Data File | Indicates a binary file stored in a database that contains system configuration data. If you set this parameter to Data File, the configuration of the system recovers from the data file when the system is restarted.

Configuration Guidelines

Data File: The system will rapidly recover its configuration from the data file when the system restarts. This mode is commonly adopted in an upgrade scenario.


Target Version

Description

This topic describes the target software version of an NE to be upgraded.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: MA5600 V800R006C02SPC100 | N/A

The following table provides descriptions of the values.

Value

Description

A specific software version number
  • You can specify a software version number in the drop-down list after you import the software files to the software library.
    NOTE:

    After you import the target software files to the software library for an NE that needs to be upgraded, all version options are provided in the drop-down list. These options are the same as the values of the parameter Version that you set when you import the software.

  • After the software files to be loaded are imported to the software library and the software version number is set, you can configure the Select Software To Load parameter without needing to configure it from another navigation path.
  • If the software files are not imported to the software library, you can click [image] to import the software files through GUIs.

N/A

Indicates that no software file of a target version for an NE is imported to the software library.

Configuration Guidelines

  • A specific software version: Set Target Version to a specific software version when you need to import software files to the software library.
  • N/A: When you load software manually, do not specify a software version.


Start Time

Description

This parameter specifies whether to start a task automatically at scheduled time values.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Disable

Configuration Guidelines

  • Enable: Set Start Time to this value when you want to start a task automatically. After you set Enable, the current time is displayed by default. Click [image] . In the dialog box that is displayed, set the scheduled time for starting the task.
  • Disable: Set Start Time to this value when you want to start a task manually.


Operation

Description

This parameter indicates operations involved in a upgrade. Select required operations for your upgrades.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Operations such as loading and activating. (Operations may vary according to the types or versions of NEs.) You can select or clear the check boxes for most operations. | N/A

Configuration Guidelines

  • Enable: Set Operation to this value when the operation is required to start automatically during upgrades. (The check box next to this operation is selected.)
  • Disable: Set Operation to this value when the operation is not required to start automatically during upgrades. (The check box next to this operation is cleared.)


Configure Operation

Description

This parameter indicates configurations of a selected operation.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: Configure Activate | N/A

Configuration Guidelines

  • A link is displayed for a selected operation to be configured. Click this link and a configuration window is displayed.
  • In the parameter setting area, no information is available for an operation that you cannot configure.
  • The parameter setting area is dimmed for an operation that you can configure but did not select.
  • A red link indicates this operation must be configured. A blue link indicates that it is optional to configure this operation.


Force to load selected GNE through FTP

Description

This parameter specifies whether the FTP protocol is used to load software packages for transport or PTN gateway NEs (GNEs) (excluding RTN and TL1 NEs). If you do not select this option, software packages will be loaded by using the proprietary protocols of Huawei.

Impact on the System

If Force to load selected GNE through FTP is enabled but the FTP service is disabled, GNEs will not obtain the files to be loaded and an error message will be displayed.

Values

Value Range | Default Value
Enable, Disable | Enable

Configuration Guidelines

  • Enabled: Set Force to load selected GNE through FTP to Enabled if the FTP service is enabled on the server to improve the efficiency of loading software packages to GNEs.
  • Disabled: Set Force to load selected GNE through FTP to Disabled if the FTP service is disabled or not required on the server.


Pause Before Current Operation

Description

This parameter specifies whether to stop task processes automatically before a specific operation is performed. You are advised to set this parameter for some important operations such as activation.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | N/A

Configuration Guidelines

  • Enable: Set Pause Before Current Operation to this value when you want to stop task processes before performing a specific operation.

    You are advised to use the default settings on the software. Ensure that this parameter for activating is set to Enable because this operation will interrupt network services and it is performed at night when there is light service traffic volume.

  • Disable: Set Pause Before Current Operation to this value when you do not want to stop task processes before performing a specific operation.


Activate Type

Description

This topic describes the activation type that is used to make the new software to take effect on an NE.

Impact on the System

Activation may interrupt NE services. Exercise caution when setting this parameter.

Values

Value Range

Default Value
  • Access NE: With Service Interruption, Without Service Interruption, Service Board, Delay Reboot
  • Router/Switch: Reboot Immediately, Delay Reboot, Scheduled Reboot, Manually Reboot
The activate type varies with NE types. Select the required option on the GUI.
  • Access NE: With Service Interruption
  • Router/Switch: Reboot Immediately

The following table provides value descriptions.

Value

Description

With Service Interruption, Reboot Immediately

Indicates that an NE will be restarted and services will be interrupted immediately after activation.

Without Service Interruption

Indicates that the active and standby control boards are restarted and services will not be interrupted after activation.

Service Board

Indicates that only service boards will be restarted and new software will run on the service boards after activation.

Delay Reboot

Indicates that the NE will be restarted in several minutes after receiving the activating command. Select a delay time from the drop-down list.

The delay reboot mode is applicable to the NEs on a subtending network. When the delay time is set to five to ten minutes, all NEs on the network can receive the activation command. When the delay time is not long enough, downstream NEs may not receive the activation command after upstream NEs has been activated.

Scheduled Reboot

Indicates that an NE is restarted at a specified time.

Manual Reboot

Indicates that an NE will be restarted after you enter commands in the CLI.

Configuration Guidelines

  • With Service Interruption and Reboot Immediately: Set Activate Type to either of these two values when you need to restart an NE immediately. Services will be interrupted when the NE is restarted.
  • Without Service Interruption: Set Activate Type to this value when you need to restart the active and standby control boards separately without service interruption.
  • Service Board: Set Activate Type to this value when you need to restart only service boards.
  • Delay Reboot: Set Activate Type to this value when you need to ensure that all NEs in a subtending network can receive the activation command.
  • Scheduled Reboot: Set Activate Type to this value when you need to restart an NE at a specified time.
  • Manual Reboot: Set Activate Type to this value when you need to restart an NE by running commands in the CLI.


Activate Mode

Description

This topic describes the activation order of NEs in a task.

Impact on the System

Activation may interrupt NE services. Exercise caution when setting this parameter.

Values

Value Range | Default Value
Parallel, Group | Parallel

The following table provides descriptions of the values.

Value | Description
Parallel | Indicates that all NEs in a task are activated at a time. This activation mode is more efficient than the serial mode (NEs are activated one by one).
Group | Indicates NEs are activated by group. In this mode, you need to group NEs to be activated. Groups with smaller IDs are activated first, and those with greater IDs are activated later. NEs in the same group are activated at a time.

Configuration Guidelines

  • Parallel: Set Activate Mode to this value when you need to concurrently activate NEs in a task for higher efficiency.
  • Group: Set Activate Mode to this value when you need to manually set the activate order.


Compare Result

Description

This parameter indicates the protocols that NEs use to communicate with NE Software Management interfaces before and after upgrades. You can check whether NE settings are changed due to the upgrades.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
N/A | N/A


Running NE(s)

Description

This parameter indicates the number and percentage of running NEs.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: 5 (20%) | N/A


Not Run NE(s)

Description

This parameter indicates the number and percentage of non-running NEs.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: 5 (20%) | N/A


Whether Isolated

Description

This parameter specifies whether NE boards are separated automatically.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Yes, No | N/A


Resource State

Description

This parameter indicates the status of software packages.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: Loaded, Unactivated | The default value is empty.


File Path

Description

This parameter indicates the path for storing task reports.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: F:\nms\client\report | ..\client\report


View failed check items

Description

This parameter indicates that only the failed check items are displayed on the NMS.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Disable

Configuration Guidelines

Set this parameter according to site requirements.


View all check items

Description

This parameter indicates that all successful or failed check items are displayed.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Disable

Configuration Guidelines

Set this parameter according to site requirements.


View

Description

This parameter indicates the response to commands on NEs.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
N/A | N/A


View different and failed check items

Description

This parameter indicates that changed check items (different before and after checks) and failed check items are displayed.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Disable

Configuration Guidelines

Set this parameter according to site requirements.


Compare Result

Description

This parameter indicates the comparison between check items before and after the upgrades of NEs.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
N/A | N/A


Availability

Description

This parameter indicates the results after the NE status is checked and analyzed on the NMS.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
OK, POK, NG | N/A

The following table provides value descriptions.

Value | Description
OK | Indicates NEs are functioning properly and ready for upgrades.
POK | Indicates that NEs are functioning abnormally and not recommended for upgrades.
NG | Indicates that NEs malfunction and not recommended for upgrades.


State

Description

This parameter indicates the software loading status on NEs or boards.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: Running | N/A


Process

Description

This parameter indicates the loading process of the NE patch.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
0-100 | N/A


Running Version

Description

This parameter indicates the version of the running software.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: 3.13 | N/A


Upgrade Version

Description

This parameter indicates the version of the software to be loaded.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: 3.14 | N/A


Activate Order

Description

This parameter indicates the activation order of NEs or boards.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: 1-osn | N/A

The following table provides value descriptions.

Value | Description
The value is a single digit. | Indicates that NEs are activated. NEs with the same number are activated in the same order.
The value contains a hyphen (-). | Indicates that boards are activated. Characters after the hyphen indicate the group of the activated board and the digit before the hyphen indicates the activation priority of the group. The smaller the digit is, the higher the activation priority is.


Running Versions

Description

This parameter indicates the detailed hardware and software versions of the selected board.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: BIOS: 1.0, Software: 1.0 | N/A


Loading Files with Version

Description

This parameter indicates the name and version of the software to be loaded. By clicking this parameter, you can view information of all loaded files of the selected NE or board.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: fpga.pga 3.13 | N/A


State

Description

This parameter indicates the loading status of the NE patch.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Normal, Copying, Abnormal | N/A


Running Version

Description

This parameter indicates the version of the patch loaded to the memory.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: sph001 | N/A


Upgrade Version

Description

This parameter indicates the version of the patch loaded to the specific software to be upgraded.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: sph002 | N/A


Save Period

Description

This topic describes the automatic data backup period of a specific NE and the start time for each backup.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range

Default Value
  • Period: Monthly, Weekly, Daily
  • Day: 1-31 (Period: Daily), Sunday-Saturday (Period: Weekly), Blank (Period: Daily)
  • Time: For example: 01:00
  • Period: Daily
  • Day: The default value is empty.
  • Time: 01:00


Save Policy Status

Description

This parameter indicates the current saving policy status of the NE.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Run, Stop | The default backup policy status is Run in the default mode. The default backup policy status is Stop in the user-defined mode.


Backup Period

Description

This parameter indicates the automatic data backup period of a specific NE and the start time for each backup.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range

Default Value
  • Period: Monthly, Weekly, Daily
  • Day: 1-31 (Period: Daily), Sunday-Saturday (Period: Weekly), Blank (Period: Daily)
  • Time: For example, 02:00.
  • Period: Daily
  • Day: The default value is empty.
  • Time: 02:00


Backup Policy Status

Description

This parameter indicates the current backup policy status of a specific NE.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Run, Stop | The default backup policy status is Run in the default mode. The default backup policy status is Stop in the user-defined mode.


Backup Type

Description

This parameter indicates the file type of the NE data backed up periodically.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range

Default Value
  • Transmission/PTN NE: Data file, Configuration File
  • Access NE: Data File, Configuration File
  • Router/Switch: Startup Configuration File, Running Configuration File

The default value varies with NE type.

The following table provides value descriptions.

Value

Description

Startup Configuration File

Indicates a type of data file for the Router/Switch. It contains data saved in the NE flash memory.

Running Configuration File

Indicates a type of data file for the Router/Switch. It contains currently in-use data in the NE memory.

Data File

Indicates a type of data file for the Access NE. It is in binary format. Use the upgrade tool to upgrade NE data if the NEs do not support internal database upgrade.

Configuration File
  • Indicates a type of data file for the Access NE. It contains specific commands and does not need to be imported during the upgrade. It is recommended that you import the data file rather than the configuration file because the configuration may be partially incompatible with the target NMS version and services will be lost after the upgrade.
  • Indicates a data/configuration file Indicates a type of data file forTransmission NE. Only NEs of earlier versions support the configuration file.
    • This method applies to quick NE configuration data restoration when both the control board and CF card are faulty.
    • Backs up data before an upgrade/downgrade operation. The data can be used to restore the NE to the original state when an upgrade/downgrade operation fails.

Data file
Indicates a data/configuration file Indicates a type of data file forTransmission NE. Most NEs support only the data file.
  • This method applies to quick NE configuration data restoration when both the control board and CF card are faulty.
  • Backs up data before an upgrade/downgrade operation. The data can be used to restore the NE to the original state when an upgrade/downgrade operation fails.
NOTE:
  • For Transmission/PTN NE, if NMS send the configuration command, the configuration data will be generated in the NE, such as the board configuration, clock configuration, protection relationships of the NE and communication configuration. The data in the memory is lost when the board is reset . In order to restore the NE to the original state, when the board is reset or a power failure occurs. Then the configuration data will be saved into database in other format . It is the NE database package. So the contents of the two backup files are the same, just different name, and store formats differ.
  • For Transmission/PTN NE, the type of backup file varies with the NE version. In other word, one NE version just support one type file. Such as 1600G versions 5. 08. 03. XX only support for configuration data, and for version 5. 08. 04. XX and its later versions, only supports database package. If a mismatched file type is selected, NMS will prompt error message.

Configuration Guidelines

You can select the file types required to be backed up based on the identification.


Backup Max Number

Description

This parameter indicates the maximum number of backup files.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Manual Removal 1-200 | 5


Save Before Backup

Description

This parameter specifies whether the function of saving data before the backup is enabled.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
enable, disable | enable


Configuration Change Backup

Description

This parameter specifies whether the function of backing up data upon configuration change is enabled. After this function is enabled, if the configuration is not changed within 30 minutes after the change, the NE Software Management will back up NE data; if the configuration is changed, theNE Router NE will report trap messages automatically and theNE Software Management will back up NE data immediately after it receives the trap messages.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Disable


NE Periodic Backup

Description

This parameter specifies whether the NE Software Management is used to set periodical backup attributes for NEs. This function is complementary for the function of backing up data upon configuration change. After this function is enabled, you can specify the time when an NE reports trap messages so that the NE does not need to report messages each time the configuration changes. The NE Software Management will back up NE data automatically after the NMS receives trap messages.

Impact on the System

After this function is enabled, the NE Software Management does not need to back up NE data each time the configuration is changed. Assume that the NE configuration has changed for five times and there is only one minute left before the next automatic backup starts. If an NE malfunctions, the configuration after the third backup, for example, is restored to the NE. In this case, no backup file is available for restoring NE configurations. Therefore, do not set the automatic backup period to a long time.

Values

Value Range | Default Value
Enable, Disable | Disable


Backup Period

Description

This parameter indicates the automatic NE data backup period of a specific NE and the start time for each backup.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range

Default Value
  • Period: Monthly, Weekly, Daily
  • Day: 1-31 (Period: Daily), Sunday-Saturday (Period: Weekly), Blank (Period: Daily)
  • Time: For example, 02:00.
  • Period: Daily
  • Day: The default value is empty.
  • Time: 02:00

Configuration Guidelines

  • To automatically back up NE data on monthly, weekly or daily basis, select Monthly, Weekly, or Daily respectively from the Period drop-down list.
  • If Period has been set to Monthly or Weekly, select a value from the Day drop-down list to specify the day for backing up data.
  • Set the specific backup time in Time in the HH:mm format by using the spin box.


Save Period

Description

This parameter indicates the automatic data saving period of a specific NE and the start time for saving each time.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range

Default Value
  • Period: Monthly, Weekly, Daily
  • Day: 1-31 (Period: Daily), Sunday-Saturday (Period: Weekly), Blank (Period: Daily)
  • Time: For example: 01:00
  • Period: Daily
  • Day: The default value is empty.
  • Time: 01:00

Configuration Guidelines

  • To automatically back up NE data on monthly, weekly or daily basis, select Monthly, Weekly, or Daily respectively from the Period drop-down list.
  • If Period has been set to Monthly or Weekly, select a value from the Day drop-down list to specify the day for backing up data.
  • Set the specific backup time in Time in the HH:mm format by using the spin box.


The Added NE's Policy Status

Description

This parameter specifies whether the new NE's policy is enabled immediately.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Run, Stop | Run

Configuration Guidelines

  • Run: Set The Added NE's Policy Status to Run to immediately enable the added or modified policy.
  • Stop: Set The Added NE's Policy Status to Run to disable the added or modified policy.


Backup Type

Description

This parameter indicates the type of the NE data file.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range

Default Value
  • Transmission/PTN NE: Data file, Configuration File
  • Access NE: Data File, Configuration File
  • Router/Switch: Startup Configuration File, Running Configuration File

The default value varies with NE type.

The following table provides value descriptions.

Value

Description

Startup Configuration File

Indicates a type of data file for the Router/Switch. It contains data saved in the NE flash memory.

Running Configuration File

Indicates a type of data file for the Router/Switch. It contains currently in-use data in the NE memory.

Data File

Indicates a type of data file for the Access NE. It is in binary format. Use the upgrade tool to upgrade NE data if the NEs do not support internal database upgrade.

Configuration File
  • Indicates a type of data file for the Access NE. It contains specific commands and does not need to be imported during the upgrade. It is recommended that you import the data file rather than the configuration file because the configuration may be partially incompatible with the target NMS version and services will be lost after the upgrade.
  • Indicates a data/configuration file Indicates a type of data file forTransmission NE. Only NEs of earlier versions support the configuration file.
    • This method applies to quick NE configuration data restoration when both the control board and CF card are faulty.
    • Backs up data before an upgrade/downgrade operation. The data can be used to restore the NE to the original state when an upgrade/downgrade operation fails.

Data file
Indicates a data/configuration file Indicates a type of data file forTransmission NE. Most NEs support only the data file.
  • This method applies to quick NE configuration data restoration when both the control board and CF card are faulty.
  • Backs up data before an upgrade/downgrade operation. The data can be used to restore the NE to the original state when an upgrade/downgrade operation fails.
NOTE:
  • For Transmission/PTN NE, if NMS send the configuration command, the configuration data will be generated in the NE, such as the board configuration, clock configuration, protection relationships of the NE and communication configuration. The data in the memory is lost when the board is reset . In order to restore the NE to the original state, when the board is reset or a power failure occurs. Then the configuration data will be saved into database in other format . It is the NE database package. So the contents of the two backup files are the same, just different name, and store formats differ.
  • For Transmission/PTN NE, the type of backup file varies with the NE version. In other word, one NE version just support one type file. Such as 1600G versions 5. 08. 03. XX only support for configuration data, and for version 5. 08. 04. XX and its later versions, only supports database package. If a mismatched file type is selected, NMS will prompt error message.

Configuration Guidelines

You can select the file types required to be backed up based on the identification.


Backup Max Number

Description

This parameter indicates the upper limit of backup files that can be retained.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Manual Removal 1-200 | 5

Configuration Guidelines

Select any value within the value range. The default value is recommended.


Save Before Backup

Description

This parameter specifies whether NE data will be saved before backup. If you enable this function, NE data running in the NE memory will be saved to the flash memory before backup, ensuring that the NE data to be backed up from the flash memory is the latest data and the same as the currently in-use data in the NE memory.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Enable

Configuration Guidelines

Enable or disable the save before backup function as required. The default setting is recommended.


Configuration Change Backup

Description

This parameter specifies whether the function of backing up data upon configuration change. After this function is enabled, if the configuration is not changed within 30 minutes after the change, the NE Software Management will back up NE data; if the configuration is changed, theNE Router NE will report trap messages automatically and theNE Software Management will back up NE data immediately after it receives the trap messages.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Disable

Configuration Guidelines

You can decide whether to enable this function according to NE maintenance requirements.


NE Periodic Backup

Description

This parameter describes whether the NE Software Management needs to set the attribute for periodically backing up NE data. This function is complementary for the function of backing up data upon configuration change. After this function is enabled, you can specify the time when an NE reports trap messages so that the NE does not need to report messages each time the configuration changes. The NE Software Management will back up NE data automatically after the NMS receives trap messages.

Impact on the System

After this function is enabled, the NE Software Management does not need to back up NE data each time the configuration is changed. Assume that the NE configuration has changed for five times and there is only one minute left before the next automatic backup starts. If an NE malfunctions, the configuration after the third backup, for example, is restored to the NE. In this case, no backup file is available for restoring NE configurations. Therefore, do not set the automatic backup period to a long time.

Values

Value Range | Default Value
Enable, Disable | Disable

Configuration Guidelines

You can decide whether to enable this function according to NE maintenance requirements.

After this function is enabled, you can check the current settings of the NE Periodic Backup policy by clicking the link next to the check box. In the Set Periodic NE Backup dialog box, you can define backup attribute in the GUI.


Configure Upgrade Version

Description

This parameter indicates the dependent files for the automatic upgrade.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Disable

Configuration Guidelines

After an NE type is selected, the corresponding Configure Upgrade Version link is available. Import the software package of the NE type to the software library before setting this parameter.

The Relationship with Other Parameters

This parameter takes effect only after the NE Type is selected.


Upgrade Version

Description

This parameter indicates the target version for automatic NE upgrade.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Versions of all the software imported to the software library. | N/A

Configuration Guidelines

The selected target version must be the same as the current version.

The Relationship with Other Parameters

This parameter takes effect only after you enable Configure Upgrade Version, click the link, and set this parameter in the dialog box that is displayed.


Load File

Description

This parameter indicates the information about the files corresponding to the target version of NMS upgrade.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: createbin | N/A

Relationship with Other Parameters

This parameter is available only when Upgrade Version and No before the corresponding load file are selected.


Enable Disaster-Recovery Backup

Description

This parameter specifies whether the disaster-recovery backup is enabled. If the disaster-recovery backup is enabled, you can set the backup period and other parameters for it.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Disable

Configuration Guidelines

Enable or disable HA backup depending on NE maintenance requirements.


Backup To

Description

This parameter indicates the destination path for backing up NE data.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
NMS Server, NMS Client | NMS Server

The following table provides value descriptions.

Value | Description
NMS Server | Indicates that NE data will be backed up to backup in the root directory for file transfer.
NMS Client | Indicates that NE data will be backed up to the specified path on the client computer. Click ... to specify the destination path.

Configuration Guidelines

  • NMS Server: Set Backup To to NMS Server to back up NE data to the server computer when necessary.
  • NMS Client: Set Backup To to NMS Client to back up NE data to the client computer when necessary.


File Type

Description

This parameter indicates the type of the NE data file.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range

Default Value
  • Transmission/PTN NE: Data file, Configuration File
  • Access NE: Data File, Configuration File
  • Router/Switch: Startup Configuration File, Running Configuration File

The default value varies with NE type.

The following table provides value descriptions.

Value

Description

Startup Configuration File

Indicates a type of data file for the Router/Switch. It contains data saved in the NE flash memory.

Running Configuration File

Indicates a type of data file for the Router/Switch. It contains currently in-use data in the NE memory.

Data File

Indicates a type of data file for the Access NE. It is in binary format. Use the upgrade tool to upgrade NE data if the NEs do not support internal database upgrade.

Configuration File
  • Indicates a type of data file for the Access NE. It contains specific commands and does not need to be imported during the upgrade. It is recommended that you import the data file rather than the configuration file because the configuration may be partially incompatible with the target NMS version and services will be lost after the upgrade.
  • Indicates a data/configuration file Indicates a type of data file forTransmission NE. Only NEs of earlier versions support the configuration file.
    • This method applies to quick NE configuration data restoration when both the control board and CF card are faulty.
    • Backs up data before an upgrade/downgrade operation. The data can be used to restore the NE to the original state when an upgrade/downgrade operation fails.

Data file
Indicates a data/configuration file Indicates a type of data file forTransmission NE. Most NEs support only the data file.
  • This method applies to quick NE configuration data restoration when both the control board and CF card are faulty.
  • Backs up data before an upgrade/downgrade operation. The data can be used to restore the NE to the original state when an upgrade/downgrade operation fails.
NOTE:
  • For Transmission/PTN NE, if NMS send the configuration command, the configuration data will be generated in the NE, such as the board configuration, clock configuration, protection relationships of the NE and communication configuration. The data in the memory is lost when the board is reset . In order to restore the NE to the original state, when the board is reset or a power failure occurs. Then the configuration data will be saved into database in other format . It is the NE database package. So the contents of the two backup files are the same, just different name, and store formats differ.
  • For Transmission/PTN NE, the type of backup file varies with the NE version. In other word, one NE version just support one type file. Such as 1600G versions 5. 08. 03. XX only support for configuration data, and for version 5. 08. 04. XX and its later versions, only supports database package. If a mismatched file type is selected, NMS will prompt error message.

Configuration Guidelines

You can select the file types required to be backed up based on the identification.


File Name

Description

This parameter specifies the file to be restored.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range

Default Value

You can click Browse to select a file name, select a historical backup record, or leave it blank.
  • If NE data has been backed up in the NE Software Management, the previous backup record will be displayed by default.
  • If NE data has not been backed up in the NE Software Management, no record will be displayed by default.
  • If an NE communicates with the NE Software Management via an agent NE, you must recover the data of the target NE from the third-party FTP server.In this case, the default value is blank. Set this parameter manually.

Configuration Guidelines

  • Browse: Click Browse to select a file to be backed up from the local computer.
  • Selecting a historical backup record: Select a historical backup record to restore NE data from data backed up in the NE Software Management. Ordinarily, select the latest backup record from the drop-down list.
  • Take the following precautions into consideration when setting this parameter manually:
    • During backup, the backed up data is generated in a folder named by time. You need enter the path of this folder and the whole file name to restore the backed up data. For example, the parameter is 20101216111922\vrpcfg.cfg.
    • The File Name must include the filename extension.
    • A file name consists of up to 64 characters.


Board

Description

This parameter specifies whether backup NE data is restored to the active control board or standby control board of an NE.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Main Board, Standby Board, Both board | Main Board

Configuration Guidelines

  • Main Board: Set Board to Main Board to restore backup NE data to the active control board.
  • Standby Board: Set Board to Standby Board to restore backup NE data to the standby control board.
  • Both board: Set Board to Both board to restore backup NE data to both the active and the standby control boards.


Activate Type

Description

This parameter specifies the mode of activating backup NE data so that such data can take effect on NEs.

Impact on the System

Activating NE data will restart the NE and interrupt services. Exercise caution when you perform this operation.

Values

Value Range

Default Value
  • Transmission/PTN NE: Without Service Interruption, With Service Interruption
  • Access NE: Without Service Interruption, With Service Interruption
  • Router/Switch: Without Service Interruption, Reboot Immediately
The activate type varies with NE types. Select the required option on the GUI.

Without Service Interruption

The following table provides value descriptions.

Value | Description
Without Service Interruption | Indicates that the NE will not restart automatically after backup data is loaded to the NE. Data restoration is completed only after you restart the NE.
With Service Interruption, Reboot Immediately | Indicates that the NE will restart automatically after backup data is loaded to the NE. Ongoing services will be interrupted when the NE is restarted. Data restoration is completed after the restart.

Configuration Guidelines

  • Without Service Interruption: Set Activate Type to Without Service Interruption when an NE can be restarted manually later but does not need to be restarted immediately after backup data is loaded to the NE.
  • With Service Interruption/Reboot Immediately: Set Activate Type to With Service Interruption or Reboot Immediately when an NE needs to be restarted immediately after backup data is loaded to the NE. Note that ongoing NE services will be interrupted during the restart.


Deliver To Board Activate

Description

This parameter specifies whether the backup configuration will be applied to service boards.

Impact on the System

Applying the backup configurations may cause data inconsistency between service boards because the latest data on service boards may not be synchronized to the control board during data backup.

Values

Value Range | Default Value
Enable, Disable | Disable

Configuration Guidelines

  • Enable: Set Deliver To Board Activate to Enable to apply backup configuration to service boards.
  • Disable: Set Deliver To Board Activate to Disable to apply the configurations only to the control board.

Relationship with Other Parameters

This parameter is available only when Activate Type is set to With Service Interruption.


Purge Mode

Description

This parameter specifies the mode of deleting a backup file that is no longer used.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Manual, Automatic | Manual

The following table provides value descriptions.

Value

Description

Manual
  • There is no limit on the number of backup files for storage.
  • Backup files can be deleted manually by using the methods described in Deleting a Backup File.

Automatic

Earlier backup files will be deleted if the number of backup files exceeds the value of Maximum number of Backups.

Configuration Guidelines

  • Manual: Set Purge Mode to Manual to manually delete backup files that are no longer used.
  • Manual: Set Purge Mode to Automatic to enable the system to automatically delete backup files that are no longer used according to the preset policy.


Maximum number of Backups

Description

This parameter indicates the upper limit of backup files that can be retained.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Manual Removal 1-200 | 5

Configuration Guidelines

Select any value within the value range. The default value is recommended.

Relationship with Other Parameters

This parameter is available only when Purge Mode is set to Automatic.


Activate Type

Description

This parameter indicates the mode of activating loaded data so that such data can take effect on NEs.

Impact on the System

Activating NE data will restart the NE and interrupt services. Exercise caution when you perform this operation.

Values

Value Range | Default Value
With Service Interruption | With Service Interruption

The following table provides value descriptions.

Value | Description
With Service Interruption | The NE will restart automatically after data is loaded to the NE. Ongoing services will be interrupted when the NE is restarted. Data restoration will be completed after the restart.


Rely On

Description

This parameter indicates the parent patch of a child patch.Patch dependencies exist only between cold patches of Access NEs. Among such patches, the patches with greater patch IDs (child patches) depend on the patches with smaller patch IDs (parent patches). Ensure that the parent patch of a child patch has been activated and acknowledged before loading child patch; otherwise, the loading will fail. After a parent patch is deleted, its child patches will also be deleted.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
N/A | N/A


Relied On

Description

This parameter indicates the child patches of a parent patch. Patch dependencies exist only between cold patches of Access NEs. Among such patches, the patches with greater patch IDs (child patches) depend on the patches with smaller patch IDs (parent patches). Ensure that the parent patch of a child patch has been activated and acknowledged before loading child patch; otherwise, the loading will fail. After a parent patch is deleted, its child patches will also be deleted.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
N/A | N/A


Patch State

Description

This parameter indicates the current status of a patch.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Activated, Deactivated, To Be Activated (only for cold patches of access NEs), Delete, Running, Withdraw, To be running (only for cold patches of access NEs), To be deleted (only for cold patches of access NEs) | N/A


Maximum Patch

Description

This parameter specifies filter criteria to display only the patch with the greatest ID.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Disable


Minimum Patch

Description

This parameter specifies filter criteria to display only the patch with the smallest ID.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Enable, Disable | Disable


Result

Description

This parameter specifies that logs are filtered by the result of a specific NE operation. You can filter only logs of successful operations or failed operations.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Success, Failure | Both Success and Failure are selected.

Configuration Guidelines

You can select Success or Failure or both of them but you cannot select neither of them.


Client IP

Description

This parameter indicates the IP address of the client on which the specified operations are performed for an NE.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: 10.78.220.192 | N/A


Result

Description

This parameter indicates the successful or failed operation result on an NE.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Success, Failure | N/A


Start Time

Description

This parameter indicates the start time of an operation.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: 20/10/2010 14:34:53 | N/A


End Time

Description

This parameter indicates the end time of an operation.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: 20/10/2010 14:34:59 | N/A


File Path

Description

This parameter indicates the path for storing the log file on the NE Software Management after you back up, load, or restore NE data.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: D:\backup\9-230\20100723113129 | N/A


State

Description

This parameter indicates the backup status of NE software.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Normal, Copying, Rollback, Halt, Normal-Cancelled | N/A


Log Type

Description

This parameter indicates the type of logs to be backed up.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Operation Log, Security Log | Security Log

The following table provides value descriptions.

Value | Description
Operation Log | Operation logs record operations that all NE users perform on an NE.
Security Log | Security logs record security-based operations that all NE users perform on an NE.

Configuration Guidelines

  • Operation Log: Set Log Type to Operation Log to back up the operation logs of an NE.
  • Security Log: Set Log Type to Security Log to back up the security logs of an NE.


Protocol

Description

This parameter indicates the protocol to be used for backup operations.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
ECC, IP over DCC | ECC

The following table provides value descriptions.

Value | Description
ECC | Embedded control channel, abbreviated to ECC, serves as the communication channel between NEs in an ECC network. An NE ID uniquely identifies a non-gateway NE in an ECC network. Inter-NE communication data is transmitted through ECC channels.
IP over DCC | IP over DCC complies with the TCP/IP protocol and controls remote NEs over the Internet. IP over DCC uses the D bytes (with the default value of D1, D2, or D3) in section overhead for NE communication. Huawei optical equipment supports dynamic and static routes.

Configuration Guidelines

  • ECC: Set Protocol to ECC when ECC networking is used for NE communication.
  • IP over DCC: Set Protocol to IP over DCC when IP networking is used for NE communication.
  • As shown in Figure 1, ECC networking is used for NE communication. To back up NE3 data to the DC computer , transmit data between NE3 and GNE1 through ECC channels and data between GNE1 and the NMS server by using the TCP/IP protocol. During database backup, the database file on NE3 is firstly transferred to GNE1 through ECC channels and then to the DC computer by using the FTP/SFTP protocol. Ensure that the xFTP service has been enabled on the DC.
    Figure 1 Diagram of selecting the ECC protocol and accessing the DC

  • As shown in Figure 2, IP networking is used for NE communication. To back up NE3 data to the DC computer , , The communication between NE3 and GNE3 and between GNE1 and the ToolKit server is based on the TCP/IP protocol. During database backup, and then to the DC computer by using the FTP/SFTP protocol. Ensure that the xFTP service has been enabled on the DC.
    Figure 2 Diagram of selecting the IP over DCC protocol and accessing the DC


File

Description

This parameter indicates the path for backing up NE logs.

Impact on the System

The backup file of NE logs will fail to be read if the file path contains non-alphanumeric characters.

Values

Value Range | Default Value
For example: F:/backup | N/A

Configuration Guidelines

The path for backing up NE logs contains only alphanumeric characters; otherwise, the file will fail to be read.


State

Description

This parameter indicates the current loading status of the license file.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Normal, Copying, Rollback, Halt, Normal-Cancelled | N/A


Backup/Load

Description

This parameter indicates the license to be backed up or loaded.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Backup, Load | N/A

The following table provides value descriptions.

Value | Description
Backup | The license file of the NEs managed by license needs to be backed up in case of license loss caused by NE faults. You are advised to back up the license file immediately after the NE license is updated.
Load | The backup license file can be loaded to the NE for restoration when the NE license file is lost or unavailable due to NE faults. You need also to load the NE license file to update an NE license.

Configuration Guidelines

Backup: Set Backup/Load to Backup to back up the in-use license file of an NE to the NE Software Management.

Load: Set Backup/Load to Load to restore the NE license file from the backup file in the NE Software Management or transfer the new license file in the NE Software Management to the NE.


File

Description

This parameter indicates the path for storing the license file.

Impact on the System

The backup file of NE logs will fail to be read if the file path contains non-alphanumeric characters.

Values

Value Range | Default Value
For example: F:/backup | N/A

Configuration Guidelines

The path for backing up NE logs contains only alphanumeric characters; otherwise, the file will fail to be read.


Gateway Type

Description

This parameter indicates the protocol for communications between the gateway NE of the NE to be created and the NE Software Management.

Impact on the System

NE creation will fail if the selected gateway type is different from the actual one.

Values

Value Range | Default Value
IP Gateway, OSI Gateway | IP Gateway

Configuration Guidelines

  • IP Gateway: Use this value if the NE Software Management communicates with the gateway NE using the IP protocol.
  • OSI Gateway: Use this value if the NE Software Management communicates with the gateway NE using the OSI protocol.

Relationship with Other Parameters

  • If you select IP Gateway, enter the IP address of the gateway NE in the Gateway Address text box. Use the default value of Port.
  • If you select OSI Gateway, enter the NSAP address of the gateway NE in the Gateway Address text box. Use the default value of Port.
    NOTE:

    The NSAP address consists of hexadecimal digits with a maximum of 20 bytes, and is in the following format: domain address+08003e+NE ID+NSEL. The domain address consists of a maximum of 13 bytes and is entered by a user. NSEL is the port number of the network-layer protocol and its value is always 1d (one byte).


File Type

Description

This parameter indicates the type of the NE file to be imported. The file type can be CSV and XLS.

Impact on the System

Setting this parameter does not affect system running.

Values

Value Range | Default Value
Excel File(*.xls), CSV File(*.csv) | Excel File(*.xls)

Configuration Guidelines

  • Excel File(*.xls): Use this value if the file to be imported is generated by exporting NEs.
  • CSV File(*.csv): Use this value if the file to be imported is generated by exporting NE templates.


File Name

Description

This parameter indicates the name of the file to be saved.

Impact on the System

Setting this parameter does not affect system running.

Values

Value Range | Default Value
It can be any character but cannot be left blank. | N/A

Configuration Guidelines

The filename cannot be left blank or more than 255 characters (suffix included).


Gateway Type

Description

This parameter indicates the protocol for communications between the gateway NE of the NE searched out and the NE Software Management.

Impact on the System

Setting this parameter does not affect system running.

Values

Value Range | Default Value
IP Gateway, OSI Gateway | IP Gateway


Create the NE

Description

This parameter specifies whether to create a gateway NE on the NE View of the NE Software Management after the gateway NE is configured.

Impact on the System

Setting this parameter does not affect system running.

Values

Value Range | Default Value
Enable, Disable | Enable

Configuration Guidelines

  • Enable: Use this value if you want to directly create this gateway NE on the NE View of the NE Software Management.
  • Disable: Use this value if you want to continue the search and create non-gateway NEs under this gateway NE. After the configuration, the gateway NE is displayed in the Search NE(s)dialog box, but is not created on the NE View.


By Time

Description

This parameter specifies a time period in which the logs of all operations will be exported.

Impact on the System

Setting this parameter does not affect system running.

Values

Value Range | Default Value
Enable, Disable | Disable

Configuration Guidelines

  • Enable: Use this value if you want to export the logs of all operations in a specified period. And then set the Start Time and End Time in the spin box.
  • Disable: Use this value if you want to export the logs of all operations on the NE Software Management.


Get Community

Description

This parameter indicates or specifies the community name used in the read operation request sent by the NE Software Management to the NE. The read operation can be performed only when the community name is the same as the name of the read community confirmed by the NE.

Impact on the System

The value on the NE Software Management must be the same as that specified on the NE. Otherwise, the read operation cannot be performed.

Values

Value Range | Default Value
For example: public | public

Configuration Guidelines

Character string type. It consists of up to 64 characters.


Set Community

Description

This parameter indicates or specifies the community name used in the write operation request sent by the NE Software Management to the NE. The write operation can be performed only when the community name is the same as the name of the write community confirmed by the NE.

Impact on the System

The value on the NE Software Management must be the same as that specified on the NE. Otherwise, the write operation cannot be performed.

Values

Value Range | Default Value
For example: private | private

Configuration Guidelines

Character string type. It consists of up to 64 characters.


Proxy Type

Description

This parameter indicates or specifies the connection mode of the NE and the NE Software Management.

Impact on the System

Incorrect Proxy Type configurations may lead to operation failure of the target NE on NE Software Management.

Values

Value Range | Default Value
Direct Connection, Automatic Proxy | Direct Connection

The following table provides value descriptions.

Value | Description
Direct Connection | The NE Software Management is directly connected to the target.
Automatic Proxy | If the NE Software Management cannot be connected to the target NE A but can be connected to NE B (whose type is no more than NSM-UNIX, Cisco, Telent.huawei.com, or Huawei), and NE B can be connected to NE A, NE B must be an automatic proxy NE.

Configuration Guidelines

Direct Connection: Set Proxy Type to Direct Connection when your PC can be directly connected to the NE that to be created through a network cable or a serial port cable, and when your PC can be connected to the NE through Telent, SSH, or a serial port.

Automatic Proxy: Set Proxy Type to Automatic Proxy when the NE that to be created is one type of Huawei, Cisco, telnet.huawei.com, or NSM-Unix, the NE Software Management can automatically match the NE for connection. The subnode of the proxy NE can be an Automatic Proxy NE (of level-2 proxy). You can create a maximum of six levels of proxy NEs following the level-1 proxy NE. The level-7 proxy NE must be of Direct Connection proxy type.


License Status

Description

This parameter indicates or specifies the NE license status.

Impact on the System

None

Values

Value Range | Default Value
Default , Demo , Normal , Protected , Emergency | Default
Table 1 NE License states

State

Description

Default

In this state, the NE License is incorrect, does not exist, or expires and exceeds the protection period. The NE whose license is in this state is unavailable.

Demo

If an NE License that you apply for during NE Demo, the state of the License is Debugging. In this state, you can use NE functions in a certain period. However, if the License expires, you cannot use the functions. Therefore, you need to apply for a commercial License before the License expires.

Normal

When the NE License obtained from a commercial contract is used, this License is in the Commercial use state. In this state, you can use the resources and functions in the NE License.

Protected

After an NE License expires, it has a protection period. In this period, you can apply for a new License. In the protection period, all control items in the NE License are available.

Emergency

In emergent situations such as a disaster, the NE License state can be set to Critical. In this state, the NE License control is cancelled, and the device capacity is set to the maximum. This prevents the NE services from being damaged.

NOTE:

If an NE License is in the Critical state, contact Huawei technical support engineers to perform operations.

Configuration Guidelines

None


Task Type

Description

This parameter indicates or specifies the ID of a task of NE license management..

Impact on the System

None

Values

Value Range | Default Value
Load License File ,Invalidate License ,Synchronize NE Information ,Adjust License Capacity ,Export NE Application Information | -

The following table provides value descriptions.

Value | Description
Load License File | The task is loading license file.
Invalidate License | The task is invalidating license
Synchronize NE Information | The task is synchronizing NE information.
Adjust License Capacity | The task is adjust license capacity.
Export NE Application Information | The task is exporting NE application information.

Configuration Guidelines

None


Execution Status

Description

This parameter indicates or specifies the status of a task. Tasks are classified into main tasks and subtasks.

Impact on the System

None

Values

Value Range | Default Value
The status of a main task ranges from 0% to 100%. | Direct Connection
The states of subtasks are: Executing , Execution succeeded , Execution timed out , Execution failed , Uploading terminated , Uploading failed , Minor error , Critical error , Start uploading , Uploading , and Uploading succeeded. Activating the license. | None

The following table provides value descriptions.

Value | Description
From 0% to 100%. | None
The states of subtasks are: Executing, Execution succeeded , Execution timed out , Execution failed, Uploading terminated , Uploading failed. Minor error. Critical error. Start uploading , Uploading. and Uploading succeeded. Activating the license. | None

Configuration Guidelines

None


Load Patch

The update patch can be loaded automatically during the update process by configuring the item of loading software in the update task.

Prerequisites

The path only can include characters, letters and underscores, should not include Chinese, blank and special character such as !@#$ %^&*()-+=./*[]{}.

Context

If Target Version is selected when the task is created, the operations described in this topic need not be performed.

After the patch is loaded successfully, the patch is in deactivated status.

Procedure

  1. In the Select Operation(s) dialog box, click the Select Patches To Load link.
  2. In the Select a file dialog box, select the required patch file.
  3. The prerequisite is as follows: To use the third-party FTP server for updating, select the Use Third Party FTP For Upgrade check box.
    1. Click [image] . In the Select file(s) to be loaded area, a new row is added.
    2. Double-click the Program field, enter the name and path of the file to be loaded.This path is a relative path. For example, \load. By default, the root path for this relative path is the root path that you set on the third-party FTP server.For example, the root path that you set on the third-party FTP server is D:\ and the relative path of the file to be loaded is \load and the name of the file is filename.pat. Then, in Select Files to be loaded, you need to enter \load\filename.pat. This indicates that the file to be loaded is the filename.pat file that is saved in the D:\load path on the third-party FTP server.You can click [image] to delete a file.
  4. Click OK.
  5. Optional: To stop the task from running after the software package is loaded, select the Pause Before Current Operation check box behind the next configuration item.

    NOTE:

    After the task is paused, you need to perform the Continuing a Task (Task-Level Operation) operation to resume the task.

Result

After the operation of loading software package is configured, the system returns to the Select Operation(s) dialog box.


Load Package

Description

After the to-be-loaded software is selected from the specified path, the degradation software can be loaded automatically during the degradation process by configuring the item of loading software in the task.

Button

Button

Description

Select file(s)

In the case of you need to load the configuration file or GLT license file especially for theRouter/Switch NE.

If you use the third-party FTP service, enter the name and path of the file manually for theRouter/Switch NE.

Check NE(s) Memory

Display the result of checking the NE space, for theRouter/Switch NE.

If you use the third-party FTP service, can not use this function for theRouter/Switch NE.

The following table provides value descriptions.

Value | Description
Path | The path that file is saved.
File Type/Content Type | File type in the left pane for the selected file. File type vary with NEs.
NE Type | After loading the configuration file or GLT license file file , you need to select the path and file name for each file.


Backup

Description

To prevent a loss of NE data in the process of an task, the NE data needs to be backed up before the task. The Backup operation is optional. If the NE data is backed up manually or backed up at the specified time before the task is created, the Backup option can be deselected.

Impact on the System

None

Values

Value Range | Default Value
Content Type/File Type Destination | Disable

The following table provides value descriptions.

Value | Description
Content Type/File Type | The content may vary according to the NE type.
Destination | The destination may vary according to the NE type. If you use the third part FTP server , the NE file will saved on the third part FTP server.

Configuration Guidelines

None


PreCheck

Description

Before an task is performed, the NE information should be collected. Such as current alarm information and NE status information. You can determine whether to continue the task by checking the NE information. The results between PreCheck and PostCheck also help you determine whether service data and configuration information are lost after the task.

Impact on the System

None

Values

Value Range | Default Value
Check Item | NA

The following table provides value descriptions.

Value

Description

Check Item

Check items vary with the types of NEs to be upgraded.

You can enter a command line manually to customize the upgrade check items by selecting User Defined. You can import the different export check item models to improve the efficiency.

The connectivity test is to test the connectivity between the NE that needs to be upgraded and other NEs on the network by running ping or tracert commands.

Configuration Guidelines

None


PostCheck

Description

You can know the status of an NE after checking the information of the postcheck items of the NE.

Impact on the System

None

Values

Value Range | Default Value
Check Item | NA

The following table provides value descriptions.

Value

Description

Check Item

Check items vary with the types of NEs to be upgraded.

You can enter a command line manually to customize the upgrade check items by selecting User Defined. You can import the different export check item models to improve the efficiency.

The connectivity test is to test the connectivity between the NE that needs to be upgraded and other NEs on the network by running ping or tracert commands.

Configuration Guidelines

None


Update Data

Description

Only Access domain NE support this function.

A data upgrade tool must be used to upgrade the NE database. After the operation of upgrading database is configured, the NE Software Management automatically obtains the data upgrade tool to upgrade the NE database in the process of performing the upgrade task.

Impact on the System

None

Values

Value Range | Default Value
Path | NA

The following table provides value descriptions.

Value | Description
Path | Select the data upgrade tool from the specified directory. User must copy the data upgrade tool in the ftpboot folder on the NMS server first.

Configuration Guidelines

None


Post Upgrade

Description

After upgrade, you need to check the software on the NE to ensure a success upgrade.

Impact on the System

None

Values

Value Range | Default Value
Unload Patch Active GTL Check Version | The items vary with the types of NEs to be upgraded.

The following table provides value descriptions.

Value | Description
Unload Patch | Copy the Patch from CF2 card to CF1 card and set the file as startup file (CX600).
Active GTL | Activates the GTL license file on the NE. If you upload the GTL license file during task creation, this item is required.
Check Version | Checks the NE upgrade to ensure the upgrade of EPLD/MonitorBus.

Configuration Guidelines

None


Update Data

Description

Only access domain NE support this function.

A data upgrade tool must be used to upgrade the NE database. After the operation of upgrading database is configured, the NE Software Management automatically obtains the data upgrade tool to upgrade the NE database in the process of performing the upgrade task.

Impact on the System

None

Values

Value Range | Default Value
Path | NA

The following table provides value descriptions.

Value | Description
Path | Select the data upgrade tool from the specified directory. User must copy the data upgrade tool in the ftpboot folder on the NMS server first.

Configuration Guidelines

None


Prepare Upgrade

Description

Before upgrade, you need to check the software on the NE to ensure a normal upgrade,

Impact on the System

None

Values

Value Range | Default Value
Unload Patch Startup Configuration CRC Check Upgrade BootROM | The items vary with the types of NEs to be upgraded.

The following table provides value descriptions.

Value | Description
Unload Patch | Uninstalls the earlier patch program on the NE.
Startup Configuration | Sets the software and configuration file used during NE restart.
CRC Check | Checks the correctness and compatibility of software files of the NE.
Upgrade BootROM | Upgrades the BootRom on the card of the NE. You can select this item only after loading a program file or configuring the program file for next startup.

Configuration Guidelines

None


Use Third Party FTP For Upgrade

Description

An NE cannot communicate with the NE Software Management through FTP but can communicate with another computer through FTP. If you enable this function during task creation, the backup and loading operations are performed between the NE and the third-party FTP server. In this case, the connectivity between the NE Software Management and the NE is normal but they cannot communicate with each other through FTP.

Impact on the System

None

Values

Value Range | Default Value
Disable Enable | NA

The following table provides value descriptions.

Value | Description
Disable | Use third-party FTP during the task. If you set Use Third-Party FTP during task creation, you need to set the file path and name in the step of Load Software.
Enable | Do not use third-party FTP during the task. For Router/Switch NE, you can select Target Version to import the software file to the software library if the third-party FTP service is not used. When loading the configuration file and GTL license file, you need to specify the file path and file name for the loading.

Configuration Guidelines

None


Packet Customized

Description

NE will get the special software in the upgrade software depending on the NE type.

Impact on the System

None

Values

Value Range | Default Value
Disable Enable | NA

The following table provides value descriptions.

Value | Description
Disable | NE will get the special software in the upgrade software depending on the current board types. If the NE do not support this function , system will load the software as the common way.
Enable | Load the software as the common way.

Configuration Guidelines

None


Content Type

Description

Sets the file type to be loaded.

Impact on the System

None

Values

Value Range | Default Value
The file type varies with NE series. Set this parameter according to the file list in the corresponding upgrade guide. | Example: Program/Paf/Patch

Configuration Guidelines

None


Operation

Description

Before upgrade, you need to check the software on the NE to ensure a normal upgrade. The dialog box displayed contains the operations to be performed. Yon can clear the required check boxes.

Impact on the System

None

Values

Value Range | Default Value
Unload Patch Startup Configuration CRC Check Upgrade BootROM | NA

The following table provides value descriptions.

Value | Description
Unload Patch | Uninstalls the earlier patch program on the NE.
Startup Configuration | Sets the software and configuration file used during NE restart.
CRC Check | Checks the correctness and compatibility of software files of the NE.
Upgrade BootROM | Upgrades the BootRom on the card of the NE. You can select this item only after loading a program file or configuring the program file for next startup.

Configuration Guidelines

None


Operation

Description

After upgrade, you need to check the software on the NE to ensure a success upgrade. The items vary with the types of NEs to be upgraded.

Impact on the System

None

Values

Value Range | Default Value
Unload Patch Startup Configuration CRC Check Upgrade BootROM | NA

The following table provides value descriptions.

Value | Description
Unload Patch | Uninstalls the earlier patch program on the NE.
Startup Configuration | Sets the software and configuration file used during NE restart.
CRC Check | Checks the correctness and compatibility of software files of the NE.
Upgrade BootROM | Upgrades the BootRom on the card of the NE. You can select this item only after loading a program file or configuring the program file for next startup.

Configuration Guidelines

None


Backup

Description

CX600, ATN910 and ATN950 support this function. Display all backup file in the NEs. The operation will vary with the NE type.

Impact on the System

None

Values

Value Range | Default Value
Content Type | -
Destination | -

The following table provides value descriptions.

Value | Description
Content Type | Select the backup file type.
Destination | In the case of some NE, the system provides the file types and backup destination. If you use the third part FTP server , the NE file will saved on the third part FTP server.

Configuration Guidelines

None


Offline Mode

Description

Indicates that during task creation, there is no NE connection, NE information query or verification, such as querying package loading status, querying custom packages, and obtaining activation groups by route.

Impact on the System

None

Values

Value Range | Default Value
Disable Enable | N/A

The following table provides value descriptions.

Value

Description

Enable

When [image] is clicked, the system displays the selected NEs in the right pane without detecting or displaying the software package status of these NEs.

In the Get Default Activation Group step, the system lists only the to-be-upgraded NEs instead of activation groups in time order.

Disable

When [image] is clicked, the system automatically detects software package status of the selected NEs, and displays the NEs and their software package status in the right pane.

Configuration Guidelines

None


Custom Package

Description

Load the required software packages automatically based on boards, improving the load efficiency.

Impact on the System

None

Values

Value Range | Default Value
Disable Enable | NA

The following table provides value descriptions.

Value | Description
Enable | After the custom package is enabled, the system automatically selects the Pause Before Current Group check box behind each group. If the selected NEs do not support the custom package, the check box is unavailable.
Disable | Do not use this function.

Configuration Guidelines

None


PreCheck

Description

Before an task is performed, the NE information should be collected. Such as current alarm information and NE status information. You can determine whether to continue the task by checking the NE information. The results also help you determine whether service data and configuration information are lost after the task.

In addition to alarm and health check, the system can also check extended items of an NE automatically when performing a task. Check items vary with the types, source versions, and target versions of NEs to be upgraded. Therefore, you need to customize the extended check items for a specific NE to be upgraded. When upgrading an NE on the NE Software Management, you can achieve automatic check by only importing the customized check script file that is compressed. The check script file is usually released with the NE upgrade software.

Impact on the System

None

Values

Value Range | Default Value
Check Item | NA

The following table provides value descriptions.

Value | Description
Check Item | Check items vary with the types of NEs to be upgraded. If Target Version is already set in the Select Operation(s) dialog box (that is, the software target version is selected in the software library), you can perform extended check on the NEs involved in the task. The compressed check script file is in .ZIP format. The information about the NE before the upgrade can be known by viewing the tasks execution report.

Configuration Guidelines

None


PostCheck

Description

Before an task is performed, the NE information should be collected. Such as current alarm information and NE status information. You can determine whether to continue the task by checking the NE information. The results also help you determine whether service data and configuration information are lost after the task.

Impact on the System

None

Values

Value Range | Default Value
Check Item | NA

The following table provides value descriptions.

Value | Description
Check Item | The check items vary with the NE type. The information of the NE can be known by viewing the tasks execution report.

Configuration Guidelines

None


Backup

Description

To prevent a loss of NE data in the process of an upgrade, the NE data needs to be backed up before the upgrade.

Impact on the System

None

Values

Value Range | Default Value
Content Type | Disable

The following table provides value descriptions.

Value | Description
Content Type | The backup file type. Such as Data File.

Configuration Guidelines

None


Get Default Activation Group

Description

After upgrade software is distributed to target NEs, activate the software on the NEs for it to take effect. Before activating the software, you can obtain default activation groups and modify the groups as required to improve upgrade efficiency.

Impact on the System

Activating software on an NE may interrupt the existing services.

Values

Value Range | Default Value
Get Default Activation Group | N/A

The following table provides value descriptions.

Value

Description

Get Default Activation Group
  • The boards in the same group are activated at the same time. The NEs in different groups are activated sequentially according to the serial numbers of the groups.
  • Create the activation groups based on the service protection relationships and network topology of to-be-upgraded NEs. Ensure that software activation of each group does not interrupt protection links of NE services.
  • To prevent other NEs from disconnection during activation within a group, adjust the group IDs according to the route length. For example, non-gateway NEs that are distant from the gateway NE are first activated.

Configuration Guidelines

None


Select Optical Fiber Configuration File

Description

To customize the default activation groups, select the check box.

Impact on the System

Activating an NE may interrupt the existing services.

Values

Value Range | Default Value
Enable Disable | NA

The following table provides value descriptions.

Value | Description
Enable | After the fiber configuration file is imported, the cards that need to be reset independently at two ends of the fiber can be reset at the same time, which reduces the service interruption duration. The fiber configuration file must be in the *.txt format, and it can be exported through the NMS.
Disable | Do not use this function.

Configuration Guidelines

None


Load Package

Description

After the to-be-loaded software is selected from the specified path, the NE Software Management checks whether the software version is different from the board software version, and displays the check result. The To Be Loaded check box will be selected or cleared automatically according to the check result.

Impact on the System

Activating software on an NE may interrupt the existing services.

Values

Value Range | Default Value
Enable Disable | N/A

The following table provides value descriptions.

Value

Description

Enable

If the existing software version of the board is different from the target version, the NE Software Management upgrades the board. In this case, the To Be Loaded check box behind the board is selected by default.

If the existing software version of the board is the same as the target version, the NE Software Management does not load the software of the target version to the board. In this case, the To Be Loaded check box behind the board is cleared by default. You can, however, change the setting manually to determine whether to load the software to the board.

Disable

N/A

Configuration Guidelines

None


Setting a Third-Party Server (FTP Service)

Description

When an NE cannot communicate with the NE Software Management through FTP but can communicate with another computer through FTP, you can set a third-party FTP server on the NE Software Management. Then, perform operations on the NE.

To set a third-party FTP server, set the server information and then select the target server from the Set Third-Party FTP Server for Upgrade Task drop-down list. The third-party FTP server is used only for loading software and backing up data in upgrade tasks.

Impact on the System

Activating software on an NE may interrupt the existing services.

Values

Value Range | Default Value
Enable Disable | N/A

The following table provides value descriptions.

Value

Description

Enable

  • After selecting the Set Third-Party FTP Server for Upgrade Task check box, select the target server from the drop-down list.

    The file backup and loading will be performed between the NE and third-party FTP server.

  • If you set Use Third-Party FTP For Upgrade during task creation, set the file path and name manually in the Load Software step.
  • In the case of the third-party FTP server, the interface between the NE Software Management and the NE is a Telnet CLI instead of an SNMP interface.

Disable

N/A

Configuration Guidelines

None


Choose

Description

This topic describes the to-be-imported file.

Impact on the System

None

Values

Value Range | Default Value
File Name File Type | —

Configuration Guidelines

Display the parameter to a value based on the actual file to be imported.


Import NE Type Description File

Description

This topic describes the to-be-imported file.

Impact on the System

None

Values

Value Range | Default Value
File Name | —

Configuration Guidelines

Display this parameter to a value based on the actual file to be imported.


File Name

Description

This parameter indicates the name and path of the script file.

Impact on the System

Setting this parameter does not affect system running.

Values

Value Range | Default Value
It can be any character but cannot be left blank. | N/A


Terminal Tool

Description

This parameter indicates how to log in to an NE by using the terminal tool.

Telnet: A standard terminal emulation protocol in the TCP/IP protocol stack.

SSH(Secure Shell): A set of standards and an associated network protocol that allows establishing a secure channel between a local and a remote computer.

Impact on the System

Setting this parameter does not affect system running.

Values

Value Range | Default Value
Telnet SSH | N/A


NE License Management

Description

In NE license management, you can query, apply for, install, and change an NE license.

Impact on the System

Setting this parameter does not affect system running.

Values

Value Range | Default Value
License Information Query NE License Maintenance | N/A


NE Version

Description

This parameter indicates the current software version of a selected NE. You can obtain or refresh the value of this parameter by obtaining a version.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
For example: V800R007C01 | N/A


SNMP Template Name

Description

If an NE communicates with the NE Software Management by using the SNMP protocol, you need to set the SNMP parameters of the NE on the NE Software Management. Displaying SNMP template name.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
SNMP Version + Template Name | SNMPv1:default


Resource Name

Description

The parameter indicates the related information of the NE, such as IP, name or boards information and etc.

Impact on the System

Setting this parameter does not affect the system running.


NE IP/LAN/Gateway IP

Description

  • NE IP: The parameter indicates the IP address of NE.
  • LAN: The parameter indicates the network address where the NE is located in OSI networking.
  • Gateway IP: The parameter indicates the IP address of Gateway.

Impact on the System

Setting this parameter does not affect the system running.


NE Type

Description

The parameter indicates the type of NE.

Impact on the System

Setting this parameter does not affect the system running.


NE Version

Description

The parameter indicates the version of NE.

Impact on the System

Setting this parameter does not affect the system running.


Upgrade Status

Description

The parameter indicates the upgrade status of board.

Impact on the System

Setting this parameter does not affect the system running.


Physical Root

Description

You can browse the NE list according to the sub map and NE view or NE view.

Impact on the System

Setting this parameter does not affect the system running.

Values

Value Range | Default Value
Sub map and NE View, NE View | Sub map and NE View

The following table provides the descriptions of each value.

Value | Description
Sub map and NE View | In this view, the topo indicates the devices belongs to which sub-net, except in cases copying NE. If the physical root exists NEs copied to another subnet, when you browse the NE list, you can only see one record of the copied NEs.
NE View | In this case, you can browse the list of NEs according NE type and type of different versions.

Configuration Guidelines

  • Sub map and NE View: When you need to browse based on sub-net NE, select this parameter.
  • NE View: When you need depending on the device type and version number to view NE list, select this parameter.


Failed to establish the FTP connection

Description

During NE-NMS data backup or FTP connection tests, the error message "Failed to establish the FTP connection" is displayed.

Possible Causes

The FTP service has not been started or being incorrectly configured.

Handling Suggestion

Ensure that the FTP service has been successfully started. Configure the FTP service by referring to Configuring Transfer Service Parameters.


Failed to establish the SFTP connection

Description

During NE-NMS client data backup or FTP connection tests, the DC reports the error message "Failed to establish the SFTP connection."

Possible Causes

The Secure File Transfer Protocol (SFTP) service has not been started or been incorrectly configured.

Handling Suggestion

  1. Configure the SFTP service properly by referring to Configuring Transfer Service Parameters and then start it.
  2. If the SFTP service cannot be configured properly, transfer files between the NMS server and client by using the FTP.


Failed to log in to an NE

Description

During NE operations on the DC, the DC reports the error message "Failed to log in to an NE."

Possible Causes

  • Network connection fails.
  • The DC login user has been deleted on the NE.
  • The NE is involved in other operations such as active/standby switchover or bulk backup, so it fails to respond to DC commands in time.

Handling Suggestion

  1. Check the network connection between the NE and the DC.

    Ping the NE IP address on the DC computer.
    • If the ping fails, the network connection between the NE and the DC is improper. Use the serial port to operate the NE on site.
    • If the ping succeeds, perform Step 2.

  2. Modifying the NE user information. For details, see "Modifying NE Parameters".

    Ensure that the new NE user information is valid. That is, the NE user can be used to log in to the NE and has the required operation rights. After the modification, retry the NE operation. If the problem persists, proceed to Step 3.

  3. Check whether other operations are being performed on the NE. If there are other operations, retry the NE operation after the operations are completed.

    If the problem persists after several retries, proceed to Step 4.

  4. Contact Huawei technical support engineers for a solution.


The IP address of the NMS is not set

Description

During the creation of a simulation package-based upgrade task, the error message "The IP address of the NMS is not set" is displayed.

Possible Causes

The IP address of the NMS server has not been configured.

Handling Suggestion

  1. Choose System > FTP Settings from the Main Menu. Click the System Information tab page.
  2. Configure the IP address of the NMS server.


Failed to upgrade NEs to the target version

Description

For upgrading an NE with a software package, after the software package is uploaded and activated, an error message is displayed, as shown in Figure 1.

Figure 1 Activating large software packages fails

Possible Causes

NE names are not added before the version numbers in software package names.

Handling Suggestion

Add NE names before version numbers in software package names. For example, in S3328V100R005C01, S3328 is the NE name, as shown in the following figure.


Fail to transfer the file

Description

After an NE upgrade task starts, the upgrade status of the NE changes to "Fail to transfer the file."

Possible Causes

The file transfer protocol (FTP) of the to-be-upgraded NE has been incorrectly configured. The default FTP is used on the NE, but the protocol is different from the actual FTP used between the NE and the NMS server.

Handling Suggestion

NOTE:
Ensure that the actual file transfer protocol between the NE and the NMS is configured on the DC. Otherwise, file transfer will fail.
  1. Choose System > FTP Settings from the main menu. Click the Transfer Protocol tab.
  2. Check whether the value of File Transfer Protocol in the File Transfer Protocol between client and server is the same as that set on the NMS server.

    If the protocol is different, set File Transfer Protocol to the protocol configured on the NMS server.

  3. Click the File Transfer Service Setting tab and click Test xFTP to test the connection to the select FTP is proper.


The source IP address is invalid

Description

When a user uploads a gateway NE data by using the FTP, the message "The source address is invalid." is displayed.

Possible Causes

A relative path can only contain up to 59 characters. The length of the package path, however, exceeds the length limit of 59 characters. Hence, FTP-based data uploading is restricted.

Handling Suggestion

  1. Right-click a failed task and choose View Task from the shortcut menu.
  2. On the Load Software tab page, select a path whose length does not exceed the limit of 59 characters.

  3. Copy the to-be-upgraded package to the path and create the upload task again.


Failed to perform operations on transport NEs

Description

User can not perform operations on transport NEs through the NE Software Management.

Possible Causes

In NMS, the NE Software Management login user and connection protocol must be correctly set before performing operations on transport NEs through the NE Software Management.

Handling Suggestion

  1. Choose Administration > NE Security Manegement > NE Login Management from the main menu. Select DC Login User Management tab.
  2. Select the NE from the NE list and click Switch NE User.
  3. Enter the NE user name for NE Software Management and password in the dialog box.
  4. Set the Connection Protocol.
    NOTE:
    • If the NE do not support the function, the Connection Protocol will display -.
    • If select STelnet, the NE must be set as an SSH server. Refer to Working with the NMS > Security Management > Managing NE Security > Configuring an NE As an SSH Server in the online help.


Precedure for Synchronizing the NE Software Data Files of the Primary and Secondary Sites

Description

No manual synchronization is performed after an active/standby switchover, some NE software files are missing on the server.

Possible Causes

No manual synchronization is performed after an active/standby switchover.

Handling Suggestion

  1. Log in the secondary sites with ossuser, start the System Monitor client to check the running status of each process, the NMS root directory is /opt/oss. To start the System Monitor client, double-click the U2000 System Monitor shortcut icon on the desktop or run the following commands:
    $ cd /opt/oss/client
$ ./startup_sysmonitor_global.sh
    In the dialog box that is displayed, enter the user name and password of the NMS of the source version, and click Login.
  2. Perform the following operations to stop the NE software management process:
    1. On the System Monitor client, click Process Name to locate the DCServer process.
    2. Right-click the DCServer process and choose Stop the process from the shortcut menu.
    3. In the Confirm dialog box, click Yes.
    4. Wait until the status changes from Running to Stopped.
  3. Using the SFTP of FileZilla, copy the NE software data file on the primary site to the secondary site. The path storing the NE software data file is (FTP root directory)/ftproot/dc/load. For example, if the FTP root directory is /opt/backup/ftpboot, the path storing the NE software data file is /opt/backup/ftpboot/ftproot/dc/load. If a file with the same name exists, overwrite it.
    NOTE:
    • For the details of how to using the sftp of FileZilla, please check the chapter How to Use the FileZilla to Transfer Files by SFTP in the U2000 Commissioning Guide.
    • You can check the FTP root directory as follows: Choose Administration > Settings > Local xFTP Settings (traditional style) from the main menu or select System Management in Application Center and choose Settings > xFTP Settings > Local xFTP Settings (application style) from the main menu.

  4. Log in to the OS of the secondary site as the root user, and run the following commands to change the user group of the load directory:
    # cd /opt/backup/ftpboot/ftproot/dc/load
# chown -R ftpuser:ossgroup /opt/backup/ftpboot/ftproot/dc/load
# chmod -R 775 /opt/backup/ftpboot/ftproot/dc/load
  5. Log in the secondary sites with ossuser, start the DCServer process on the secondary site.
    1. On the System Monitoring client, click Process Name to sort out processes and locate the DCServer process.
    2. Right-click the DCServer process and choose Start the process from the shortcut menu.
    3. Wait until the status changes from Stopped to Running.


Collecting DC Information

  1. DC version number in the following file:
    • For a client: \client\style\productstyle\conf\about\DC_package.xml
    • For a server: \server\conf\about\ dcver.cfg
  2. Complete operation procedures, screenshots, and NE software. To facilitate fault locating, provide screenshots of the entire GUIs with the faulty NE or board selected. These screenshots help R&D engineers find out the exact issue occurrence time. If NE software cannot be attached, attach the detailed version information of NE software. With the version number, R&D engineers can obtain the required NE software from http://support.huawei.com.
  3. Copy logs in the following paths of the DC server.
    NOTICE:
    Logs are generated every day. You are recommended to obtain all the logs generated on the day when the error or fault occurs.
    1. \server\log\

      DC_Server_Log_Info.log0, iMAPMdp_p2_*.log, base_p148_*.log, base_p148_Comm_*.log

    2. \server\log\tklog\

      *nemsg*.log, Clientmsg*.log, Debug*.log

  4. Copy logs of the DC client.


Activating a Database

After an NE database is recovered, it must be activated to make it valid.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.

Context

  • Only Transmission/PTN NE support this function.
  • The NE database must be activated after the NE data is recovered. For how to recover the NE data, see Recovering NE Data.
NOTICE:

Activating an NE database interrupts services. Thus, do not perform this operation unless required.

NE database must be activated within five minutes after the NE data is recovered. Otherwise, a rollback operation will be performed automatically.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Select an NE or multiple NEs, right-click the NE(s), and then choose Advanced Database Operations > Activate Database.

  3. Select the required activation mode from the Activation Type drop-down list.

    NOTE:
    The selected activation mode does not take effect in this step. Only With Service Interruption can be selected now.

  4. Optional: Select the Deliver To Board Activate check box.

    NOTE:
    • Only certain NE types support activating of an NE database. If do not support this function, do not select the Deliver To Board Activate check box.
    • After the setting, the configuration is also delivered both the SCC board and other boards.

  5. Click Start.

Result

The NE view displays the operation progress. After the operation is performed, the operation result, either success or failure, is displayed in the view.


Deleting Database

When the database before and after an upgrade/degradation are incompatible with each other, the database needs to be deleted.

Prerequisites

  • The NE Software Management must communicate with NEs successfully.

Context

Only Transmission/PTN NE support this function.

NOTICE:
Deleting an NE database interrupts services. Thus, do not perform this operation unless required.

Procedure

  1. Choose NE Software Management > NE Data Backup/Restoration from the Main Menu.
  2. Right-click one or more NEs of the same type and then choose Advanced Database Operations > Delete Database.
  3. Click Yes.

Result

The NE view displays the operation progress. After the operation is performed, the operation result, either success or failure, is displayed in the view.


Configuring FTP Server

You can perform this operation to set a local directory as the FTP server directory. In case of using this method, you need not to use a third-party software to configure the FTP server.

Context

After you set the FTP parameters, the FTP server is restarted and the previous FTP server is also stopped. Before you set the parameters, make sure that Toolkit is not using the FTP translation function.

Procedure

  1. Choose System > FTP Server Configuration from the Main Menu.
  2. Set the FTP parameters in the pop up dialog, and then click Start Up.

    NOTE:

    The home directory must be the same as the root directory setting on the File Transfer Service Root Directory. You can refer Configuring Transfer Service Parameters to query the entrance and the method to set the File Transfer Service Root Directory.

    To stop the FTP server, click Stop. You cannot stop the FTP server that is in use.

  3. Click OK or Yes in the confirmation dialog box.